"use strict";
(self["webpackChunk_datalayer_jupyter_lexical"] = self["webpackChunk_datalayer_jupyter_lexical"] || []).push([["lib_index_js"],{

/***/ "./lib/components/InsertEquationDialog.js":
/*!************************************************!*\
  !*** ./lib/components/InsertEquationDialog.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "InsertEquationDialog": () => (/* binding */ InsertEquationDialog)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ui_KatexEquationAlterer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../ui/KatexEquationAlterer */ "./lib/ui/KatexEquationAlterer.js");
/* harmony import */ var _plugins_EquationsPlugin__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../plugins/EquationsPlugin */ "./lib/plugins/EquationsPlugin.js");




function InsertEquationDialog({ activeEditor, onClose, }) {
    const onEquationConfirm = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((equation, inline) => {
        activeEditor.dispatchCommand(_plugins_EquationsPlugin__WEBPACK_IMPORTED_MODULE_2__.INSERT_EQUATION_COMMAND, { equation, inline });
        onClose();
    }, [activeEditor, onClose]);
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_KatexEquationAlterer__WEBPACK_IMPORTED_MODULE_3__.KatexEquationAlterer, { onConfirm: onEquationConfirm });
}


/***/ }),

/***/ "./lib/components/InsertImageDialog.js":
/*!*********************************************!*\
  !*** ./lib/components/InsertImageDialog.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "InsertImageDialog": () => (/* binding */ InsertImageDialog),
/* harmony export */   "InsertImageUploadedDialogBody": () => (/* binding */ InsertImageUploadedDialogBody),
/* harmony export */   "InsertImageUriDialogBody": () => (/* binding */ InsertImageUriDialogBody)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ui_Button__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../ui/Button */ "./lib/ui/Button.js");
/* harmony import */ var _ui_TextInput__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../ui/TextInput */ "./lib/ui/TextInput.js");
/* harmony import */ var _ui_FileInput__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../ui/FileInput */ "./lib/ui/FileInput.js");
/* harmony import */ var _plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./../plugins/ImagesPlugin */ "./lib/plugins/ImagesPlugin.js");
/* harmony import */ var _images_yellow_flower_small_jpg__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../images/yellow-flower-small.jpg */ "./lib/images/yellow-flower-small.jpg");







function InsertImageUriDialogBody({ onClick, }) {
    const [src, setSrc] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
    const [altText, setAltText] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
    const isDisabled = src === '';
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_TextInput__WEBPACK_IMPORTED_MODULE_2__.TextInput, { label: "Image URL", placeholder: "i.e. https://source.unsplash.com/random", onChange: setSrc, value: src, "data-test-id": "image-modal-url-input" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_TextInput__WEBPACK_IMPORTED_MODULE_2__.TextInput, { label: "Alt Text", placeholder: "Random unsplash image", onChange: setAltText, value: altText, "data-test-id": "image-modal-alt-text-input" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "ToolbarPlugin__dialogActions", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_3__.Button, { "data-test-id": "image-modal-confirm-btn", disabled: isDisabled, onClick: () => onClick({ altText, src }), children: "Confirm" }) })] }));
}
function InsertImageUploadedDialogBody({ onClick, }) {
    const [src, setSrc] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
    const [altText, setAltText] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
    const isDisabled = src === '';
    const loadImage = (files) => {
        const reader = new FileReader();
        reader.onload = function () {
            if (typeof reader.result === 'string') {
                setSrc(reader.result);
            }
            return '';
        };
        if (files !== null) {
            reader.readAsDataURL(files[0]);
        }
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_FileInput__WEBPACK_IMPORTED_MODULE_4__.FileInput, { label: "Image Upload", onChange: loadImage, accept: "image/*", "data-test-id": "image-modal-file-upload" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_TextInput__WEBPACK_IMPORTED_MODULE_2__.TextInput, { label: "Alt Text", placeholder: "Descriptive alternative text", onChange: setAltText, value: altText, "data-test-id": "image-modal-alt-text-input" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "ToolbarPlugin__dialogActions", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_3__.Button, { "data-test-id": "image-modal-file-upload-btn", disabled: isDisabled, onClick: () => onClick({ altText, src }), children: "Confirm" }) })] }));
}
function InsertImageDialog({ activeEditor, onClose, }) {
    const [mode, setMode] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
    const onClick = (payload) => {
        activeEditor.dispatchCommand(_plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_5__.INSERT_IMAGE_COMMAND, payload);
        onClose();
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [!mode && ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "ToolbarPlugin__dialogButtonsList", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_3__.Button, { "data-test-id": "image-modal-option-sample", onClick: () => onClick({
                            altText: 'Yellow flower in tilt shift lens',
                            src: _images_yellow_flower_small_jpg__WEBPACK_IMPORTED_MODULE_6__,
                        }), children: "Sample" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_3__.Button, { "data-test-id": "image-modal-option-url", onClick: () => setMode('url'), children: "URL" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_3__.Button, { "data-test-id": "image-modal-option-file", onClick: () => setMode('file'), children: "File" })] })), mode === 'url' && (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(InsertImageUriDialogBody, { onClick: onClick }), mode === 'file' && (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(InsertImageUploadedDialogBody, { onClick: onClick })] }));
}


/***/ }),

/***/ "./lib/components/JupyterOutputComponent.js":
/*!**************************************************!*\
  !*** ./lib/components/JupyterOutputComponent.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "JupyterOutputComponent": () => (/* binding */ JupyterOutputComponent),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @datalayer/jupyter-react */ "webpack/sharing/consume/default/@datalayer/jupyter-react/@datalayer/jupyter-react");
/* harmony import */ var _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_1__);


const JupyterOutputComponent = (props) => {
    const { outputNodeUuid, code, outputs, executeTrigger, autoRun, outputAdapter } = props;
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_1__.Output, { code: code, outputs: outputs, adapter: outputAdapter, showEditor: false, autoRun: autoRun, sourceId: outputNodeUuid, executeTrigger: executeTrigger, luminoWidgets: false }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (JupyterOutputComponent);


/***/ }),

/***/ "./lib/convert/LexicalToNbFormat.js":
/*!******************************************!*\
  !*** ./lib/convert/LexicalToNbFormat.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "lexicalToNbFormat": () => (/* binding */ lexicalToNbFormat)
/* harmony export */ });
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../nodes/EquationNode */ "./lib/nodes/EquationNode.js");
/* harmony import */ var _nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../nodes/YouTubeNode */ "./lib/nodes/YouTubeNode.js");
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _markdown_MarkdownExport__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./markdown/MarkdownExport */ "./lib/convert/markdown/MarkdownExport.js");
/* harmony import */ var _markdown_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./markdown/utils */ "./lib/convert/markdown/utils.js");
/* harmony import */ var _markdown_index__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./markdown/index */ "./lib/convert/markdown/index.js");







const lexicalToNbFormat = (nodes) => {
    const nb = {
        nbformat: 4,
        nbformat_minor: 5,
        metadata: {
            "kernelspec": {
                "language_info": "",
                "display_name": "Python 3 (ipykernel)",
                "language": "python",
                "name": "python3"
            },
            "language_info": {
                "codemirror_mode": {
                    "name": "ipython",
                    "version": 3
                },
                "file_extension": ".py",
                "mimetype": "text/x-python",
                "name": "python",
                "nbconvert_exporter": "python",
                "pygments_lexer": "ipython3",
                "version": "3.10.4"
            }
        },
        cells: []
    };
    nodes.map(node => {
        if ((0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_1__.$isJupyterCodeNode)(node)) {
            nb.cells.push(newCodeCell(node.getTextContent()));
        }
        else if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isParagraphNode)(node) && (0,_nodes_EquationNode__WEBPACK_IMPORTED_MODULE_2__.$isEquationNode)(node.getFirstChild())) {
            const equation = node.getFirstChild().getEquation();
            nb.cells.push(newMardownCell(`$$${equation}$$`));
        }
        else if ((0,_nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_3__.$isYouTubeNode)(node)) {
            const code = `from IPython.display import YouTubeVideo
YouTubeVideo('${node.getId()}')`;
            nb.cells.push(newCodeCell(code));
        }
        else if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isElementNode)(node)) {
            const markdown = $convertToMarkdownString(node, _markdown_index__WEBPACK_IMPORTED_MODULE_4__.TRANSFORMERS);
            nb.cells.push(newMardownCell(markdown));
        }
        else if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(node)) {
            const markdown = $convertToMarkdownString(node, _markdown_index__WEBPACK_IMPORTED_MODULE_4__.TRANSFORMERS);
            nb.cells.push(newMardownCell(markdown));
        }
    });
    return nb;
};
const newCodeCell = (source) => {
    return {
        source,
        cell_type: 'code',
        metadata: {},
        outputs: [],
        execution_count: 0,
    };
};
const newMardownCell = (source) => {
    return {
        source,
        cell_type: 'markdown',
        metadata: {},
        outputs: [],
        execution_count: 0,
    };
};
function $convertToMarkdownString(node, transformers) {
    const exportMarkdown = createMarkdownExport(node, transformers);
    return exportMarkdown();
}
function createMarkdownExport(node, transformers) {
    const byType = (0,_markdown_utils__WEBPACK_IMPORTED_MODULE_5__.transformersByType)(transformers);
    // Export only uses text formats that are responsible for single format
    // e.g. it will filter out *** (bold, italic) and instead use separate ** and *
    const textFormatTransformers = byType.textFormat.filter((transformer) => transformer.format.length === 1);
    return () => {
        const output = [];
        const result = (0,_markdown_MarkdownExport__WEBPACK_IMPORTED_MODULE_6__.exportTopLevelElements)(node, byType.element, textFormatTransformers, byType.textMatch);
        if (result != null) {
            output.push(result);
        }
        return output.join('\n\n');
    };
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (lexicalToNbFormat);


/***/ }),

/***/ "./lib/convert/NbFormatToLexical.js":
/*!******************************************!*\
  !*** ./lib/convert/NbFormatToLexical.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "nbformatToLexical": () => (/* binding */ nbformatToLexical)
/* harmony export */ });
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../plugins/JupyterPlugin */ "./lib/plugins/JupyterPlugin.js");
/* harmony import */ var _markdown__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./markdown */ "./lib/convert/markdown/index.js");



const nbformatToLexical = (notebook, editor) => {
    editor.update(() => {
        notebook.cells.map(cell => {
            let source = '';
            if (typeof cell.source === 'object') {
                source = cell.source.join('\n');
            }
            if (typeof cell.source === 'string') {
                source = cell.source;
            }
            if (cell.cell_type === 'markdown') {
                (0,_markdown__WEBPACK_IMPORTED_MODULE_1__.$convertFromMarkdownString)(source, _markdown__WEBPACK_IMPORTED_MODULE_1__.TRANSFORMERS);
            }
            if (cell.cell_type === 'code') {
                const outputs = cell.outputs;
                editor.dispatchCommand(_plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_2__.INSERT_JUPYTER_CELL_COMMAND, { code: source, outputs: outputs, loading: "initial" });
            }
            editor.dispatchCommand(lexical__WEBPACK_IMPORTED_MODULE_0__.INSERT_PARAGRAPH_COMMAND, undefined);
        });
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (nbformatToLexical);


/***/ }),

/***/ "./lib/convert/markdown/MarkdownExport.js":
/*!************************************************!*\
  !*** ./lib/convert/markdown/MarkdownExport.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "createMarkdownExport": () => (/* binding */ createMarkdownExport),
/* harmony export */   "exportTopLevelElements": () => (/* binding */ exportTopLevelElements)
/* harmony export */ });
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./utils */ "./lib/convert/markdown/utils.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */


function createMarkdownExport(transformers) {
    const byType = (0,_utils__WEBPACK_IMPORTED_MODULE_1__.transformersByType)(transformers);
    // Export only uses text formats that are responsible for single format
    // e.g. it will filter out *** (bold, italic) and instead use separate ** and *
    const textFormatTransformers = byType.textFormat.filter((transformer) => transformer.format.length === 1);
    return () => {
        const output = [];
        const children = (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$getRoot)().getChildren();
        for (const child of children) {
            const result = exportTopLevelElements(child, byType.element, textFormatTransformers, byType.textMatch);
            if (result != null) {
                output.push(result);
            }
        }
        return output.join('\n\n');
    };
}
function exportTopLevelElements(node, elementTransformers, textTransformersIndex, textMatchTransformers) {
    for (const transformer of elementTransformers) {
        const result = transformer.export(node, (_node) => exportChildren(_node, textTransformersIndex, textMatchTransformers));
        if (result != null) {
            return result;
        }
    }
    return (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isElementNode)(node)
        ? exportChildren(node, textTransformersIndex, textMatchTransformers)
        : null;
}
function exportChildren(node, textTransformersIndex, textMatchTransformers) {
    const output = [];
    const children = node.getChildren();
    mainLoop: for (const child of children) {
        for (const transformer of textMatchTransformers) {
            const result = transformer.export(child, (parentNode) => exportChildren(parentNode, textTransformersIndex, textMatchTransformers), (textNode, textContent) => exportTextFormat(textNode, textContent, textTransformersIndex));
            if (result != null) {
                output.push(result);
                continue mainLoop;
            }
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isLineBreakNode)(child)) {
            output.push('\n');
        }
        else if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(child)) {
            output.push(exportTextFormat(child, child.getTextContent(), textTransformersIndex));
        }
        else if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isElementNode)(child)) {
            output.push(exportChildren(child, textTransformersIndex, textMatchTransformers));
        }
    }
    return output.join('');
}
function exportTextFormat(node, textContent, textTransformers) {
    // This function handles the case of a string looking like this: "   foo   "
    // Where it would be invalid markdown to generate: "**   foo   **"
    // We instead want to trim the whitespace out, apply formatting, and then
    // bring the whitespace back. So our returned string looks like this: "   **foo**   "
    const frozenString = textContent.trim();
    let output = frozenString;
    const applied = new Set();
    for (const transformer of textTransformers) {
        const format = transformer.format[0];
        const tag = transformer.tag;
        if (hasFormat(node, format) && !applied.has(format)) {
            // Multiple tags might be used for the same format (*, _)
            applied.add(format);
            // Prevent adding opening tag is already opened by the previous sibling
            const previousNode = getTextSibling(node, true);
            if (!hasFormat(previousNode, format)) {
                output = tag + output;
            }
            // Prevent adding closing tag if next sibling will do it
            const nextNode = getTextSibling(node, false);
            if (!hasFormat(nextNode, format)) {
                output += tag;
            }
        }
    }
    // Replace trimmed version of textContent ensuring surrounding whitespace is not modified
    return textContent.replace(frozenString, output);
}
// Get next or previous text sibling a text node, including cases
// when it's a child of inline element (e.g. link)
function getTextSibling(node, backward) {
    let sibling = backward ? node.getPreviousSibling() : node.getNextSibling();
    if (!sibling) {
        const parent = node.getParentOrThrow();
        if (parent.isInline()) {
            sibling = backward
                ? parent.getPreviousSibling()
                : parent.getNextSibling();
        }
    }
    while (sibling) {
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isElementNode)(sibling)) {
            if (!sibling.isInline()) {
                break;
            }
            const descendant = backward
                ? sibling.getLastDescendant()
                : sibling.getFirstDescendant();
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(descendant)) {
                return descendant;
            }
            else {
                sibling = backward
                    ? sibling.getPreviousSibling()
                    : sibling.getNextSibling();
            }
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(sibling)) {
            return sibling;
        }
        if (!(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isElementNode)(sibling)) {
            return null;
        }
    }
    return null;
}
function hasFormat(node, format) {
    return (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(node) && node.hasFormat(format);
}


/***/ }),

/***/ "./lib/convert/markdown/MarkdownImport.js":
/*!************************************************!*\
  !*** ./lib/convert/markdown/MarkdownImport.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "createMarkdownImport": () => (/* binding */ createMarkdownImport)
/* harmony export */ });
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./../../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/list */ "../../node_modules/@lexical/list/LexicalList.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_list__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/rich-text */ "../../node_modules/@lexical/rich-text/LexicalRichText.js");
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./utils */ "./lib/convert/markdown/utils.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */






const MARKDOWN_EMPTY_LINE_REG_EXP = /^\s{0,3}$/;
const CODE_BLOCK_REG_EXP = /^```(\w{1,10})?\s?$/;
function createMarkdownImport(transformers) {
    const byType = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.transformersByType)(transformers);
    const textFormatTransformersIndex = createTextFormatTransformersIndex(byType.textFormat);
    return (markdownString) => {
        const lines = markdownString.split('\n');
        const linesLength = lines.length;
        const root = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getRoot)();
        //    root.clear();
        for (let i = 0; i < linesLength; i++) {
            const lineText = lines[i];
            // Codeblocks are processed first as anything inside such block
            // is ignored for further processing
            // TODO:
            // Abstract it to be dynamic as other transformers (add multiline match option)
            const [codeBlockNode, shiftedIndex] = importCodeBlock(lines, i, root);
            if (codeBlockNode != null) {
                i = shiftedIndex;
                continue;
            }
            importBlocks(lineText, root, byType.element, textFormatTransformersIndex, byType.textMatch);
        }
        // Removing empty paragraphs as md does not really
        // allow empty lines and uses them as dilimiter
        const children = root.getChildren();
        for (const child of children) {
            if (isEmptyParagraph(child)) {
                child.remove();
            }
        }
        root.selectEnd();
    };
}
function isEmptyParagraph(node) {
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isParagraphNode)(node)) {
        return false;
    }
    const firstChild = node.getFirstChild();
    return (firstChild == null ||
        (node.getChildrenSize() === 1 &&
            (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isTextNode)(firstChild) &&
            MARKDOWN_EMPTY_LINE_REG_EXP.test(firstChild.getTextContent())));
}
function importBlocks(lineText, rootNode, elementTransformers, textFormatTransformersIndex, textMatchTransformers) {
    const lineTextTrimmed = lineText.trim();
    const textNode = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createTextNode)(lineTextTrimmed);
    const elementNode = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createParagraphNode)();
    elementNode.append(textNode);
    rootNode.append(elementNode);
    for (const { regExp, replace } of elementTransformers) {
        const match = lineText.match(regExp);
        if (match) {
            textNode.setTextContent(lineText.slice(match[0].length));
            replace(elementNode, [textNode], match, true);
            break;
        }
    }
    importTextFormatTransformers(textNode, textFormatTransformersIndex, textMatchTransformers);
    // If no transformer found and we left with original paragraph node
    // can check if its content can be appended to the previous node
    // if it's a paragraph, quote or list
    if (elementNode.isAttached() && lineTextTrimmed.length > 0) {
        const previousNode = elementNode.getPreviousSibling();
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isParagraphNode)(previousNode) ||
            (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__.$isQuoteNode)(previousNode) ||
            (0,_lexical_list__WEBPACK_IMPORTED_MODULE_0__.$isListNode)(previousNode)) {
            let targetNode = previousNode;
            if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_0__.$isListNode)(previousNode)) {
                const lastDescendant = previousNode.getLastDescendant();
                if (lastDescendant == null) {
                    targetNode = null;
                }
                else {
                    targetNode = (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_2__.$findMatchingParent)(lastDescendant, _lexical_list__WEBPACK_IMPORTED_MODULE_0__.$isListItemNode);
                }
            }
            if (targetNode != null && targetNode.getTextContentSize() > 0) {
                targetNode.splice(targetNode.getChildrenSize(), 0, [
                    (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createLineBreakNode)(),
                    ...elementNode.getChildren(),
                ]);
                elementNode.remove();
            }
        }
    }
}
function importCodeBlock(lines, startLineIndex, rootNode) {
    const openMatch = lines[startLineIndex].match(CODE_BLOCK_REG_EXP);
    if (openMatch) {
        let endLineIndex = startLineIndex;
        const linesLength = lines.length;
        while (++endLineIndex < linesLength) {
            const closeMatch = lines[endLineIndex].match(CODE_BLOCK_REG_EXP);
            if (closeMatch) {
                const codeBlockNode = (0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_5__.$createJupyterCodeNode)(openMatch[1]);
                const textNode = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createTextNode)(lines.slice(startLineIndex + 1, endLineIndex).join('\n'));
                codeBlockNode.append(textNode);
                rootNode.append(codeBlockNode);
                return [codeBlockNode, endLineIndex];
            }
        }
    }
    return [null, startLineIndex];
}
// Processing text content and replaces text format tags.
// It takes outermost tag match and its content, creates text node with
// format based on tag and then recursively executed over node's content
//
// E.g. for "*Hello **world**!*" string it will create text node with
// "Hello **world**!" content and italic format and run recursively over
// its content to transform "**world**" part
function importTextFormatTransformers(textNode, textFormatTransformersIndex, textMatchTransformers) {
    const textContent = textNode.getTextContent();
    const match = findOutermostMatch(textContent, textFormatTransformersIndex);
    if (!match) {
        // Once text format processing is done run text match transformers, as it
        // only can span within single text node (unline formats that can cover multiple nodes)
        importTextMatchTransformers(textNode, textMatchTransformers);
        return;
    }
    let currentNode, remainderNode, leadingNode;
    // If matching full content there's no need to run splitText and can reuse existing textNode
    // to update its content and apply format. E.g. for **_Hello_** string after applying bold
    // format (**) it will reuse the same text node to apply italic (_)
    if (match[0] === textContent) {
        currentNode = textNode;
    }
    else {
        const startIndex = match.index || 0;
        const endIndex = startIndex + match[0].length;
        if (startIndex === 0) {
            [currentNode, remainderNode] = textNode.splitText(endIndex);
        }
        else {
            [leadingNode, currentNode, remainderNode] = textNode.splitText(startIndex, endIndex);
        }
    }
    currentNode.setTextContent(match[2]);
    const transformer = textFormatTransformersIndex.transformersByTag[match[1]];
    if (transformer) {
        for (const format of transformer.format) {
            if (!currentNode.hasFormat(format)) {
                currentNode.toggleFormat(format);
            }
        }
    }
    // Recursively run over inner text if it's not inline code
    if (!currentNode.hasFormat('code')) {
        importTextFormatTransformers(currentNode, textFormatTransformersIndex, textMatchTransformers);
    }
    // Run over leading/remaining text if any
    if (leadingNode) {
        importTextFormatTransformers(leadingNode, textFormatTransformersIndex, textMatchTransformers);
    }
    if (remainderNode) {
        importTextFormatTransformers(remainderNode, textFormatTransformersIndex, textMatchTransformers);
    }
}
function importTextMatchTransformers(textNode_, textMatchTransformers) {
    let textNode = textNode_;
    mainLoop: while (textNode) {
        for (const transformer of textMatchTransformers) {
            const match = textNode.getTextContent().match(transformer.importRegExp);
            if (!match) {
                continue;
            }
            const startIndex = match.index || 0;
            const endIndex = startIndex + match[0].length;
            let replaceNode;
            if (startIndex === 0) {
                [replaceNode, textNode] = textNode.splitText(endIndex);
            }
            else {
                [, replaceNode, textNode] = textNode.splitText(startIndex, endIndex);
            }
            transformer.replace(replaceNode, match);
            continue mainLoop;
        }
        break;
    }
}
// Finds first "<tag>content<tag>" match that is not nested into another tag
function findOutermostMatch(textContent, textTransformersIndex) {
    const openTagsMatch = textContent.match(textTransformersIndex.openTagsRegExp);
    if (openTagsMatch == null) {
        return null;
    }
    for (const match of openTagsMatch) {
        // Open tags reg exp might capture leading space so removing it
        // before using match to find transformer
        const tag = match.replace(/^\s/, '');
        const fullMatchRegExp = textTransformersIndex.fullMatchRegExpByTag[tag];
        if (fullMatchRegExp == null) {
            continue;
        }
        const fullMatch = textContent.match(fullMatchRegExp);
        const transformer = textTransformersIndex.transformersByTag[tag];
        if (fullMatch != null && transformer != null) {
            if (transformer.intraword !== false) {
                return fullMatch;
            }
            // For non-intraword transformers checking if it's within a word
            // or surrounded with space/punctuation/newline
            const { index = 0 } = fullMatch;
            const beforeChar = textContent[index - 1];
            const afterChar = textContent[index + fullMatch[0].length];
            if ((!beforeChar || _utils__WEBPACK_IMPORTED_MODULE_4__.PUNCTUATION_OR_SPACE.test(beforeChar)) &&
                (!afterChar || _utils__WEBPACK_IMPORTED_MODULE_4__.PUNCTUATION_OR_SPACE.test(afterChar))) {
                return fullMatch;
            }
        }
    }
    return null;
}
function createTextFormatTransformersIndex(textTransformers) {
    const transformersByTag = {};
    const fullMatchRegExpByTag = {};
    const openTagsRegExp = [];
    for (const transformer of textTransformers) {
        const { tag } = transformer;
        transformersByTag[tag] = transformer;
        const tagRegExp = tag.replace(/(\*|\^)/g, '\\$1');
        openTagsRegExp.push(tagRegExp);
        fullMatchRegExpByTag[tag] = new RegExp(`(${tagRegExp})(?![${tagRegExp}\\s])(.*?[^${tagRegExp}\\s])${tagRegExp}(?!${tagRegExp})`);
    }
    return {
        // Reg exp to find open tag + content + close tag
        fullMatchRegExpByTag,
        // Reg exp to find opening tags
        openTagsRegExp: new RegExp('(' + openTagsRegExp.join('|') + ')', 'g'),
        transformersByTag,
    };
}


/***/ }),

/***/ "./lib/convert/markdown/MarkdownShortcuts.js":
/*!***************************************************!*\
  !*** ./lib/convert/markdown/MarkdownShortcuts.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "registerMarkdownShortcuts": () => (/* binding */ registerMarkdownShortcuts)
/* harmony export */ });
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils_invariant__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/invariant */ "./lib/utils/invariant.js");
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! . */ "./lib/convert/markdown/index.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./utils */ "./lib/convert/markdown/utils.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */





function runElementTransformers(parentNode, anchorNode, anchorOffset, elementTransformers) {
    const grandParentNode = parentNode.getParent();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isRootNode)(grandParentNode) ||
        parentNode.getFirstChild() !== anchorNode) {
        return false;
    }
    const textContent = anchorNode.getTextContent();
    // Checking for anchorOffset position to prevent any checks for cases when caret is too far
    // from a line start to be a part of block-level markdown trigger.
    //
    // TODO:
    // Can have a quick check if caret is close enough to the beginning of the string (e.g. offset less than 10-20)
    // since otherwise it won't be a markdown shortcut, but tables are exception
    if (textContent[anchorOffset - 1] !== ' ') {
        return false;
    }
    for (const { regExp, replace } of elementTransformers) {
        const match = textContent.match(regExp);
        if (match && match[0].length === anchorOffset) {
            const nextSiblings = anchorNode.getNextSiblings();
            const [leadingNode, remainderNode] = anchorNode.splitText(anchorOffset);
            leadingNode.remove();
            const siblings = remainderNode
                ? [remainderNode, ...nextSiblings]
                : nextSiblings;
            replace(parentNode, siblings, match, false);
            return true;
        }
    }
    return false;
}
function runTextMatchTransformers(anchorNode, anchorOffset, transformersByTrigger) {
    let textContent = anchorNode.getTextContent();
    const lastChar = textContent[anchorOffset - 1];
    const transformers = transformersByTrigger[lastChar];
    if (transformers == null) {
        return false;
    }
    // If typing in the middle of content, remove the tail to do
    // reg exp match up to a string end (caret position)
    if (anchorOffset < textContent.length) {
        textContent = textContent.slice(0, anchorOffset);
    }
    for (const transformer of transformers) {
        const match = textContent.match(transformer.regExp);
        if (match === null) {
            continue;
        }
        const startIndex = match.index || 0;
        const endIndex = startIndex + match[0].length;
        let replaceNode;
        if (startIndex === 0) {
            [replaceNode] = anchorNode.splitText(endIndex);
        }
        else {
            [, replaceNode] = anchorNode.splitText(startIndex, endIndex);
        }
        replaceNode.selectNext(0, 0);
        transformer.replace(replaceNode, match);
        return true;
    }
    return false;
}
function runTextFormatTransformers(anchorNode, anchorOffset, textFormatTransformers) {
    const textContent = anchorNode.getTextContent();
    const closeTagEndIndex = anchorOffset - 1;
    const closeChar = textContent[closeTagEndIndex];
    // Quick check if we're possibly at the end of inline markdown style
    const matchers = textFormatTransformers[closeChar];
    if (!matchers) {
        return false;
    }
    for (const matcher of matchers) {
        const { tag } = matcher;
        const tagLength = tag.length;
        const closeTagStartIndex = closeTagEndIndex - tagLength + 1;
        // If tag is not single char check if rest of it matches with text content
        if (tagLength > 1) {
            if (!isEqualSubString(textContent, closeTagStartIndex, tag, 0, tagLength)) {
                continue;
            }
        }
        // Space before closing tag cancels inline markdown
        if (textContent[closeTagStartIndex - 1] === ' ') {
            continue;
        }
        // Some tags can not be used within words, hence should have newline/space/punctuation after it
        const afterCloseTagChar = textContent[closeTagEndIndex + 1];
        if (matcher.intraword === false &&
            afterCloseTagChar &&
            !_utils__WEBPACK_IMPORTED_MODULE_1__.PUNCTUATION_OR_SPACE.test(afterCloseTagChar)) {
            continue;
        }
        const closeNode = anchorNode;
        let openNode = closeNode;
        let openTagStartIndex = getOpenTagStartIndex(textContent, closeTagStartIndex, tag);
        // Go through text node siblings and search for opening tag
        // if haven't found it within the same text node as closing tag
        let sibling = openNode;
        while (openTagStartIndex < 0 &&
            (sibling = sibling.getPreviousSibling())) {
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isLineBreakNode)(sibling)) {
                break;
            }
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(sibling)) {
                const siblingTextContent = sibling.getTextContent();
                openNode = sibling;
                openTagStartIndex = getOpenTagStartIndex(siblingTextContent, siblingTextContent.length, tag);
            }
        }
        // Opening tag is not found
        if (openTagStartIndex < 0) {
            continue;
        }
        // No content between opening and closing tag
        if (openNode === closeNode &&
            openTagStartIndex + tagLength === closeTagStartIndex) {
            continue;
        }
        // Checking longer tags for repeating chars (e.g. *** vs **)
        const prevOpenNodeText = openNode.getTextContent();
        if (openTagStartIndex > 0 &&
            prevOpenNodeText[openTagStartIndex - 1] === closeChar) {
            continue;
        }
        // Some tags can not be used within words, hence should have newline/space/punctuation before it
        const beforeOpenTagChar = prevOpenNodeText[openTagStartIndex - 1];
        if (matcher.intraword === false &&
            beforeOpenTagChar &&
            !_utils__WEBPACK_IMPORTED_MODULE_1__.PUNCTUATION_OR_SPACE.test(beforeOpenTagChar)) {
            continue;
        }
        // Clean text from opening and closing tags (starting from closing tag
        // to prevent any offset shifts if we start from opening one)
        const prevCloseNodeText = closeNode.getTextContent();
        const closeNodeText = prevCloseNodeText.slice(0, closeTagStartIndex) +
            prevCloseNodeText.slice(closeTagEndIndex + 1);
        closeNode.setTextContent(closeNodeText);
        const openNodeText = openNode === closeNode ? closeNodeText : prevOpenNodeText;
        openNode.setTextContent(openNodeText.slice(0, openTagStartIndex) +
            openNodeText.slice(openTagStartIndex + tagLength));
        const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$getSelection)();
        const nextSelection = (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$createRangeSelection)();
        (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$setSelection)(nextSelection);
        // Adjust offset based on deleted chars
        const newOffset = closeTagEndIndex - tagLength * (openNode === closeNode ? 2 : 1) + 1;
        nextSelection.anchor.set(openNode.__key, openTagStartIndex, 'text');
        nextSelection.focus.set(closeNode.__key, newOffset, 'text');
        // Apply formatting to selected text
        for (const format of matcher.format) {
            if (!nextSelection.hasFormat(format)) {
                nextSelection.formatText(format);
            }
        }
        // Collapse selection up to the focus point
        nextSelection.anchor.set(nextSelection.focus.key, nextSelection.focus.offset, nextSelection.focus.type);
        // Remove formatting from collapsed selection
        for (const format of matcher.format) {
            if (nextSelection.hasFormat(format)) {
                nextSelection.toggleFormat(format);
            }
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isRangeSelection)(selection)) {
            nextSelection.format = selection.format;
        }
        return true;
    }
    return false;
}
function getOpenTagStartIndex(string, maxIndex, tag) {
    const tagLength = tag.length;
    for (let i = maxIndex; i >= tagLength; i--) {
        const startIndex = i - tagLength;
        if (isEqualSubString(string, startIndex, tag, 0, tagLength) && // Space after opening tag cancels transformation
            string[startIndex + tagLength] !== ' ') {
            return startIndex;
        }
    }
    return -1;
}
function isEqualSubString(stringA, aStart, stringB, bStart, length) {
    for (let i = 0; i < length; i++) {
        if (stringA[aStart + i] !== stringB[bStart + i]) {
            return false;
        }
    }
    return true;
}
function registerMarkdownShortcuts(editor, transformers = ___WEBPACK_IMPORTED_MODULE_2__.TRANSFORMERS) {
    const byType = (0,_utils__WEBPACK_IMPORTED_MODULE_1__.transformersByType)(transformers);
    const textFormatTransformersIndex = (0,_utils__WEBPACK_IMPORTED_MODULE_1__.indexBy)(byType.textFormat, ({ tag }) => tag[tag.length - 1]);
    const textMatchTransformersIndex = (0,_utils__WEBPACK_IMPORTED_MODULE_1__.indexBy)(byType.textMatch, ({ trigger }) => trigger);
    for (const transformer of transformers) {
        const type = transformer.type;
        if (type === 'element' || type === 'text-match') {
            const dependencies = transformer.dependencies;
            if (!editor.hasNodes(dependencies)) {
                (0,_utils_invariant__WEBPACK_IMPORTED_MODULE_3__["default"])(false, 'MarkdownShortcuts: missing dependency for transformer. Ensure node dependency is included in editor initial config.');
            }
        }
    }
    const transform = (parentNode, anchorNode, anchorOffset) => {
        if (runElementTransformers(parentNode, anchorNode, anchorOffset, byType.element)) {
            return;
        }
        if (runTextMatchTransformers(anchorNode, anchorOffset, textMatchTransformersIndex)) {
            return;
        }
        runTextFormatTransformers(anchorNode, anchorOffset, textFormatTransformersIndex);
    };
    return editor.registerUpdateListener(({ tags, dirtyLeaves, editorState, prevEditorState }) => {
        // Ignore updates from undo/redo (as changes already calculated)
        if (tags.has('historic')) {
            return;
        }
        const selection = editorState.read(lexical__WEBPACK_IMPORTED_MODULE_0__.$getSelection);
        const prevSelection = prevEditorState.read(lexical__WEBPACK_IMPORTED_MODULE_0__.$getSelection);
        if (!(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isRangeSelection)(prevSelection) ||
            !(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isRangeSelection)(selection) ||
            !selection.isCollapsed()) {
            return;
        }
        const anchorKey = selection.anchor.key;
        const anchorOffset = selection.anchor.offset;
        const anchorNode = editorState._nodeMap.get(anchorKey);
        if (!(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isTextNode)(anchorNode) ||
            !dirtyLeaves.has(anchorKey) ||
            (anchorOffset !== 1 && anchorOffset !== prevSelection.anchor.offset + 1)) {
            return;
        }
        editor.update(() => {
            // Markdown is not available inside code
            if (anchorNode.hasFormat('code')) {
                return;
            }
            const parentNode = anchorNode.getParent();
            if (parentNode === null || (0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__.$isJupyterCodeNode)(parentNode)) {
                return;
            }
            transform(parentNode, anchorNode, selection.anchor.offset);
        });
    });
}


/***/ }),

/***/ "./lib/convert/markdown/MarkdownTransformers.js":
/*!******************************************************!*\
  !*** ./lib/convert/markdown/MarkdownTransformers.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BOLD_ITALIC_STAR": () => (/* binding */ BOLD_ITALIC_STAR),
/* harmony export */   "BOLD_ITALIC_UNDERSCORE": () => (/* binding */ BOLD_ITALIC_UNDERSCORE),
/* harmony export */   "BOLD_STAR": () => (/* binding */ BOLD_STAR),
/* harmony export */   "BOLD_UNDERSCORE": () => (/* binding */ BOLD_UNDERSCORE),
/* harmony export */   "CHECK_LIST": () => (/* binding */ CHECK_LIST),
/* harmony export */   "CODE": () => (/* binding */ CODE),
/* harmony export */   "HEADING": () => (/* binding */ HEADING),
/* harmony export */   "INLINE_CODE": () => (/* binding */ INLINE_CODE),
/* harmony export */   "ITALIC_STAR": () => (/* binding */ ITALIC_STAR),
/* harmony export */   "ITALIC_UNDERSCORE": () => (/* binding */ ITALIC_UNDERSCORE),
/* harmony export */   "LINK": () => (/* binding */ LINK),
/* harmony export */   "ORDERED_LIST": () => (/* binding */ ORDERED_LIST),
/* harmony export */   "QUOTE": () => (/* binding */ QUOTE),
/* harmony export */   "STRIKETHROUGH": () => (/* binding */ STRIKETHROUGH),
/* harmony export */   "UNORDERED_LIST": () => (/* binding */ UNORDERED_LIST)
/* harmony export */ });
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _lexical_link__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/link */ "../../node_modules/@lexical/link/LexicalLink.js");
/* harmony import */ var _lexical_link__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_link__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/list */ "../../node_modules/@lexical/list/LexicalList.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_list__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/rich-text */ "../../node_modules/@lexical/rich-text/LexicalRichText.js");
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_3__);
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */





const replaceWithBlock = (createNode) => {
    return (parentNode, children, match) => {
        const node = createNode(match);
        node.append(...children);
        parentNode.replace(node);
        node.select(0, 0);
    };
};
// Amount of spaces that define indentation level
// TODO: should be an option
const LIST_INDENT_SIZE = 4;
const listReplace = (listType) => {
    return (parentNode, children, match) => {
        const previousNode = parentNode.getPreviousSibling();
        const listItem = (0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$createListItemNode)(listType === 'check' ? match[3] === 'x' : undefined);
        if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$isListNode)(previousNode) && previousNode.getListType() === listType) {
            previousNode.append(listItem);
            parentNode.remove();
        }
        else {
            const list = (0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$createListNode)(listType, listType === 'number' ? Number(match[2]) : undefined);
            list.append(listItem);
            parentNode.replace(list);
        }
        listItem.append(...children);
        listItem.select(0, 0);
        const indent = Math.floor(match[1].length / LIST_INDENT_SIZE);
        if (indent) {
            listItem.setIndent(indent);
        }
    };
};
const listExport = (listNode, exportChildren, depth) => {
    const output = [];
    const children = listNode.getChildren();
    let index = 0;
    for (const listItemNode of children) {
        if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$isListItemNode)(listItemNode)) {
            if (listItemNode.getChildrenSize() === 1) {
                const firstChild = listItemNode.getFirstChild();
                if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$isListNode)(firstChild)) {
                    output.push(listExport(firstChild, exportChildren, depth + 1));
                    continue;
                }
            }
            const indent = ' '.repeat(depth * LIST_INDENT_SIZE);
            const listType = listNode.getListType();
            const prefix = listType === 'number'
                ? `${listNode.getStart() + index}. `
                : listType === 'check'
                    ? `- [${listItemNode.getChecked() ? 'x' : ' '}] `
                    : '- ';
            output.push(indent + prefix + exportChildren(listItemNode));
            index++;
        }
    }
    return output.join('\n');
};
const HEADING = {
    dependencies: [_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.HeadingNode],
    export: (node, exportChildren) => {
        if (!(0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.$isHeadingNode)(node)) {
            return null;
        }
        const level = Number(node.getTag().slice(1));
        return '#'.repeat(level) + ' ' + exportChildren(node);
    },
    regExp: /^(#{1,6})\s/,
    replace: replaceWithBlock((match) => {
        const tag = ('h' + match[1].length);
        return (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.$createHeadingNode)(tag);
    }),
    type: 'element',
};
const QUOTE = {
    dependencies: [_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.QuoteNode],
    export: (node, exportChildren) => {
        if (!(0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.$isQuoteNode)(node)) {
            return null;
        }
        const lines = exportChildren(node).split('\n');
        const output = [];
        for (const line of lines) {
            output.push('> ' + line);
        }
        return output.join('\n');
    },
    regExp: /^>\s/,
    replace: (parentNode, children, _match, isImport) => {
        if (isImport) {
            const previousNode = parentNode.getPreviousSibling();
            if ((0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.$isQuoteNode)(previousNode)) {
                previousNode.splice(previousNode.getChildrenSize(), 0, [
                    (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createLineBreakNode)(),
                    ...children,
                ]);
                previousNode.select(0, 0);
                parentNode.remove();
                return;
            }
        }
        const node = (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_2__.$createQuoteNode)();
        node.append(...children);
        parentNode.replace(node);
        node.select(0, 0);
    },
    type: 'element',
};
const CODE = {
    dependencies: [_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__.JupyterCodeNode],
    export: (node) => {
        if (!(0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__.$isJupyterCodeNode)(node)) {
            return null;
        }
        const textContent = node.getTextContent();
        return ('```' +
            (node.getLanguage() || '') +
            (textContent ? '\n' + textContent : '') +
            '\n' +
            '```');
    },
    regExp: /^```(\w{1,10})?\s/,
    replace: replaceWithBlock((match) => {
        return (0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__.$createJupyterCodeNode)(match ? match[1] : undefined);
    }),
    type: 'element',
};
const UNORDERED_LIST = {
    dependencies: [_lexical_list__WEBPACK_IMPORTED_MODULE_1__.ListNode, _lexical_list__WEBPACK_IMPORTED_MODULE_1__.ListItemNode],
    export: (node, exportChildren) => {
        return (0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$isListNode)(node) ? listExport(node, exportChildren, 0) : null;
    },
    regExp: /^(\s*)[-*+]\s/,
    replace: listReplace('bullet'),
    type: 'element',
};
const CHECK_LIST = {
    dependencies: [_lexical_list__WEBPACK_IMPORTED_MODULE_1__.ListNode, _lexical_list__WEBPACK_IMPORTED_MODULE_1__.ListItemNode],
    export: (node, exportChildren) => {
        return (0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$isListNode)(node) ? listExport(node, exportChildren, 0) : null;
    },
    regExp: /^(\s*)(?:-\s)?\s?(\[(\s|x)?\])\s/i,
    replace: listReplace('check'),
    type: 'element',
};
const ORDERED_LIST = {
    dependencies: [_lexical_list__WEBPACK_IMPORTED_MODULE_1__.ListNode, _lexical_list__WEBPACK_IMPORTED_MODULE_1__.ListItemNode],
    export: (node, exportChildren) => {
        return (0,_lexical_list__WEBPACK_IMPORTED_MODULE_1__.$isListNode)(node) ? listExport(node, exportChildren, 0) : null;
    },
    regExp: /^(\s*)(\d{1,})\.\s/,
    replace: listReplace('number'),
    type: 'element',
};
const INLINE_CODE = {
    format: ['code'],
    tag: '`',
    type: 'text-format',
};
const BOLD_ITALIC_STAR = {
    format: ['bold', 'italic'],
    tag: '***',
    type: 'text-format',
};
const BOLD_ITALIC_UNDERSCORE = {
    format: ['bold', 'italic'],
    intraword: false,
    tag: '___',
    type: 'text-format',
};
const BOLD_STAR = {
    format: ['bold'],
    tag: '**',
    type: 'text-format',
};
const BOLD_UNDERSCORE = {
    format: ['bold'],
    intraword: false,
    tag: '__',
    type: 'text-format',
};
const STRIKETHROUGH = {
    format: ['strikethrough'],
    tag: '~~',
    type: 'text-format',
};
const ITALIC_STAR = {
    format: ['italic'],
    tag: '*',
    type: 'text-format',
};
const ITALIC_UNDERSCORE = {
    format: ['italic'],
    intraword: false,
    tag: '_',
    type: 'text-format',
};
// Order of text transformers matters:
//
// - code should go first as it prevents any transformations inside
// - then longer tags match (e.g. ** or __ should go before * or _)
const LINK = {
    dependencies: [_lexical_link__WEBPACK_IMPORTED_MODULE_0__.LinkNode],
    export: (node, exportChildren, exportFormat) => {
        if (!(0,_lexical_link__WEBPACK_IMPORTED_MODULE_0__.$isLinkNode)(node)) {
            return null;
        }
        const linkContent = `[${node.getTextContent()}](${node.getURL()})`;
        const firstChild = node.getFirstChild();
        // Add text styles only if link has single text node inside. If it's more
        // then one we ignore it as markdown does not support nested styles for links
        if (node.getChildrenSize() === 1 && (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isTextNode)(firstChild)) {
            return exportFormat(firstChild, linkContent);
        }
        else {
            return linkContent;
        }
    },
    importRegExp: /(?:\[([^[]+)\])(?:\(([^(]+)\))/,
    regExp: /(?:\[([^[]+)\])(?:\(([^(]+)\))$/,
    replace: (textNode, match) => {
        const [, linkText, linkUrl] = match;
        const linkNode = (0,_lexical_link__WEBPACK_IMPORTED_MODULE_0__.$createLinkNode)(linkUrl);
        const linkTextNode = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createTextNode)(linkText);
        linkTextNode.setFormat(textNode.getFormat());
        linkNode.append(linkTextNode);
        textNode.replace(linkNode);
    },
    trigger: ')',
    type: 'text-match',
};


/***/ }),

/***/ "./lib/convert/markdown/index.js":
/*!***************************************!*\
  !*** ./lib/convert/markdown/index.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$convertFromMarkdownString": () => (/* binding */ $convertFromMarkdownString),
/* harmony export */   "$convertToMarkdownString": () => (/* binding */ $convertToMarkdownString),
/* harmony export */   "BOLD_ITALIC_STAR": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_ITALIC_STAR),
/* harmony export */   "BOLD_ITALIC_UNDERSCORE": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_ITALIC_UNDERSCORE),
/* harmony export */   "BOLD_STAR": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_STAR),
/* harmony export */   "BOLD_UNDERSCORE": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_UNDERSCORE),
/* harmony export */   "CHECK_LIST": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.CHECK_LIST),
/* harmony export */   "CODE": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.CODE),
/* harmony export */   "ELEMENT_TRANSFORMERS": () => (/* binding */ ELEMENT_TRANSFORMERS),
/* harmony export */   "HEADING": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.HEADING),
/* harmony export */   "INLINE_CODE": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.INLINE_CODE),
/* harmony export */   "ITALIC_STAR": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.ITALIC_STAR),
/* harmony export */   "ITALIC_UNDERSCORE": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.ITALIC_UNDERSCORE),
/* harmony export */   "LINK": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.LINK),
/* harmony export */   "ORDERED_LIST": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.ORDERED_LIST),
/* harmony export */   "QUOTE": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.QUOTE),
/* harmony export */   "STRIKETHROUGH": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.STRIKETHROUGH),
/* harmony export */   "TEXT_FORMAT_TRANSFORMERS": () => (/* binding */ TEXT_FORMAT_TRANSFORMERS),
/* harmony export */   "TEXT_MATCH_TRANSFORMERS": () => (/* binding */ TEXT_MATCH_TRANSFORMERS),
/* harmony export */   "TRANSFORMERS": () => (/* binding */ TRANSFORMERS),
/* harmony export */   "UNORDERED_LIST": () => (/* reexport safe */ _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.UNORDERED_LIST),
/* harmony export */   "registerMarkdownShortcuts": () => (/* reexport safe */ _MarkdownShortcuts__WEBPACK_IMPORTED_MODULE_3__.registerMarkdownShortcuts)
/* harmony export */ });
/* harmony import */ var _MarkdownExport__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./MarkdownExport */ "./lib/convert/markdown/MarkdownExport.js");
/* harmony import */ var _MarkdownImport__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./MarkdownImport */ "./lib/convert/markdown/MarkdownImport.js");
/* harmony import */ var _MarkdownShortcuts__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./MarkdownShortcuts */ "./lib/convert/markdown/MarkdownShortcuts.js");
/* harmony import */ var _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./MarkdownTransformers */ "./lib/convert/markdown/MarkdownTransformers.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */




const ELEMENT_TRANSFORMERS = [
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.HEADING,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.QUOTE,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.CODE,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.UNORDERED_LIST,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.ORDERED_LIST,
];
// Order of text format transformers matters:
//
// - code should go first as it prevents any transformations inside
// - then longer tags match (e.g. ** or __ should go before * or _)
const TEXT_FORMAT_TRANSFORMERS = [
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.INLINE_CODE,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_ITALIC_STAR,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_ITALIC_UNDERSCORE,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_STAR,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.BOLD_UNDERSCORE,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.ITALIC_STAR,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.ITALIC_UNDERSCORE,
    _MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.STRIKETHROUGH,
];
const TEXT_MATCH_TRANSFORMERS = [_MarkdownTransformers__WEBPACK_IMPORTED_MODULE_0__.LINK];
const TRANSFORMERS = [
    ...ELEMENT_TRANSFORMERS,
    ...TEXT_FORMAT_TRANSFORMERS,
    ...TEXT_MATCH_TRANSFORMERS,
];
function $convertFromMarkdownString(markdown, transformers = TRANSFORMERS) {
    const importMarkdown = (0,_MarkdownImport__WEBPACK_IMPORTED_MODULE_1__.createMarkdownImport)(transformers);
    return importMarkdown(markdown);
}
function $convertToMarkdownString(transformers = TRANSFORMERS) {
    const exportMarkdown = (0,_MarkdownExport__WEBPACK_IMPORTED_MODULE_2__.createMarkdownExport)(transformers);
    return exportMarkdown();
}



/***/ }),

/***/ "./lib/convert/markdown/utils.js":
/*!***************************************!*\
  !*** ./lib/convert/markdown/utils.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "PUNCTUATION_OR_SPACE": () => (/* binding */ PUNCTUATION_OR_SPACE),
/* harmony export */   "getAllMarkdownCriteriaForParagraphs": () => (/* binding */ getAllMarkdownCriteriaForParagraphs),
/* harmony export */   "getAllMarkdownCriteriaForTextNodes": () => (/* binding */ getAllMarkdownCriteriaForTextNodes),
/* harmony export */   "indexBy": () => (/* binding */ indexBy),
/* harmony export */   "transformersByType": () => (/* binding */ transformersByType)
/* harmony export */ });
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/list */ "../../node_modules/@lexical/list/LexicalList.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_list__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/rich-text */ "../../node_modules/@lexical/rich-text/LexicalRichText.js");
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__);
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */



const autoFormatBase = {
    markdownFormatKind: null,
    regEx: /(?:)/,
    regExForAutoFormatting: /(?:)/,
    requiresParagraphStart: false,
};
const paragraphStartBase = {
    ...autoFormatBase,
    requiresParagraphStart: true,
};
const markdownHeader1 = {
    ...paragraphStartBase,
    export: createHeadingExport(1),
    markdownFormatKind: 'paragraphH1',
    regEx: /^(?:# )/,
    regExForAutoFormatting: /^(?:# )/,
};
const markdownHeader2 = {
    ...paragraphStartBase,
    export: createHeadingExport(2),
    markdownFormatKind: 'paragraphH2',
    regEx: /^(?:## )/,
    regExForAutoFormatting: /^(?:## )/,
};
const markdownHeader3 = {
    ...paragraphStartBase,
    export: createHeadingExport(3),
    markdownFormatKind: 'paragraphH3',
    regEx: /^(?:### )/,
    regExForAutoFormatting: /^(?:### )/,
};
const markdownHeader4 = {
    ...paragraphStartBase,
    export: createHeadingExport(4),
    markdownFormatKind: 'paragraphH4',
    regEx: /^(?:#### )/,
    regExForAutoFormatting: /^(?:#### )/,
};
const markdownHeader5 = {
    ...paragraphStartBase,
    export: createHeadingExport(5),
    markdownFormatKind: 'paragraphH5',
    regEx: /^(?:##### )/,
    regExForAutoFormatting: /^(?:##### )/,
};
const markdownHeader6 = {
    ...paragraphStartBase,
    export: createHeadingExport(6),
    markdownFormatKind: 'paragraphH6',
    regEx: /^(?:###### )/,
    regExForAutoFormatting: /^(?:###### )/,
};
const markdownBlockQuote = {
    ...paragraphStartBase,
    export: blockQuoteExport,
    markdownFormatKind: 'paragraphBlockQuote',
    regEx: /^(?:> )/,
    regExForAutoFormatting: /^(?:> )/,
};
const markdownUnorderedListDash = {
    ...paragraphStartBase,
    export: listExport,
    markdownFormatKind: 'paragraphUnorderedList',
    regEx: /^(\s{0,10})(?:- )/,
    regExForAutoFormatting: /^(\s{0,10})(?:- )/,
};
const markdownUnorderedListAsterisk = {
    ...paragraphStartBase,
    export: listExport,
    markdownFormatKind: 'paragraphUnorderedList',
    regEx: /^(\s{0,10})(?:\* )/,
    regExForAutoFormatting: /^(\s{0,10})(?:\* )/,
};
const markdownCodeBlock = {
    ...paragraphStartBase,
    export: codeBlockExport,
    markdownFormatKind: 'paragraphCodeBlock',
    regEx: /^(```)$/,
    regExForAutoFormatting: /^(```)([a-z]*)( )/,
};
const markdownOrderedList = {
    ...paragraphStartBase,
    export: listExport,
    markdownFormatKind: 'paragraphOrderedList',
    regEx: /^(\s{0,10})(\d+)\.\s/,
    regExForAutoFormatting: /^(\s{0,10})(\d+)\.\s/,
};
const markdownHorizontalRule = {
    ...paragraphStartBase,
    markdownFormatKind: 'horizontalRule',
    regEx: /^(?:\*\*\*)$/,
    regExForAutoFormatting: /^(?:\*\*\* )/,
};
const markdownHorizontalRuleUsingDashes = {
    ...paragraphStartBase,
    markdownFormatKind: 'horizontalRule',
    regEx: /^(?:---)$/,
    regExForAutoFormatting: /^(?:--- )/,
};
const markdownInlineCode = {
    ...autoFormatBase,
    exportFormat: 'code',
    exportTag: '`',
    markdownFormatKind: 'code',
    regEx: /(`)(\s*)([^`]*)(\s*)(`)()/,
    regExForAutoFormatting: /(`)(\s*\b)([^`]*)(\b\s*)(`)(\s)$/,
};
const markdownBold = {
    ...autoFormatBase,
    exportFormat: 'bold',
    exportTag: '**',
    markdownFormatKind: 'bold',
    regEx: /(\*\*)(\s*)([^**]*)(\s*)(\*\*)()/,
    regExForAutoFormatting: /(\*\*)(\s*\b)([^**]*)(\b\s*)(\*\*)(\s)$/,
};
const markdownItalic = {
    ...autoFormatBase,
    exportFormat: 'italic',
    exportTag: '*',
    markdownFormatKind: 'italic',
    regEx: /(\*)(\s*)([^*]*)(\s*)(\*)()/,
    regExForAutoFormatting: /(\*)(\s*\b)([^*]*)(\b\s*)(\*)(\s)$/,
};
const markdownBold2 = {
    ...autoFormatBase,
    exportFormat: 'bold',
    exportTag: '_',
    markdownFormatKind: 'bold',
    regEx: /(__)(\s*)([^__]*)(\s*)(__)()/,
    regExForAutoFormatting: /(__)(\s*)([^__]*)(\s*)(__)(\s)$/,
};
const markdownItalic2 = {
    ...autoFormatBase,
    exportFormat: 'italic',
    exportTag: '_',
    markdownFormatKind: 'italic',
    regEx: /(_)()([^_]*)()(_)()/,
    regExForAutoFormatting: /(_)()([^_]*)()(_)(\s)$/, // Maintain 7 groups.
};
const fakeMarkdownUnderline = {
    ...autoFormatBase,
    exportFormat: 'underline',
    exportTag: '<u>',
    exportTagClose: '</u>',
    markdownFormatKind: 'underline',
    regEx: /(<u>)(\s*)([^<]*)(\s*)(<\/u>)()/,
    regExForAutoFormatting: /(<u>)(\s*\b)([^<]*)(\b\s*)(<\/u>)(\s)$/,
};
const markdownStrikethrough = {
    ...autoFormatBase,
    exportFormat: 'strikethrough',
    exportTag: '~~',
    markdownFormatKind: 'strikethrough',
    regEx: /(~~)(\s*)([^~~]*)(\s*)(~~)()/,
    regExForAutoFormatting: /(~~)(\s*\b)([^~~]*)(\b\s*)(~~)(\s)$/,
};
const markdownStrikethroughItalicBold = {
    ...autoFormatBase,
    markdownFormatKind: 'strikethrough_italic_bold',
    regEx: /(~~_\*\*)(\s*\b)([^~~_**][^**_~~]*)(\b\s*)(\*\*_~~)()/,
    regExForAutoFormatting: /(~~_\*\*)(\s*\b)([^~~_**][^**_~~]*)(\b\s*)(\*\*_~~)(\s)$/,
};
const markdownItalicbold = {
    ...autoFormatBase,
    markdownFormatKind: 'italic_bold',
    regEx: /(_\*\*)(\s*\b)([^_**][^**_]*)(\b\s*)(\*\*_)/,
    regExForAutoFormatting: /(_\*\*)(\s*\b)([^_**][^**_]*)(\b\s*)(\*\*_)(\s)$/,
};
const markdownStrikethroughItalic = {
    ...autoFormatBase,
    markdownFormatKind: 'strikethrough_italic',
    regEx: /(~~_)(\s*)([^~~_][^_~~]*)(\s*)(_~~)/,
    regExForAutoFormatting: /(~~_)(\s*)([^~~_][^_~~]*)(\s*)(_~~)(\s)$/,
};
const markdownStrikethroughBold = {
    ...autoFormatBase,
    markdownFormatKind: 'strikethrough_bold',
    regEx: /(~~\*\*)(\s*\b)([^~~**][^**~~]*)(\b\s*)(\*\*~~)/,
    regExForAutoFormatting: /(~~\*\*)(\s*\b)([^~~**][^**~~]*)(\b\s*)(\*\*~~)(\s)$/,
};
const markdownLink = {
    ...autoFormatBase,
    markdownFormatKind: 'link',
    regEx: /(\[)([^\]]*)(\]\()([^)]*)(\)*)()/,
    regExForAutoFormatting: /(\[)([^\]]*)(\]\()([^)]*)(\)*)(\s)$/,
};
const allMarkdownCriteriaForTextNodes = [
    // Place the combination formats ahead of the individual formats.
    // Combos
    markdownStrikethroughItalicBold,
    markdownItalicbold,
    markdownStrikethroughItalic,
    markdownStrikethroughBold,
    markdownInlineCode,
    markdownBold,
    markdownItalic,
    markdownBold2,
    markdownItalic2,
    fakeMarkdownUnderline,
    markdownStrikethrough,
    markdownLink,
];
const allMarkdownCriteriaForParagraphs = [
    markdownHeader1,
    markdownHeader2,
    markdownHeader3,
    markdownHeader4,
    markdownHeader5,
    markdownHeader6,
    markdownBlockQuote,
    markdownUnorderedListDash,
    markdownUnorderedListAsterisk,
    markdownOrderedList,
    markdownCodeBlock,
    markdownHorizontalRule,
    markdownHorizontalRuleUsingDashes,
];
function getAllMarkdownCriteriaForParagraphs() {
    return allMarkdownCriteriaForParagraphs;
}
function getAllMarkdownCriteriaForTextNodes() {
    return allMarkdownCriteriaForTextNodes;
}
function createHeadingExport(level) {
    return (node, exportChildren) => {
        return (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__.$isHeadingNode)(node) && node.getTag() === 'h' + level
            ? '#'.repeat(level) + ' ' + exportChildren(node)
            : null;
    };
}
function listExport(node, exportChildren) {
    return (0,_lexical_list__WEBPACK_IMPORTED_MODULE_0__.$isListNode)(node) ? processNestedLists(node, exportChildren, 0) : null;
}
// TODO: should be param
const LIST_INDENT_SIZE = 4;
function processNestedLists(listNode, exportChildren, depth) {
    const output = [];
    const children = listNode.getChildren();
    let index = 0;
    for (const listItemNode of children) {
        if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_0__.$isListItemNode)(listItemNode)) {
            if (listItemNode.getChildrenSize() === 1) {
                const firstChild = listItemNode.getFirstChild();
                if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_0__.$isListNode)(firstChild)) {
                    output.push(processNestedLists(firstChild, exportChildren, depth + 1));
                    continue;
                }
            }
            const indent = ' '.repeat(depth * LIST_INDENT_SIZE);
            const prefix = listNode.getListType() === 'bullet'
                ? '- '
                : `${listNode.getStart() + index}. `;
            output.push(indent + prefix + exportChildren(listItemNode));
            index++;
        }
    }
    return output.join('\n');
}
function blockQuoteExport(node, exportChildren) {
    return (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_1__.$isQuoteNode)(node) ? '> ' + exportChildren(node) : null;
}
function codeBlockExport(node) {
    if (!(0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_2__.$isJupyterCodeNode)(node)) {
        return null;
    }
    const textContent = node.getTextContent();
    return ('```' +
        (node.getLanguage() || '') +
        (textContent ? '\n' + textContent : '') +
        '\n' +
        '```');
}
function indexBy(list, callback) {
    const index = {};
    for (const item of list) {
        const key = callback(item);
        if (index[key]) {
            index[key].push(item);
        }
        else {
            index[key] = [item];
        }
    }
    return index;
}
function transformersByType(transformers) {
    const byType = indexBy(transformers, (t) => t.type);
    return {
        element: (byType.element || []),
        textFormat: (byType['text-format'] || []),
        textMatch: (byType['text-match'] || []),
    };
}
const PUNCTUATION_OR_SPACE = /[!-/:-@[-`{-~\s]/;


/***/ }),

/***/ "./lib/convert/transformers/MarkdownTransformers.js":
/*!**********************************************************!*\
  !*** ./lib/convert/transformers/MarkdownTransformers.js ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EQUATION": () => (/* binding */ EQUATION),
/* harmony export */   "HR": () => (/* binding */ HR),
/* harmony export */   "IMAGE": () => (/* binding */ IMAGE),
/* harmony export */   "PLAYGROUND_TRANSFORMERS": () => (/* binding */ PLAYGROUND_TRANSFORMERS),
/* harmony export */   "TABLE": () => (/* binding */ TABLE)
/* harmony export */ });
/* harmony import */ var _markdown__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./../markdown */ "./lib/convert/markdown/MarkdownTransformers.js");
/* harmony import */ var _markdown__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./../markdown */ "./lib/convert/markdown/index.js");
/* harmony import */ var _lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/react/LexicalHorizontalRuleNode */ "../../node_modules/@lexical/react/LexicalHorizontalRuleNode.js");
/* harmony import */ var _lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_table__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/table */ "../../node_modules/@lexical/table/LexicalTable.js");
/* harmony import */ var _lexical_table__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_table__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../nodes/EquationNode */ "./lib/nodes/EquationNode.js");
/* harmony import */ var _nodes_ImageNode__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../nodes/ImageNode */ "./lib/nodes/ImageNode.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */






const HR = {
    dependencies: [_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_0__.HorizontalRuleNode],
    export: (node) => {
        return (0,_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_0__.$isHorizontalRuleNode)(node) ? '***' : null;
    },
    regExp: /^(---|\*\*\*|___)\s?$/,
    replace: (parentNode, _1, _2, isImport) => {
        const line = (0,_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_0__.$createHorizontalRuleNode)();
        // TODO: Get rid of isImport flag
        if (isImport || parentNode.getNextSibling() != null) {
            parentNode.replace(line);
        }
        else {
            parentNode.insertBefore(line);
        }
        line.selectNext();
    },
    type: 'element',
};
const IMAGE = {
    dependencies: [_nodes_ImageNode__WEBPACK_IMPORTED_MODULE_3__.ImageNode],
    export: (node, exportChildren, exportFormat) => {
        if (!(0,_nodes_ImageNode__WEBPACK_IMPORTED_MODULE_3__.$isImageNode)(node)) {
            return null;
        }
        return `![${node.getAltText()}](${node.getSrc()})`;
    },
    importRegExp: /!(?:\[([^[]*)\])(?:\(([^(]+)\))/,
    regExp: /!(?:\[([^[]*)\])(?:\(([^(]+)\))$/,
    replace: (textNode, match) => {
        const [, altText, src] = match;
        const imageNode = (0,_nodes_ImageNode__WEBPACK_IMPORTED_MODULE_3__.$createImageNode)({
            altText,
            maxWidth: 800,
            src,
        });
        textNode.replace(imageNode);
    },
    trigger: ')',
    type: 'text-match',
};
const EQUATION = {
    dependencies: [_nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__.EquationNode],
    export: (node, exportChildren, exportFormat) => {
        if (!(0,_nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__.$isEquationNode)(node)) {
            return null;
        }
        return `$${node.getEquation()}$`;
    },
    importRegExp: /\$([^$].+?)\$/,
    regExp: /\$([^$].+?)\$$/,
    replace: (textNode, match) => {
        const [, equation] = match;
        const equationNode = (0,_nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__.$createEquationNode)(equation, true);
        textNode.replace(equationNode);
    },
    trigger: '$',
    type: 'text-match',
};
// Very primitive table setup
const TABLE_ROW_REG_EXP = /^(?:\|)(.+)(?:\|)\s?$/;
const TABLE = {
    dependencies: [_lexical_table__WEBPACK_IMPORTED_MODULE_1__.TableNode, _lexical_table__WEBPACK_IMPORTED_MODULE_1__.TableRowNode, _lexical_table__WEBPACK_IMPORTED_MODULE_1__.TableCellNode],
    export: (node, exportChildren) => {
        if (!(0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$isTableNode)(node)) {
            return null;
        }
        const output = [];
        for (const row of node.getChildren()) {
            const rowOutput = [];
            if ((0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$isTableRowNode)(row)) {
                for (const cell of row.getChildren()) {
                    // It's TableCellNode (hence ElementNode) so it's just to make flow happy
                    if ((0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isElementNode)(cell)) {
                        rowOutput.push(exportChildren(cell));
                    }
                }
            }
            output.push(`| ${rowOutput.join(' | ')} |`);
        }
        return output.join('\n');
    },
    regExp: TABLE_ROW_REG_EXP,
    replace: (parentNode, _1, match) => {
        const matchCells = mapToTableCells(match[0]);
        if (matchCells == null) {
            return;
        }
        const rows = [matchCells];
        let sibling = parentNode.getPreviousSibling();
        let maxCells = matchCells.length;
        while (sibling) {
            if (!(0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isParagraphNode)(sibling)) {
                break;
            }
            if (sibling.getChildrenSize() !== 1) {
                break;
            }
            const firstChild = sibling.getFirstChild();
            if (!(0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isTextNode)(firstChild)) {
                break;
            }
            const cells = mapToTableCells(firstChild.getTextContent());
            if (cells == null) {
                break;
            }
            maxCells = Math.max(maxCells, cells.length);
            rows.unshift(cells);
            const previousSibling = sibling.getPreviousSibling();
            sibling.remove();
            sibling = previousSibling;
        }
        const table = (0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$createTableNode)();
        for (const cells of rows) {
            const tableRow = (0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$createTableRowNode)();
            table.append(tableRow);
            for (let i = 0; i < maxCells; i++) {
                tableRow.append(i < cells.length ? cells[i] : createTableCell(null));
            }
        }
        const previousSibling = parentNode.getPreviousSibling();
        if ((0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$isTableNode)(previousSibling) &&
            getTableColumnsSize(previousSibling) === maxCells) {
            previousSibling.append(...table.getChildren());
            parentNode.remove();
        }
        else {
            parentNode.replace(table);
        }
        table.selectEnd();
    },
    type: 'element',
};
function getTableColumnsSize(table) {
    const row = table.getFirstChild();
    return (0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$isTableRowNode)(row) ? row.getChildrenSize() : 0;
}
const createTableCell = (textContent) => {
    const cell = (0,_lexical_table__WEBPACK_IMPORTED_MODULE_1__.$createTableCellNode)(_lexical_table__WEBPACK_IMPORTED_MODULE_1__.TableCellHeaderStates.NO_STATUS);
    const paragraph = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$createParagraphNode)();
    if (textContent != null) {
        paragraph.append((0,lexical__WEBPACK_IMPORTED_MODULE_2__.$createTextNode)(textContent.trim()));
    }
    cell.append(paragraph);
    return cell;
};
const mapToTableCells = (textContent) => {
    // TODO:
    // For now plain text, single node. Can be expanded to more complex content
    // including formatted text
    const match = textContent.match(TABLE_ROW_REG_EXP);
    if (!match || !match[1]) {
        return null;
    }
    return match[1].split('|').map((text) => createTableCell(text));
};
const PLAYGROUND_TRANSFORMERS = [
    TABLE,
    HR,
    IMAGE,
    EQUATION,
    _markdown__WEBPACK_IMPORTED_MODULE_5__.CHECK_LIST,
    ..._markdown__WEBPACK_IMPORTED_MODULE_6__.ELEMENT_TRANSFORMERS,
    ..._markdown__WEBPACK_IMPORTED_MODULE_6__.TEXT_FORMAT_TRANSFORMERS,
    ..._markdown__WEBPACK_IMPORTED_MODULE_6__.TEXT_MATCH_TRANSFORMERS,
];


/***/ }),

/***/ "./lib/hooks/useModal.js":
/*!*******************************!*\
  !*** ./lib/hooks/useModal.js ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "useModal": () => (/* binding */ useModal)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ui_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../ui/Modal */ "./lib/ui/Modal.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */


const useModal = () => {
    const [modalContent, setModalContent] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
    const onClose = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
        setModalContent(null);
    }, []);
    const modal = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
        if (modalContent === null) {
            return null;
        }
        const { title, content, closeOnClickOutside } = modalContent;
        return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Modal__WEBPACK_IMPORTED_MODULE_2__["default"], { onClose: onClose, title: title, closeOnClickOutside: closeOnClickOutside, children: content }));
    }, [modalContent, onClose]);
    const showModal = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((title, 
    // eslint-disable-next-line no-shadow
    getContent, closeOnClickOutside = false) => {
        setModalContent({
            closeOnClickOutside,
            content: getContent(onClose),
            title,
        });
    }, [onClose]);
    return [modal, showModal];
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useModal);


/***/ }),

/***/ "./lib/index.js":
/*!**********************!*\
  !*** ./lib/index.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createEquationNode": () => (/* reexport safe */ _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_9__.$createEquationNode),
/* harmony export */   "$createImageNode": () => (/* reexport safe */ _nodes_ImageNode__WEBPACK_IMPORTED_MODULE_10__.$createImageNode),
/* harmony export */   "$createJupyterCodeHighlightNode": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.$createJupyterCodeHighlightNode),
/* harmony export */   "$createJupyterCodeNode": () => (/* reexport safe */ _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_8__.$createJupyterCodeNode),
/* harmony export */   "$createJupyterOutputNode": () => (/* reexport safe */ _nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_11__.$createJupyterOutputNode),
/* harmony export */   "$createYouTubeNode": () => (/* reexport safe */ _nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_12__.$createYouTubeNode),
/* harmony export */   "$isEquationNode": () => (/* reexport safe */ _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_9__.$isEquationNode),
/* harmony export */   "$isImageNode": () => (/* reexport safe */ _nodes_ImageNode__WEBPACK_IMPORTED_MODULE_10__.$isImageNode),
/* harmony export */   "$isJupyterCodeHighlightNode": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.$isJupyterCodeHighlightNode),
/* harmony export */   "$isJupyterCodeNode": () => (/* reexport safe */ _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_8__.$isJupyterCodeNode),
/* harmony export */   "$isJupyterOutputNode": () => (/* reexport safe */ _nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_11__.$isJupyterOutputNode),
/* harmony export */   "$isYouTubeNode": () => (/* reexport safe */ _nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_12__.$isYouTubeNode),
/* harmony export */   "AutoEmbedDialog": () => (/* reexport safe */ _plugins_AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_13__.AutoEmbedDialog),
/* harmony export */   "AutoEmbedPlugin": () => (/* reexport safe */ _plugins_AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_13__.AutoEmbedPlugin),
/* harmony export */   "AutoLinkPlugin": () => (/* reexport safe */ _plugins_AutoLinkPlugin__WEBPACK_IMPORTED_MODULE_14__.AutoLinkPlugin),
/* harmony export */   "Button": () => (/* reexport safe */ _ui_Button__WEBPACK_IMPORTED_MODULE_26__.Button),
/* harmony export */   "CAN_USE_DOM": () => (/* reexport safe */ _utils_canUseDOM__WEBPACK_IMPORTED_MODULE_37__.CAN_USE_DOM),
/* harmony export */   "CODE_LANGUAGE_FRIENDLY_NAME_MAP": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.CODE_LANGUAGE_FRIENDLY_NAME_MAP),
/* harmony export */   "CODE_LANGUAGE_MAP": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.CODE_LANGUAGE_MAP),
/* harmony export */   "CODE_UUID_TO_CODE_KEY": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.CODE_UUID_TO_CODE_KEY),
/* harmony export */   "CODE_UUID_TO_OUTPUT_KEY": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.CODE_UUID_TO_OUTPUT_KEY),
/* harmony export */   "CODE_UUID_TO_OUTPUT_UUID": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.CODE_UUID_TO_OUTPUT_UUID),
/* harmony export */   "CodeActionMenuPlugin": () => (/* reexport safe */ _plugins_CodeActionMenuPlugin__WEBPACK_IMPORTED_MODULE_15__.CodeActionMenuPlugin),
/* harmony export */   "ComponentPickerMenuPlugin": () => (/* reexport safe */ _plugins_ComponentPickerMenuPlugin__WEBPACK_IMPORTED_MODULE_16__.ComponentPickerMenuPlugin),
/* harmony export */   "DEFAULT_CODE_LANGUAGE": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.DEFAULT_CODE_LANGUAGE),
/* harmony export */   "DEFAULT_INITIAL_OUTPUTS": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.DEFAULT_INITIAL_OUTPUTS),
/* harmony export */   "DropDown": () => (/* reexport safe */ _ui_DropDown__WEBPACK_IMPORTED_MODULE_28__.DropDown),
/* harmony export */   "DropDownItem": () => (/* reexport safe */ _ui_DropDown__WEBPACK_IMPORTED_MODULE_28__.DropDownItem),
/* harmony export */   "EmbedConfigs": () => (/* reexport safe */ _plugins_AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_13__.EmbedConfigs),
/* harmony export */   "EquationNode": () => (/* reexport safe */ _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_9__.EquationNode),
/* harmony export */   "EquationsPlugin": () => (/* reexport safe */ _plugins_EquationsPlugin__WEBPACK_IMPORTED_MODULE_17__.EquationsPlugin),
/* harmony export */   "FileInput": () => (/* reexport safe */ _ui_FileInput__WEBPACK_IMPORTED_MODULE_29__.FileInput),
/* harmony export */   "HorizontalRulePlugin": () => (/* reexport safe */ _plugins_HorizontalRulePlugin__WEBPACK_IMPORTED_MODULE_18__.HorizontalRulePlugin),
/* harmony export */   "INSERT_EQUATION_COMMAND": () => (/* reexport safe */ _plugins_EquationsPlugin__WEBPACK_IMPORTED_MODULE_17__.INSERT_EQUATION_COMMAND),
/* harmony export */   "INSERT_IMAGE_COMMAND": () => (/* reexport safe */ _plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_19__.INSERT_IMAGE_COMMAND),
/* harmony export */   "INSERT_JUPYTER_CELL_COMMAND": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.INSERT_JUPYTER_CELL_COMMAND),
/* harmony export */   "INSERT_YOUTUBE_COMMAND": () => (/* reexport safe */ _plugins_YouTubePlugin__WEBPACK_IMPORTED_MODULE_25__.INSERT_YOUTUBE_COMMAND),
/* harmony export */   "ImageNode": () => (/* reexport safe */ _nodes_ImageNode__WEBPACK_IMPORTED_MODULE_10__.ImageNode),
/* harmony export */   "ImageResizer": () => (/* reexport safe */ _ui_ImageResizer__WEBPACK_IMPORTED_MODULE_30__.ImageResizer),
/* harmony export */   "ImagesPlugin": () => (/* reexport safe */ _plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_19__.ImagesPlugin),
/* harmony export */   "InsertEquationDialog": () => (/* reexport safe */ _components_InsertEquationDialog__WEBPACK_IMPORTED_MODULE_0__.InsertEquationDialog),
/* harmony export */   "InsertImageDialog": () => (/* reexport safe */ _components_InsertImageDialog__WEBPACK_IMPORTED_MODULE_1__.InsertImageDialog),
/* harmony export */   "InsertImageUploadedDialogBody": () => (/* reexport safe */ _components_InsertImageDialog__WEBPACK_IMPORTED_MODULE_1__.InsertImageUploadedDialogBody),
/* harmony export */   "InsertImageUriDialogBody": () => (/* reexport safe */ _components_InsertImageDialog__WEBPACK_IMPORTED_MODULE_1__.InsertImageUriDialogBody),
/* harmony export */   "JupyterCodeHighlightNode": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.JupyterCodeHighlightNode),
/* harmony export */   "JupyterCodeNode": () => (/* reexport safe */ _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_8__.JupyterCodeNode),
/* harmony export */   "JupyterOutputComponent": () => (/* reexport safe */ _components_JupyterOutputComponent__WEBPACK_IMPORTED_MODULE_2__.JupyterOutputComponent),
/* harmony export */   "JupyterOutputNode": () => (/* reexport safe */ _nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_11__.JupyterOutputNode),
/* harmony export */   "JupyterPlugin": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.JupyterPlugin),
/* harmony export */   "KatexEquationAlterer": () => (/* reexport safe */ _ui_KatexEquationAlterer__WEBPACK_IMPORTED_MODULE_31__.KatexEquationAlterer),
/* harmony export */   "LexicalContentEditable": () => (/* reexport safe */ _ui_ContentEditable__WEBPACK_IMPORTED_MODULE_27__.LexicalContentEditable),
/* harmony export */   "ListMaxIndentLevelPlugin": () => (/* reexport safe */ _plugins_ListMaxIndentLevelPlugin__WEBPACK_IMPORTED_MODULE_21__.ListMaxIndentLevelPlugin),
/* harmony export */   "MarkdownPlugin": () => (/* reexport safe */ _plugins_MardownPlugin__WEBPACK_IMPORTED_MODULE_22__.MarkdownPlugin),
/* harmony export */   "Modal": () => (/* reexport safe */ _ui_Modal__WEBPACK_IMPORTED_MODULE_32__.Modal),
/* harmony export */   "NbformatContentPlugin": () => (/* reexport safe */ _plugins_NbformatContentPlugin__WEBPACK_IMPORTED_MODULE_23__.NbformatContentPlugin),
/* harmony export */   "OUTPUT_UUID_TO_CODE_UUID": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.OUTPUT_UUID_TO_CODE_UUID),
/* harmony export */   "OUTPUT_UUID_TO_OUTPUT_KEY": () => (/* reexport safe */ _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__.OUTPUT_UUID_TO_OUTPUT_KEY),
/* harmony export */   "Placeholder": () => (/* reexport safe */ _ui_Placeholder__WEBPACK_IMPORTED_MODULE_33__.Placeholder),
/* harmony export */   "TableOfContentsPlugin": () => (/* reexport safe */ _plugins_TableOfContentsPlugin__WEBPACK_IMPORTED_MODULE_24__.TableOfContentsPlugin),
/* harmony export */   "TextInput": () => (/* reexport safe */ _ui_TextInput__WEBPACK_IMPORTED_MODULE_34__.TextInput),
/* harmony export */   "YouTubeNode": () => (/* reexport safe */ _nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_12__.YouTubeNode),
/* harmony export */   "YouTubePlugin": () => (/* reexport safe */ _plugins_YouTubePlugin__WEBPACK_IMPORTED_MODULE_25__.YouTubePlugin),
/* harmony export */   "YoutubeEmbedConfig": () => (/* reexport safe */ _plugins_AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_13__.YoutubeEmbedConfig),
/* harmony export */   "getCodeLanguages": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.getCodeLanguages),
/* harmony export */   "getDefaultCodeLanguage": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.getDefaultCodeLanguage),
/* harmony export */   "getEndOfJupyterCodeInLine": () => (/* reexport safe */ _nodes_JupyterCodeHighlighter__WEBPACK_IMPORTED_MODULE_6__.getEndOfJupyterCodeInLine),
/* harmony export */   "getFirstJupyterCodeHighlightNodeOfLine": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.getFirstJupyterCodeHighlightNodeOfLine),
/* harmony export */   "getLanguageFriendlyName": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.getLanguageFriendlyName),
/* harmony export */   "getLastJupyterCodeHighlightNodeOfLine": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.getLastJupyterCodeHighlightNodeOfLine),
/* harmony export */   "getSelection": () => (/* reexport safe */ _utils_selection__WEBPACK_IMPORTED_MODULE_35__.getSelection),
/* harmony export */   "getStartOfCodeInLine": () => (/* reexport safe */ _nodes_JupyterCodeHighlighter__WEBPACK_IMPORTED_MODULE_6__.getStartOfCodeInLine),
/* harmony export */   "joinClasses": () => (/* reexport safe */ _utils_join__WEBPACK_IMPORTED_MODULE_36__.joinClasses),
/* harmony export */   "lexicalToNbFormat": () => (/* reexport safe */ _convert_LexicalToNbFormat__WEBPACK_IMPORTED_MODULE_3__.lexicalToNbFormat),
/* harmony export */   "nbformatToLexical": () => (/* reexport safe */ _convert_NbFormatToLexical__WEBPACK_IMPORTED_MODULE_4__.nbformatToLexical),
/* harmony export */   "normalizeCodeLang": () => (/* reexport safe */ _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.normalizeCodeLang),
/* harmony export */   "registerCodeHighlighting": () => (/* reexport safe */ _nodes_JupyterCodeHighlighter__WEBPACK_IMPORTED_MODULE_6__.registerCodeHighlighting),
/* harmony export */   "useLayoutEffectImpl": () => (/* reexport safe */ _utils_useLayoutEffect__WEBPACK_IMPORTED_MODULE_38__.useLayoutEffectImpl),
/* harmony export */   "useModal": () => (/* reexport safe */ _hooks_useModal__WEBPACK_IMPORTED_MODULE_5__.useModal)
/* harmony export */ });
/* harmony import */ var _components_InsertEquationDialog__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./components/InsertEquationDialog */ "./lib/components/InsertEquationDialog.js");
/* harmony import */ var _components_InsertImageDialog__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./components/InsertImageDialog */ "./lib/components/InsertImageDialog.js");
/* harmony import */ var _components_JupyterOutputComponent__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./components/JupyterOutputComponent */ "./lib/components/JupyterOutputComponent.js");
/* harmony import */ var _convert_LexicalToNbFormat__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./convert/LexicalToNbFormat */ "./lib/convert/LexicalToNbFormat.js");
/* harmony import */ var _convert_NbFormatToLexical__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./convert/NbFormatToLexical */ "./lib/convert/NbFormatToLexical.js");
/* harmony import */ var _hooks_useModal__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./hooks/useModal */ "./lib/hooks/useModal.js");
/* harmony import */ var _nodes_JupyterCodeHighlighter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./nodes/JupyterCodeHighlighter */ "./lib/nodes/JupyterCodeHighlighter.js");
/* harmony import */ var _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./nodes/JupyterCodeHighlightNode */ "./lib/nodes/JupyterCodeHighlightNode.js");
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./nodes/EquationNode */ "./lib/nodes/EquationNode.js");
/* harmony import */ var _nodes_ImageNode__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./nodes/ImageNode */ "./lib/nodes/ImageNode.js");
/* harmony import */ var _nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./nodes/JupyterOutputNode */ "./lib/nodes/JupyterOutputNode.js");
/* harmony import */ var _nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./nodes/YouTubeNode */ "./lib/nodes/YouTubeNode.js");
/* harmony import */ var _plugins_AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./plugins/AutoEmbedPlugin */ "./lib/plugins/AutoEmbedPlugin.js");
/* harmony import */ var _plugins_AutoLinkPlugin__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./plugins/AutoLinkPlugin */ "./lib/plugins/AutoLinkPlugin.js");
/* harmony import */ var _plugins_CodeActionMenuPlugin__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./plugins/CodeActionMenuPlugin */ "./lib/plugins/CodeActionMenuPlugin.js");
/* harmony import */ var _plugins_ComponentPickerMenuPlugin__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./plugins/ComponentPickerMenuPlugin */ "./lib/plugins/ComponentPickerMenuPlugin.js");
/* harmony import */ var _plugins_EquationsPlugin__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./plugins/EquationsPlugin */ "./lib/plugins/EquationsPlugin.js");
/* harmony import */ var _plugins_HorizontalRulePlugin__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./plugins/HorizontalRulePlugin */ "./lib/plugins/HorizontalRulePlugin.js");
/* harmony import */ var _plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./plugins/ImagesPlugin */ "./lib/plugins/ImagesPlugin.js");
/* harmony import */ var _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./plugins/JupyterPlugin */ "./lib/plugins/JupyterPlugin.js");
/* harmony import */ var _plugins_ListMaxIndentLevelPlugin__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./plugins/ListMaxIndentLevelPlugin */ "./lib/plugins/ListMaxIndentLevelPlugin.js");
/* harmony import */ var _plugins_MardownPlugin__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./plugins/MardownPlugin */ "./lib/plugins/MardownPlugin.js");
/* harmony import */ var _plugins_NbformatContentPlugin__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./plugins/NbformatContentPlugin */ "./lib/plugins/NbformatContentPlugin.js");
/* harmony import */ var _plugins_TableOfContentsPlugin__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./plugins/TableOfContentsPlugin */ "./lib/plugins/TableOfContentsPlugin.js");
/* harmony import */ var _plugins_YouTubePlugin__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./plugins/YouTubePlugin */ "./lib/plugins/YouTubePlugin.js");
/* harmony import */ var _ui_Button__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./ui/Button */ "./lib/ui/Button.js");
/* harmony import */ var _ui_ContentEditable__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./ui/ContentEditable */ "./lib/ui/ContentEditable.js");
/* harmony import */ var _ui_DropDown__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./ui/DropDown */ "./lib/ui/DropDown.js");
/* harmony import */ var _ui_FileInput__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./ui/FileInput */ "./lib/ui/FileInput.js");
/* harmony import */ var _ui_ImageResizer__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./ui/ImageResizer */ "./lib/ui/ImageResizer.js");
/* harmony import */ var _ui_KatexEquationAlterer__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./ui/KatexEquationAlterer */ "./lib/ui/KatexEquationAlterer.js");
/* harmony import */ var _ui_Modal__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./ui/Modal */ "./lib/ui/Modal.js");
/* harmony import */ var _ui_Placeholder__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./ui/Placeholder */ "./lib/ui/Placeholder.js");
/* harmony import */ var _ui_TextInput__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./ui/TextInput */ "./lib/ui/TextInput.js");
/* harmony import */ var _utils_selection__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./utils/selection */ "./lib/utils/selection.js");
/* harmony import */ var _utils_join__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./utils/join */ "./lib/utils/join.js");
/* harmony import */ var _utils_canUseDOM__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./utils/canUseDOM */ "./lib/utils/canUseDOM.js");
/* harmony import */ var _utils_useLayoutEffect__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./utils/useLayoutEffect */ "./lib/utils/useLayoutEffect.js");
// Components.



// Convert.


// Hooks.

// Nodes.







// Plugins.













// UI.












// Utils.






/***/ }),

/***/ "./lib/nodes/EquationNode.js":
/*!***********************************!*\
  !*** ./lib/nodes/EquationNode.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createEquationNode": () => (/* binding */ $createEquationNode),
/* harmony export */   "$isEquationNode": () => (/* binding */ $isEquationNode),
/* harmony export */   "EquationNode": () => (/* binding */ EquationNode),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _ui_EquationEditor__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../ui/EquationEditor */ "./lib/ui/EquationEditor.js");
/* harmony import */ var _ui_KatexRenderer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../ui/KatexRenderer */ "./lib/ui/KatexRenderer.js");







function EquationComponent({ equation, inline, nodeKey, }) {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__.useLexicalComposerContext)();
    const [equationValue, setEquationValue] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(equation);
    const [showEquationEditor, setShowEquationEditor] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(false);
    const inputRef = (0,react__WEBPACK_IMPORTED_MODULE_4__.useRef)(null);
    const onHide = (0,react__WEBPACK_IMPORTED_MODULE_4__.useCallback)((restoreSelection) => {
        setShowEquationEditor(false);
        editor.update(() => {
            const node = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getNodeByKey)(nodeKey);
            if ($isEquationNode(node)) {
                node.setEquation(equationValue);
                if (restoreSelection) {
                    node.selectNext(0, 0);
                }
            }
        });
    }, [editor, equationValue, nodeKey]);
    (0,react__WEBPACK_IMPORTED_MODULE_4__.useEffect)(() => {
        if (!showEquationEditor && equationValue !== equation) {
            setEquationValue(equation);
        }
    }, [showEquationEditor, equation, equationValue]);
    (0,react__WEBPACK_IMPORTED_MODULE_4__.useEffect)(() => {
        if (showEquationEditor) {
            return (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_2__.mergeRegister)(editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_3__.SELECTION_CHANGE_COMMAND, (payload) => {
                const activeElement = document.activeElement;
                const inputElem = inputRef.current;
                if (inputElem !== activeElement) {
                    onHide();
                }
                return false;
            }, lexical__WEBPACK_IMPORTED_MODULE_3__.COMMAND_PRIORITY_HIGH), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_3__.KEY_ESCAPE_COMMAND, (payload) => {
                const activeElement = document.activeElement;
                const inputElem = inputRef.current;
                if (inputElem === activeElement) {
                    onHide(true);
                    return true;
                }
                return false;
            }, lexical__WEBPACK_IMPORTED_MODULE_3__.COMMAND_PRIORITY_HIGH));
        }
        else {
            return editor.registerUpdateListener(({ editorState }) => {
                const isSelected = editorState.read(() => {
                    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getSelection)();
                    return ((0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isNodeSelection)(selection) &&
                        selection.has(nodeKey) &&
                        selection.getNodes().length === 1);
                });
                if (isSelected) {
                    setShowEquationEditor(true);
                }
            });
        }
    }, [editor, nodeKey, onHide, showEquationEditor]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: showEquationEditor ? ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_EquationEditor__WEBPACK_IMPORTED_MODULE_5__["default"], { equation: equationValue, setEquation: setEquationValue, inline: inline, inputRef: inputRef })) : ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_KatexRenderer__WEBPACK_IMPORTED_MODULE_6__["default"], { equation: equationValue, inline: inline, onClick: () => {
                setShowEquationEditor(true);
            } })) }));
}
class EquationNode extends lexical__WEBPACK_IMPORTED_MODULE_3__.DecoratorNode {
    __equation;
    __inline;
    static getType() {
        return 'equation';
    }
    static clone(node) {
        return new EquationNode(node.__equation, node.__inline, node.__key);
    }
    constructor(equation, inline, key) {
        super(key);
        this.__equation = equation;
        this.__inline = inline ?? false;
    }
    static importJSON(serializedNode) {
        const node = $createEquationNode(serializedNode.equation, serializedNode.inline);
        return node;
    }
    exportJSON() {
        return {
            equation: this.getEquation(),
            inline: this.__inline,
            type: 'equation',
            version: 1,
        };
    }
    createDOM(_config) {
        return document.createElement(this.__inline ? 'span' : 'div');
    }
    updateDOM(prevNode) {
        // If the inline property changes, replace the element
        return this.__inline !== prevNode.__inline;
    }
    getEquation() {
        return this.__equation;
    }
    setEquation(equation) {
        const writable = this.getWritable();
        writable.__equation = equation;
    }
    decorate() {
        return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(EquationComponent, { equation: this.__equation, inline: this.__inline, nodeKey: this.__key }));
    }
}
function $createEquationNode(equation = '', inline = false) {
    return new EquationNode(equation, inline);
}
function $isEquationNode(node) {
    return node instanceof EquationNode;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (EquationNode);


/***/ }),

/***/ "./lib/nodes/ImageNode.js":
/*!********************************!*\
  !*** ./lib/nodes/ImageNode.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createImageNode": () => (/* binding */ $createImageNode),
/* harmony export */   "$isImageNode": () => (/* binding */ $isImageNode),
/* harmony export */   "ImageNode": () => (/* binding */ ImageNode)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalAutoFocusPlugin__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalAutoFocusPlugin */ "../../node_modules/@lexical/react/LexicalAutoFocusPlugin.js");
/* harmony import */ var _lexical_react_LexicalAutoFocusPlugin__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalAutoFocusPlugin__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lexical_react_LexicalHashtagPlugin__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lexical/react/LexicalHashtagPlugin */ "../../node_modules/@lexical/react/LexicalHashtagPlugin.js");
/* harmony import */ var _lexical_react_LexicalHashtagPlugin__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalHashtagPlugin__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _lexical_react_LexicalHistoryPlugin__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @lexical/react/LexicalHistoryPlugin */ "../../node_modules/@lexical/react/LexicalHistoryPlugin.js");
/* harmony import */ var _lexical_react_LexicalHistoryPlugin__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalHistoryPlugin__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _lexical_react_LexicalLinkPlugin__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @lexical/react/LexicalLinkPlugin */ "../../node_modules/@lexical/react/LexicalLinkPlugin.js");
/* harmony import */ var _lexical_react_LexicalLinkPlugin__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalLinkPlugin__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _lexical_react_LexicalNestedComposer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @lexical/react/LexicalNestedComposer */ "../../node_modules/@lexical/react/LexicalNestedComposer.js");
/* harmony import */ var _lexical_react_LexicalNestedComposer__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalNestedComposer__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _lexical_react_LexicalRichTextPlugin__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @lexical/react/LexicalRichTextPlugin */ "../../node_modules/@lexical/react/LexicalRichTextPlugin.js");
/* harmony import */ var _lexical_react_LexicalRichTextPlugin__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalRichTextPlugin__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _lexical_react_LexicalTablePlugin__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @lexical/react/LexicalTablePlugin */ "../../node_modules/@lexical/react/LexicalTablePlugin.js");
/* harmony import */ var _lexical_react_LexicalTablePlugin__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalTablePlugin__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _lexical_react_useLexicalNodeSelection__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @lexical/react/useLexicalNodeSelection */ "../../node_modules/@lexical/react/useLexicalNodeSelection.js");
/* harmony import */ var _lexical_react_useLexicalNodeSelection__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_useLexicalNodeSelection__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../plugins/ImagesPlugin */ "./lib/plugins/ImagesPlugin.js");
/* harmony import */ var _ui_ContentEditable__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../ui/ContentEditable */ "./lib/ui/ContentEditable.js");
/* harmony import */ var _ui_ImageResizer__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../ui/ImageResizer */ "./lib/ui/ImageResizer.js");
/* harmony import */ var _ui_Placeholder__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../ui/Placeholder */ "./lib/ui/Placeholder.js");



















const imageCache = new Set();
function useSuspenseImage(src) {
    if (!imageCache.has(src)) {
        throw new Promise((resolve) => {
            const img = new Image();
            img.src = src;
            img.onload = () => {
                imageCache.add(src);
                resolve(null);
            };
        });
    }
}
function convertImageElement(domNode) {
    if (domNode instanceof HTMLImageElement) {
        const { alt: altText, src } = domNode;
        const node = $createImageNode({ altText, src });
        return { node };
    }
    return null;
}
function LazyImage({ altText, className, imageRef, src, width, height, maxWidth, }) {
    useSuspenseImage(src);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("img", { className: className || undefined, src: src, alt: altText, ref: imageRef, style: {
            height,
            maxWidth,
            width,
        }, draggable: "false" }));
}
function ImageComponent({ src, altText, nodeKey, width, height, maxWidth, resizable, showCaption, caption, }) {
    const imageRef = (0,react__WEBPACK_IMPORTED_MODULE_12__.useRef)(null);
    const buttonRef = (0,react__WEBPACK_IMPORTED_MODULE_12__.useRef)(null);
    const [isSelected, setSelected, clearSelection] = (0,_lexical_react_useLexicalNodeSelection__WEBPACK_IMPORTED_MODULE_9__.useLexicalNodeSelection)(nodeKey);
    const [isResizing, setIsResizing] = (0,react__WEBPACK_IMPORTED_MODULE_12__.useState)(false);
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__.useLexicalComposerContext)();
    const [selection, setSelection] = (0,react__WEBPACK_IMPORTED_MODULE_12__.useState)(null);
    const activeEditorRef = (0,react__WEBPACK_IMPORTED_MODULE_12__.useRef)(null);
    const onDelete = (0,react__WEBPACK_IMPORTED_MODULE_12__.useCallback)((payload) => {
        if (isSelected && (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$isNodeSelection)((0,lexical__WEBPACK_IMPORTED_MODULE_11__.$getSelection)())) {
            const event = payload;
            event.preventDefault();
            const node = (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$getNodeByKey)(nodeKey);
            if ($isImageNode(node)) {
                node.remove();
            }
            setSelected(false);
        }
        return false;
    }, [isSelected, nodeKey, setSelected]);
    const onEnter = (0,react__WEBPACK_IMPORTED_MODULE_12__.useCallback)((event) => {
        const latestSelection = (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$getSelection)();
        const buttonElem = buttonRef.current;
        if (isSelected &&
            (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$isNodeSelection)(latestSelection) &&
            latestSelection.getNodes().length === 1) {
            if (showCaption) {
                // Move focus into nested editor
                (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$setSelection)(null);
                event.preventDefault();
                caption.focus();
                return true;
            }
            else if (buttonElem !== null &&
                buttonElem !== document.activeElement) {
                event.preventDefault();
                buttonElem.focus();
                return true;
            }
        }
        return false;
    }, [caption, isSelected, showCaption]);
    const onEscape = (0,react__WEBPACK_IMPORTED_MODULE_12__.useCallback)((event) => {
        if (activeEditorRef.current === caption ||
            buttonRef.current === event.target) {
            (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$setSelection)(null);
            editor.update(() => {
                const nodeSelection = (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$createNodeSelection)();
                nodeSelection.add(nodeKey);
                const parentRootElement = editor.getRootElement();
                if (parentRootElement !== null) {
                    parentRootElement.focus();
                }
                (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$setSelection)(nodeSelection);
            });
            return true;
        }
        return false;
    }, [caption, editor, nodeKey]);
    (0,react__WEBPACK_IMPORTED_MODULE_12__.useEffect)(() => {
        return (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_10__.mergeRegister)(editor.registerUpdateListener(({ editorState }) => {
            setSelection(editorState.read(() => (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$getSelection)()));
        }), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_11__.SELECTION_CHANGE_COMMAND, (_, activeEditor) => {
            activeEditorRef.current = activeEditor;
            return false;
        }, lexical__WEBPACK_IMPORTED_MODULE_11__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_11__.CLICK_COMMAND, (payload) => {
            const event = payload;
            if (isResizing) {
                return true;
            }
            if (event.target === imageRef.current) {
                if (!event.shiftKey) {
                    clearSelection();
                }
                setSelected(!isSelected);
                return true;
            }
            return false;
        }, lexical__WEBPACK_IMPORTED_MODULE_11__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_11__.KEY_DELETE_COMMAND, onDelete, lexical__WEBPACK_IMPORTED_MODULE_11__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_11__.KEY_BACKSPACE_COMMAND, onDelete, lexical__WEBPACK_IMPORTED_MODULE_11__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_11__.KEY_ENTER_COMMAND, onEnter, lexical__WEBPACK_IMPORTED_MODULE_11__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_11__.KEY_ESCAPE_COMMAND, onEscape, lexical__WEBPACK_IMPORTED_MODULE_11__.COMMAND_PRIORITY_LOW));
    }, [
        clearSelection,
        editor,
        isResizing,
        isSelected,
        nodeKey,
        onDelete,
        onEnter,
        onEscape,
        setSelected,
    ]);
    const setShowCaption = () => {
        editor.update(() => {
            const node = (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$getNodeByKey)(nodeKey);
            if ($isImageNode(node)) {
                node.setShowCaption(true);
            }
        });
    };
    const onResizeEnd = (nextWidth, nextHeight) => {
        // Delay hiding the resize bars for click case
        setTimeout(() => {
            setIsResizing(false);
        }, 200);
        editor.update(() => {
            const node = (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$getNodeByKey)(nodeKey);
            if ($isImageNode(node)) {
                node.setWidthAndHeight(nextWidth, nextHeight);
            }
        });
    };
    const onResizeStart = () => {
        setIsResizing(true);
    };
    const draggable = isSelected && (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$isNodeSelection)(selection);
    const isFocused = isSelected || isResizing;
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react__WEBPACK_IMPORTED_MODULE_12__.Suspense, { fallback: null, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { draggable: draggable, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(LazyImage, { className: isFocused
                            ? `focused ${(0,lexical__WEBPACK_IMPORTED_MODULE_11__.$isNodeSelection)(selection) ? 'draggable' : ''}`
                            : null, src: src, altText: altText, imageRef: imageRef, width: width, height: height, maxWidth: maxWidth }) }), showCaption && ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-caption-container", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_lexical_react_LexicalNestedComposer__WEBPACK_IMPORTED_MODULE_6__.LexicalNestedComposer, { initialEditor: caption, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalAutoFocusPlugin__WEBPACK_IMPORTED_MODULE_1__.AutoFocusPlugin, {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalTablePlugin__WEBPACK_IMPORTED_MODULE_8__.TablePlugin, {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_plugins_ImagesPlugin__WEBPACK_IMPORTED_MODULE_13__["default"], {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalLinkPlugin__WEBPACK_IMPORTED_MODULE_5__.LinkPlugin, {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalHashtagPlugin__WEBPACK_IMPORTED_MODULE_3__.HashtagPlugin, {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalHistoryPlugin__WEBPACK_IMPORTED_MODULE_4__.HistoryPlugin, {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalRichTextPlugin__WEBPACK_IMPORTED_MODULE_7__.RichTextPlugin, { contentEditable: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_ContentEditable__WEBPACK_IMPORTED_MODULE_14__["default"], { className: "ImageNode__contentEditable" }), placeholder: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Placeholder__WEBPACK_IMPORTED_MODULE_15__["default"], { className: "ImageNode__placeholder", children: "Enter a caption..." }) })] }) })), resizable && (0,lexical__WEBPACK_IMPORTED_MODULE_11__.$isNodeSelection)(selection) && isFocused && ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_ImageResizer__WEBPACK_IMPORTED_MODULE_16__["default"], { showCaption: showCaption, setShowCaption: setShowCaption, editor: editor, buttonRef: buttonRef, imageRef: imageRef, maxWidth: maxWidth, onResizeStart: onResizeStart, onResizeEnd: onResizeEnd }))] }) }));
}
class ImageNode extends lexical__WEBPACK_IMPORTED_MODULE_11__.DecoratorNode {
    __src;
    __altText;
    __width;
    __height;
    __maxWidth;
    __showCaption;
    __caption;
    static getType() {
        return 'image';
    }
    static clone(node) {
        return new ImageNode(node.__src, node.__altText, node.__maxWidth, node.__width, node.__height, node.__showCaption, node.__caption, node.__key);
    }
    static importJSON(serializedNode) {
        const { altText, height, width, maxWidth, caption, src, showCaption } = serializedNode;
        const node = $createImageNode({
            altText,
            height,
            maxWidth,
            showCaption,
            src,
            width,
        });
        const nestedEditor = node.__caption;
        const editorState = nestedEditor.parseEditorState(caption.editorState);
        if (!editorState.isEmpty()) {
            nestedEditor.setEditorState(editorState);
        }
        return node;
    }
    exportDOM() {
        const element = document.createElement('img');
        element.setAttribute('src', this.__src);
        element.setAttribute('alt', this.__altText);
        return { element };
    }
    static importDOM() {
        return {
            img: (node) => ({
                conversion: convertImageElement,
                priority: 0,
            }),
        };
    }
    constructor(src, altText, maxWidth, width, height, showCaption, caption, key) {
        super(key);
        this.__src = src;
        this.__altText = altText;
        this.__maxWidth = maxWidth;
        this.__width = width || 'inherit';
        this.__height = height || 'inherit';
        this.__showCaption = showCaption || false;
        this.__caption = caption || (0,lexical__WEBPACK_IMPORTED_MODULE_11__.createEditor)();
    }
    exportJSON() {
        return {
            altText: this.getAltText(),
            caption: this.__caption.toJSON(),
            height: this.__height === 'inherit' ? 0 : this.__height,
            maxWidth: this.__maxWidth,
            showCaption: this.__showCaption,
            src: this.getSrc(),
            type: 'image',
            version: 1,
            width: this.__width === 'inherit' ? 0 : this.__width,
        };
    }
    setWidthAndHeight(width, height) {
        const writable = this.getWritable();
        writable.__width = width;
        writable.__height = height;
    }
    setShowCaption(showCaption) {
        const writable = this.getWritable();
        writable.__showCaption = showCaption;
    }
    // View
    createDOM(config) {
        const span = document.createElement('span');
        const theme = config.theme;
        const className = theme.image;
        if (className !== undefined) {
            span.className = className;
        }
        return span;
    }
    updateDOM() {
        return false;
    }
    getSrc() {
        return this.__src;
    }
    getAltText() {
        return this.__altText;
    }
    decorate() {
        return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(ImageComponent, { src: this.__src, altText: this.__altText, width: this.__width, height: this.__height, maxWidth: this.__maxWidth, nodeKey: this.getKey(), showCaption: this.__showCaption, caption: this.__caption, resizable: true }));
    }
}
function $createImageNode({ altText, height, maxWidth = 500, src, width, showCaption, caption, key, }) {
    return new ImageNode(src, altText, maxWidth, width, height, showCaption, caption, key);
}
function $isImageNode(node) {
    return node instanceof ImageNode;
}


/***/ }),

/***/ "./lib/nodes/JupyterCodeHighlightNode.js":
/*!***********************************************!*\
  !*** ./lib/nodes/JupyterCodeHighlightNode.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createJupyterCodeHighlightNode": () => (/* binding */ $createJupyterCodeHighlightNode),
/* harmony export */   "$isJupyterCodeHighlightNode": () => (/* binding */ $isJupyterCodeHighlightNode),
/* harmony export */   "CODE_LANGUAGE_FRIENDLY_NAME_MAP": () => (/* binding */ CODE_LANGUAGE_FRIENDLY_NAME_MAP),
/* harmony export */   "CODE_LANGUAGE_MAP": () => (/* binding */ CODE_LANGUAGE_MAP),
/* harmony export */   "DEFAULT_CODE_LANGUAGE": () => (/* binding */ DEFAULT_CODE_LANGUAGE),
/* harmony export */   "JupyterCodeHighlightNode": () => (/* binding */ JupyterCodeHighlightNode),
/* harmony export */   "getCodeLanguages": () => (/* binding */ getCodeLanguages),
/* harmony export */   "getDefaultCodeLanguage": () => (/* binding */ getDefaultCodeLanguage),
/* harmony export */   "getFirstJupyterCodeHighlightNodeOfLine": () => (/* binding */ getFirstJupyterCodeHighlightNodeOfLine),
/* harmony export */   "getLanguageFriendlyName": () => (/* binding */ getLanguageFriendlyName),
/* harmony export */   "getLastJupyterCodeHighlightNodeOfLine": () => (/* binding */ getLastJupyterCodeHighlightNodeOfLine),
/* harmony export */   "normalizeCodeLang": () => (/* binding */ normalizeCodeLang)
/* harmony export */ });
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! prismjs */ "../../node_modules/prismjs/prism.js");
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(prismjs__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! prismjs/components/prism-clike */ "../../node_modules/prismjs/components/prism-clike.js");
/* harmony import */ var prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! prismjs/components/prism-javascript */ "../../node_modules/prismjs/components/prism-javascript.js");
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! prismjs/components/prism-markup */ "../../node_modules/prismjs/components/prism-markup.js");
/* harmony import */ var prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! prismjs/components/prism-markdown */ "../../node_modules/prismjs/components/prism-markdown.js");
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! prismjs/components/prism-c */ "../../node_modules/prismjs/components/prism-c.js");
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! prismjs/components/prism-css */ "../../node_modules/prismjs/components/prism-css.js");
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! prismjs/components/prism-objectivec */ "../../node_modules/prismjs/components/prism-objectivec.js");
/* harmony import */ var prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! prismjs/components/prism-sql */ "../../node_modules/prismjs/components/prism-sql.js");
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! prismjs/components/prism-python */ "../../node_modules/prismjs/components/prism-python.js");
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! prismjs/components/prism-rust */ "../../node_modules/prismjs/components/prism-rust.js");
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! prismjs/components/prism-swift */ "../../node_modules/prismjs/components/prism-swift.js");
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_13__);
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
// eslint-disable-next-line simple-import-sort/imports














const DEFAULT_CODE_LANGUAGE = 'javascript';
const CODE_LANGUAGE_FRIENDLY_NAME_MAP = {
    c: 'C',
    clike: 'C-like',
    css: 'CSS',
    html: 'HTML',
    js: 'JavaScript',
    markdown: 'Markdown',
    objc: 'Objective-C',
    plain: 'Plain Text',
    py: 'Python',
    rust: 'Rust',
    sql: 'SQL',
    swift: 'Swift',
    xml: 'XML',
};
const CODE_LANGUAGE_MAP = {
    javascript: 'js',
    md: 'markdown',
    plaintext: 'plain',
    python: 'py',
    text: 'plain',
};
function normalizeCodeLang(lang) {
    return CODE_LANGUAGE_MAP[lang] || lang;
}
function getLanguageFriendlyName(lang) {
    const _lang = normalizeCodeLang(lang);
    return CODE_LANGUAGE_FRIENDLY_NAME_MAP[_lang] || _lang;
}
const getDefaultCodeLanguage = () => DEFAULT_CODE_LANGUAGE;
const getCodeLanguages = () => Object.keys(prismjs__WEBPACK_IMPORTED_MODULE_1__.languages)
    .filter(
// Prism has several language helpers mixed into languages object
// so filtering them out here to get langs list
(language) => typeof prismjs__WEBPACK_IMPORTED_MODULE_1__.languages[language] !== 'function')
    .sort();
/** @noInheritDoc */
class JupyterCodeHighlightNode extends lexical__WEBPACK_IMPORTED_MODULE_0__.TextNode {
    /** @internal */
    __highlightType;
    constructor(text, highlightType, key) {
        super(text, key);
        this.__highlightType = highlightType;
    }
    static getType() {
        return 'jupyter-code-highlight';
    }
    static clone(node) {
        return new JupyterCodeHighlightNode(node.__text, node.__highlightType || undefined, node.__key);
    }
    getHighlightType() {
        const self = this.getLatest();
        return self.__highlightType;
    }
    createDOM(config) {
        const element = super.createDOM(config);
        const className = getHighlightThemeClass(config.theme, this.__highlightType);
        (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_13__.addClassNamesToElement)(element, className);
        return element;
    }
    updateDOM(prevNode, dom, config) {
        const update = super.updateDOM(prevNode, dom, config);
        const prevClassName = getHighlightThemeClass(config.theme, prevNode.__highlightType);
        const nextClassName = getHighlightThemeClass(config.theme, this.__highlightType);
        if (prevClassName !== nextClassName) {
            if (prevClassName) {
                (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_13__.removeClassNamesFromElement)(dom, prevClassName);
            }
            if (nextClassName) {
                (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_13__.addClassNamesToElement)(dom, nextClassName);
            }
        }
        return update;
    }
    static importJSON(serializedNode) {
        const node = $createJupyterCodeHighlightNode(serializedNode.text, serializedNode.highlightType);
        node.setFormat(serializedNode.format);
        node.setDetail(serializedNode.detail);
        node.setMode(serializedNode.mode);
        node.setStyle(serializedNode.style);
        return node;
    }
    exportJSON() {
        return {
            ...super.exportJSON(),
            highlightType: this.getHighlightType(),
            type: 'jupyter-code-highlight',
            version: 1,
        };
    }
    // Prevent formatting (bold, underline, etc)
    setFormat(format) {
        return this;
    }
}
function getHighlightThemeClass(theme, highlightType) {
    return (highlightType &&
        theme &&
        theme.codeHighlight &&
        theme.codeHighlight[highlightType]);
}
function $createJupyterCodeHighlightNode(text, highlightType) {
    return new JupyterCodeHighlightNode(text, highlightType);
}
function $isJupyterCodeHighlightNode(node) {
    return node instanceof JupyterCodeHighlightNode;
}
function getFirstJupyterCodeHighlightNodeOfLine(anchor) {
    let currentNode = null;
    const previousSiblings = anchor.getPreviousSiblings();
    previousSiblings.push(anchor);
    while (previousSiblings.length > 0) {
        const node = previousSiblings.pop();
        if ($isJupyterCodeHighlightNode(node)) {
            currentNode = node;
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isLineBreakNode)(node)) {
            break;
        }
    }
    return currentNode;
}
function getLastJupyterCodeHighlightNodeOfLine(anchor) {
    let currentNode = null;
    const nextSiblings = anchor.getNextSiblings();
    nextSiblings.unshift(anchor);
    while (nextSiblings.length > 0) {
        const node = nextSiblings.shift();
        if ($isJupyterCodeHighlightNode(node)) {
            currentNode = node;
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isLineBreakNode)(node)) {
            break;
        }
    }
    return currentNode;
}


/***/ }),

/***/ "./lib/nodes/JupyterCodeHighlighter.js":
/*!*********************************************!*\
  !*** ./lib/nodes/JupyterCodeHighlighter.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getEndOfJupyterCodeInLine": () => (/* binding */ getEndOfJupyterCodeInLine),
/* harmony export */   "getStartOfCodeInLine": () => (/* binding */ getStartOfCodeInLine),
/* harmony export */   "registerCodeHighlighting": () => (/* binding */ registerCodeHighlighting)
/* harmony export */ });
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! prismjs */ "../../node_modules/prismjs/prism.js");
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(prismjs__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! prismjs/components/prism-clike */ "../../node_modules/prismjs/components/prism-clike.js");
/* harmony import */ var prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! prismjs/components/prism-javascript */ "../../node_modules/prismjs/components/prism-javascript.js");
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! prismjs/components/prism-markup */ "../../node_modules/prismjs/components/prism-markup.js");
/* harmony import */ var prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! prismjs/components/prism-markdown */ "../../node_modules/prismjs/components/prism-markdown.js");
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! prismjs/components/prism-c */ "../../node_modules/prismjs/components/prism-c.js");
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! prismjs/components/prism-css */ "../../node_modules/prismjs/components/prism-css.js");
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! prismjs/components/prism-objectivec */ "../../node_modules/prismjs/components/prism-objectivec.js");
/* harmony import */ var prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! prismjs/components/prism-sql */ "../../node_modules/prismjs/components/prism-sql.js");
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! prismjs/components/prism-python */ "../../node_modules/prismjs/components/prism-python.js");
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! prismjs/components/prism-rust */ "../../node_modules/prismjs/components/prism-rust.js");
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! prismjs/components/prism-swift */ "../../node_modules/prismjs/components/prism-swift.js");
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./JupyterCodeHighlightNode */ "./lib/nodes/JupyterCodeHighlightNode.js");
/* harmony import */ var _JupyterCodeNode__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
















function isSpaceOrTabChar(char) {
    return char === ' ' || char === '\t';
}
function findFirstNotSpaceOrTabCharAtText(text, isForward) {
    const length = text.length;
    let offset = -1;
    if (isForward) {
        for (let i = 0; i < length; i++) {
            const char = text[i];
            if (!isSpaceOrTabChar(char)) {
                offset = i;
                break;
            }
        }
    }
    else {
        for (let i = length - 1; i > -1; i--) {
            const char = text[i];
            if (!isSpaceOrTabChar(char)) {
                offset = i;
                break;
            }
        }
    }
    return offset;
}
function getStartOfCodeInLine(anchor) {
    let currentNode = null;
    let currentNodeOffset = -1;
    const previousSiblings = anchor.getPreviousSiblings();
    previousSiblings.push(anchor);
    while (previousSiblings.length > 0) {
        const node = previousSiblings.pop();
        if ((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node)) {
            const text = node.getTextContent();
            const offset = findFirstNotSpaceOrTabCharAtText(text, true);
            if (offset !== -1) {
                currentNode = node;
                currentNodeOffset = offset;
            }
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node)) {
            break;
        }
    }
    if (currentNode === null) {
        const nextSiblings = anchor.getNextSiblings();
        while (nextSiblings.length > 0) {
            const node = nextSiblings.shift();
            if ((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node)) {
                const text = node.getTextContent();
                const offset = findFirstNotSpaceOrTabCharAtText(text, true);
                if (offset !== -1) {
                    currentNode = node;
                    currentNodeOffset = offset;
                    break;
                }
            }
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node)) {
                break;
            }
        }
    }
    return {
        node: currentNode,
        offset: currentNodeOffset,
    };
}
function getEndOfJupyterCodeInLine(anchor) {
    let currentNode = null;
    let currentNodeOffset = -1;
    const nextSiblings = anchor.getNextSiblings();
    nextSiblings.unshift(anchor);
    while (nextSiblings.length > 0) {
        const node = nextSiblings.shift();
        if ((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node)) {
            const text = node.getTextContent();
            const offset = findFirstNotSpaceOrTabCharAtText(text, false);
            if (offset !== -1) {
                currentNode = node;
                currentNodeOffset = offset + 1;
            }
        }
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node)) {
            break;
        }
    }
    if (currentNode === null) {
        const previousSiblings = anchor.getPreviousSiblings();
        while (previousSiblings.length > 0) {
            const node = previousSiblings.pop();
            if ((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node)) {
                const text = node.getTextContent();
                const offset = findFirstNotSpaceOrTabCharAtText(text, false);
                if (offset !== -1) {
                    currentNode = node;
                    currentNodeOffset = offset + 1;
                    break;
                }
            }
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node)) {
                break;
            }
        }
    }
    return {
        node: currentNode,
        offset: currentNodeOffset,
    };
}
function textNodeTransform(node, editor) {
    // Since CodeNode has flat children structure we only need to check
    // if node's parent is a code node and run highlighting if so
    const parentNode = node.getParent();
    if ((0,_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_15__.$isJupyterCodeNode)(parentNode)) {
        codeNodeTransform(parentNode, editor);
    }
    else if ((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node)) {
        // When code block converted into paragraph or other element
        // code highlight nodes converted back to normal text
        node.replace((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$createTextNode)(node.__text));
    }
}
function updateCodeGutter(node, editor) {
    const codeElement = editor.getElementByKey(node.getKey());
    if (codeElement === null) {
        return;
    }
    const children = node.getChildren();
    const childrenLength = children.length;
    // @ts-ignore: internal field
    if (childrenLength === codeElement.__cachedChildrenLength) {
        // Avoid updating the attribute if the children length hasn't changed.
        return;
    }
    // @ts-ignore:: internal field
    codeElement.__cachedChildrenLength = childrenLength;
    let gutter = '1';
    let count = 1;
    for (let i = 0; i < childrenLength; i++) {
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(children[i])) {
            gutter += '\n' + ++count;
        }
    }
    codeElement.setAttribute('data-gutter', gutter);
}
// Using `skipTransforms` to prevent extra transforms since reformatting the code
// will not affect code block content itself.
//
// Using extra flag (`isHighlighting`) since both CodeNode and CodeHighlightNode
// transforms might be called at the same time (e.g. new CodeHighlight node inserted) and
// in both cases we'll rerun whole reformatting over CodeNode, which is redundant.
// Especially when pasting code into CodeBlock.
let isHighlighting = false;
function codeNodeTransform(node, editor) {
    if (isHighlighting) {
        return;
    }
    isHighlighting = true;
    // When new code block inserted it might not have language selected
    if (node.getLanguage() === undefined) {
        node.setLanguage(_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.DEFAULT_CODE_LANGUAGE);
    }
    // Using nested update call to pass `skipTransforms` since we don't want
    // each individual codehighlight node to be transformed again as it's already
    // in its final state
    editor.update(() => {
        updateAndRetainSelection(node, () => {
            const code = node.getTextContent();
            const tokens = prismjs__WEBPACK_IMPORTED_MODULE_0__.tokenize(code, prismjs__WEBPACK_IMPORTED_MODULE_0__.languages[node.getLanguage() || ''] ||
                prismjs__WEBPACK_IMPORTED_MODULE_0__.languages[_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.DEFAULT_CODE_LANGUAGE]);
            const highlightNodes = getHighlightNodes(tokens);
            const diffRange = getDiffRange(node.getChildren(), highlightNodes);
            const { from, to, nodesForReplacement } = diffRange;
            if (from !== to || nodesForReplacement.length) {
                node.splice(from, to - from, nodesForReplacement);
                return true;
            }
            return false;
        });
    }, {
        onUpdate: () => {
            isHighlighting = false;
        },
        skipTransforms: true,
    });
}
function getHighlightNodes(tokens) {
    const nodes = [];
    tokens.forEach((token) => {
        if (typeof token === 'string') {
            const partials = token.split('\n');
            for (let i = 0; i < partials.length; i++) {
                const text = partials[i];
                if (text.length) {
                    nodes.push((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$createJupyterCodeHighlightNode)(text));
                }
                if (i < partials.length - 1) {
                    nodes.push((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$createLineBreakNode)());
                }
            }
        }
        else {
            const { content } = token;
            if (typeof content === 'string') {
                nodes.push((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$createJupyterCodeHighlightNode)(content, token.type));
            }
            else if (Array.isArray(content) &&
                content.length === 1 &&
                typeof content[0] === 'string') {
                nodes.push((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$createJupyterCodeHighlightNode)(content[0], token.type));
            }
            else if (Array.isArray(content)) {
                nodes.push(...getHighlightNodes(content));
            }
        }
    });
    return nodes;
}
// Wrapping update function into selection retainer, that tries to keep cursor at the same
// position as before.
function updateAndRetainSelection(node, updateFn) {
    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$getSelection)();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isRangeSelection)(selection) || !selection.anchor) {
        return;
    }
    const anchor = selection.anchor;
    const anchorOffset = anchor.offset;
    const isNewLineAnchor = anchor.type === 'element' &&
        (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node.getChildAtIndex(anchor.offset - 1));
    let textOffset = 0;
    // Calculating previous text offset (all text node prior to anchor + anchor own text offset)
    if (!isNewLineAnchor) {
        const anchorNode = anchor.getNode();
        textOffset =
            anchorOffset +
                anchorNode.getPreviousSiblings().reduce((offset, _node) => {
                    return (offset + ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(_node) ? 0 : _node.getTextContentSize()));
                }, 0);
    }
    const hasChanges = updateFn();
    if (!hasChanges) {
        return;
    }
    // Non-text anchors only happen for line breaks, otherwise
    // selection will be within text node (code highlight node)
    if (isNewLineAnchor) {
        anchor.getNode().select(anchorOffset, anchorOffset);
        return;
    }
    // If it was non-element anchor then we walk through child nodes
    // and looking for a position of original text offset
    node.getChildren().some((_node) => {
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isTextNode)(_node)) {
            const textContentSize = _node.getTextContentSize();
            if (textContentSize >= textOffset) {
                _node.select(textOffset, textOffset);
                return true;
            }
            textOffset -= textContentSize;
        }
        return false;
    });
}
// Finds minimal diff range between two nodes lists. It returns from/to range boundaries of prevNodes
// that needs to be replaced with `nodes` (subset of nextNodes) to make prevNodes equal to nextNodes.
function getDiffRange(prevNodes, nextNodes) {
    let leadingMatch = 0;
    while (leadingMatch < prevNodes.length) {
        if (!isEqual(prevNodes[leadingMatch], nextNodes[leadingMatch])) {
            break;
        }
        leadingMatch++;
    }
    const prevNodesLength = prevNodes.length;
    const nextNodesLength = nextNodes.length;
    const maxTrailingMatch = Math.min(prevNodesLength, nextNodesLength) - leadingMatch;
    let trailingMatch = 0;
    while (trailingMatch < maxTrailingMatch) {
        trailingMatch++;
        if (!isEqual(prevNodes[prevNodesLength - trailingMatch], nextNodes[nextNodesLength - trailingMatch])) {
            trailingMatch--;
            break;
        }
    }
    const from = leadingMatch;
    const to = prevNodesLength - trailingMatch;
    const nodesForReplacement = nextNodes.slice(leadingMatch, nextNodesLength - trailingMatch);
    return {
        from,
        nodesForReplacement,
        to,
    };
}
function isEqual(nodeA, nodeB) {
    // Only checking for code higlight nodes and linebreaks. If it's regular text node
    // returning false so that it's transformed into code highlight node
    if ((0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(nodeA) && (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(nodeB)) {
        return (nodeA.__text === nodeB.__text &&
            nodeA.__highlightType === nodeB.__highlightType);
    }
    if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(nodeA) && (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(nodeB)) {
        return true;
    }
    return false;
}
function handleMultilineIndent(type) {
    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$getSelection)();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isRangeSelection)(selection) || selection.isCollapsed()) {
        return false;
    }
    // Only run multiline indent logic on selections exclusively composed of code highlights and linebreaks
    const nodes = selection.getNodes();
    for (let i = 0; i < nodes.length; i++) {
        const node = nodes[i];
        if (!(0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node) && !(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node)) {
            return false;
        }
    }
    const startOfLine = (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.getFirstJupyterCodeHighlightNodeOfLine)(nodes[0]);
    if (startOfLine != null) {
        doIndent(startOfLine, type);
    }
    for (let i = 1; i < nodes.length; i++) {
        const node = nodes[i];
        if ((0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(nodes[i - 1]) && (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node)) {
            doIndent(node, type);
        }
    }
    return true;
}
function doIndent(node, type) {
    const text = node.getTextContent();
    if (type === lexical__WEBPACK_IMPORTED_MODULE_13__.INDENT_CONTENT_COMMAND) {
        // If the codeblock node doesn't start with whitespace, we don't want to
        // naively prepend a '\t'; Prism will then mangle all of our nodes when
        // it separates the whitespace from the first non-whitespace node. This
        // will lead to selection bugs when indenting lines that previously
        // didn't start with a whitespace character
        if (text.length > 0 && /\s/.test(text[0])) {
            node.setTextContent('\t' + text);
        }
        else {
            const indentNode = (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$createJupyterCodeHighlightNode)('\t');
            node.insertBefore(indentNode);
        }
    }
    else {
        if (text.indexOf('\t') === 0) {
            // Same as above - if we leave empty text nodes lying around, the resulting
            // selection will be mangled
            if (text.length === 1) {
                node.remove();
            }
            else {
                node.setTextContent(text.substring(1));
            }
        }
    }
}
function handleShiftLines(type, event) {
    // We only care about the alt+arrow keys
    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$getSelection)();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isRangeSelection)(selection)) {
        return false;
    }
    // I'm not quite sure why, but it seems like calling anchor.getNode() collapses the selection here
    // So first, get the anchor and the focus, then get their nodes
    const { anchor, focus } = selection;
    const anchorOffset = anchor.offset;
    const focusOffset = focus.offset;
    const anchorNode = anchor.getNode();
    const focusNode = focus.getNode();
    const arrowIsUp = type === lexical__WEBPACK_IMPORTED_MODULE_13__.KEY_ARROW_UP_COMMAND;
    // Ensure the selection is within the codeblock
    if (!(0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(anchorNode) || !(0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(focusNode)) {
        return false;
    }
    if (!event.altKey) {
        // Handle moving selection out of the code block, given there are no
        // sibling thats can natively take the selection.
        if (selection.isCollapsed()) {
            const codeNode = anchorNode.getParentOrThrow();
            if (arrowIsUp &&
                anchorOffset === 0 &&
                anchorNode.getPreviousSibling() === null) {
                const codeNodeSibling = codeNode.getPreviousSibling();
                if (codeNodeSibling === null) {
                    codeNode.selectPrevious();
                    event.preventDefault();
                    return true;
                }
            }
            else if (!arrowIsUp &&
                anchorOffset === anchorNode.getTextContentSize() &&
                anchorNode.getNextSibling() === null) {
                const codeNodeSibling = codeNode.getNextSibling();
                if (codeNodeSibling === null) {
                    codeNode.selectNext();
                    event.preventDefault();
                    return true;
                }
            }
        }
        return false;
    }
    const start = (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.getFirstJupyterCodeHighlightNodeOfLine)(anchorNode);
    const end = (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.getLastJupyterCodeHighlightNodeOfLine)(focusNode);
    if (start == null || end == null) {
        return false;
    }
    const range = start.getNodesBetween(end);
    for (let i = 0; i < range.length; i++) {
        const node = range[i];
        if (!(0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(node) && !(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(node)) {
            return false;
        }
    }
    // After this point, we know the selection is within the codeblock. We may not be able to
    // actually move the lines around, but we want to return true either way to prevent
    // the event's default behavior
    event.preventDefault();
    event.stopPropagation(); // required to stop cursor movement under Firefox
    const linebreak = arrowIsUp
        ? start.getPreviousSibling()
        : end.getNextSibling();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isLineBreakNode)(linebreak)) {
        return true;
    }
    const sibling = arrowIsUp
        ? linebreak.getPreviousSibling()
        : linebreak.getNextSibling();
    if (sibling == null) {
        return true;
    }
    const maybeInsertionPoint = arrowIsUp
        ? (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.getFirstJupyterCodeHighlightNodeOfLine)(sibling)
        : (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.getLastJupyterCodeHighlightNodeOfLine)(sibling);
    let insertionPoint = maybeInsertionPoint != null ? maybeInsertionPoint : sibling;
    linebreak.remove();
    range.forEach((node) => node.remove());
    if (type === lexical__WEBPACK_IMPORTED_MODULE_13__.KEY_ARROW_UP_COMMAND) {
        range.forEach((node) => insertionPoint.insertBefore(node));
        insertionPoint.insertBefore(linebreak);
    }
    else {
        insertionPoint.insertAfter(linebreak);
        insertionPoint = linebreak;
        range.forEach((node) => {
            insertionPoint.insertAfter(node);
            insertionPoint = node;
        });
    }
    selection.setTextNodeRange(anchorNode, anchorOffset, focusNode, focusOffset);
    return true;
}
function handleMoveTo(type, event) {
    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$getSelection)();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_13__.$isRangeSelection)(selection)) {
        return false;
    }
    const { anchor, focus } = selection;
    const anchorNode = anchor.getNode();
    const focusNode = focus.getNode();
    const isMoveToStart = type === lexical__WEBPACK_IMPORTED_MODULE_13__.MOVE_TO_START;
    if (!(0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(anchorNode) || !(0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.$isJupyterCodeHighlightNode)(focusNode)) {
        return false;
    }
    let node;
    let offset;
    if (isMoveToStart) {
        ({ node, offset } = getStartOfCodeInLine(focusNode));
    }
    else {
        ({ node, offset } = getEndOfJupyterCodeInLine(focusNode));
    }
    if (node !== null && offset !== -1) {
        selection.setTextNodeRange(node, offset, node, offset);
    }
    event.preventDefault();
    event.stopPropagation();
    return true;
}
function registerCodeHighlighting(editor) {
    if (!editor.hasNodes([_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_15__.JupyterCodeNode, _JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.JupyterCodeHighlightNode])) {
        throw new Error('CodeHighlightPlugin: CodeNode or CodeHighlightNode not registered on editor');
    }
    return (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_12__.mergeRegister)(editor.registerMutationListener(_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_15__.JupyterCodeNode, (mutations) => {
        editor.update(() => {
            for (const [key, type] of mutations) {
                if (type !== 'destroyed') {
                    const node = (0,lexical__WEBPACK_IMPORTED_MODULE_13__.$getNodeByKey)(key);
                    if (node !== null) {
                        updateCodeGutter(node, editor);
                    }
                }
            }
        });
    }), editor.registerNodeTransform(_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_15__.JupyterCodeNode, (node) => codeNodeTransform(node, editor)), editor.registerNodeTransform(lexical__WEBPACK_IMPORTED_MODULE_13__.TextNode, (node) => textNodeTransform(node, editor)), editor.registerNodeTransform(_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_14__.JupyterCodeHighlightNode, (node) => textNodeTransform(node, editor)), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_13__.INDENT_CONTENT_COMMAND, (payload) => handleMultilineIndent(lexical__WEBPACK_IMPORTED_MODULE_13__.INDENT_CONTENT_COMMAND), lexical__WEBPACK_IMPORTED_MODULE_13__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_13__.OUTDENT_CONTENT_COMMAND, (payload) => handleMultilineIndent(lexical__WEBPACK_IMPORTED_MODULE_13__.OUTDENT_CONTENT_COMMAND), lexical__WEBPACK_IMPORTED_MODULE_13__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_13__.KEY_ARROW_UP_COMMAND, (payload) => handleShiftLines(lexical__WEBPACK_IMPORTED_MODULE_13__.KEY_ARROW_UP_COMMAND, payload), lexical__WEBPACK_IMPORTED_MODULE_13__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_13__.KEY_ARROW_DOWN_COMMAND, (payload) => handleShiftLines(lexical__WEBPACK_IMPORTED_MODULE_13__.KEY_ARROW_DOWN_COMMAND, payload), lexical__WEBPACK_IMPORTED_MODULE_13__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_13__.MOVE_TO_END, (payload) => handleMoveTo(lexical__WEBPACK_IMPORTED_MODULE_13__.MOVE_TO_END, payload), lexical__WEBPACK_IMPORTED_MODULE_13__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_13__.MOVE_TO_START, (payload) => handleMoveTo(lexical__WEBPACK_IMPORTED_MODULE_13__.MOVE_TO_START, payload), lexical__WEBPACK_IMPORTED_MODULE_13__.COMMAND_PRIORITY_LOW));
}


/***/ }),

/***/ "./lib/nodes/JupyterCodeNode.js":
/*!**************************************!*\
  !*** ./lib/nodes/JupyterCodeNode.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createJupyterCodeNode": () => (/* binding */ $createJupyterCodeNode),
/* harmony export */   "$isJupyterCodeNode": () => (/* binding */ $isJupyterCodeNode),
/* harmony export */   "JupyterCodeNode": () => (/* binding */ JupyterCodeNode)
/* harmony export */ });
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/coreutils */ "webpack/sharing/consume/default/@lumino/coreutils");
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./JupyterCodeHighlightNode */ "./lib/nodes/JupyterCodeHighlightNode.js");
/* harmony import */ var _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../plugins/JupyterPlugin */ "./lib/plugins/JupyterPlugin.js");
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! prismjs */ "../../node_modules/prismjs/prism.js");
/* harmony import */ var prismjs__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(prismjs__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! prismjs/components/prism-clike */ "../../node_modules/prismjs/components/prism-clike.js");
/* harmony import */ var prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_clike__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! prismjs/components/prism-javascript */ "../../node_modules/prismjs/components/prism-javascript.js");
/* harmony import */ var prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_javascript__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! prismjs/components/prism-markup */ "../../node_modules/prismjs/components/prism-markup.js");
/* harmony import */ var prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markup__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! prismjs/components/prism-markdown */ "../../node_modules/prismjs/components/prism-markdown.js");
/* harmony import */ var prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_markdown__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! prismjs/components/prism-c */ "../../node_modules/prismjs/components/prism-c.js");
/* harmony import */ var prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_c__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! prismjs/components/prism-css */ "../../node_modules/prismjs/components/prism-css.js");
/* harmony import */ var prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_css__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! prismjs/components/prism-objectivec */ "../../node_modules/prismjs/components/prism-objectivec.js");
/* harmony import */ var prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_objectivec__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! prismjs/components/prism-sql */ "../../node_modules/prismjs/components/prism-sql.js");
/* harmony import */ var prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_sql__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! prismjs/components/prism-python */ "../../node_modules/prismjs/components/prism-python.js");
/* harmony import */ var prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_python__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! prismjs/components/prism-rust */ "../../node_modules/prismjs/components/prism-rust.js");
/* harmony import */ var prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_rust__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! prismjs/components/prism-swift */ "../../node_modules/prismjs/components/prism-swift.js");
/* harmony import */ var prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(prismjs_components_prism_swift__WEBPACK_IMPORTED_MODULE_14__);
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

















const mapToPrismLanguage = (language) => {
    // eslint-disable-next-line no-prototype-builtins
    return language != null && prismjs__WEBPACK_IMPORTED_MODULE_3__.languages.hasOwnProperty(language)
        ? language
        : undefined;
};
const LANGUAGE_DATA_ATTRIBUTE = 'data-highlight-language';
class JupyterCodeNode extends lexical__WEBPACK_IMPORTED_MODULE_0__.ElementNode {
    /** @internal */
    __language;
    __codeNodeUuid;
    static getType() {
        return 'jupyter-code';
    }
    static clone(node) {
        return new JupyterCodeNode(node.__language, node.__codeNodeUuid, node.__key);
    }
    constructor(language, codeNodeUuid, key) {
        super(key);
        this.__language = mapToPrismLanguage(language);
        this.__codeNodeUuid = codeNodeUuid || _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__.UUID.uuid4();
        _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_15__.CODE_UUID_TO_CODE_KEY.set(this.__codeNodeUuid, this.__key);
    }
    setCodeNodeUuid(codeNodeUuid) {
        const self = this.getWritable();
        self.__codeNodeUuid = codeNodeUuid;
    }
    getCodeNodeUuid() {
        const self = this.getLatest();
        return self.__codeNodeUuid;
    }
    // View
    createDOM(config) {
        const element = document.createElement('code');
        (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_1__.addClassNamesToElement)(element, config.theme.code);
        element.setAttribute('spellcheck', 'false');
        const language = this.getLanguage();
        if (language) {
            element.setAttribute(LANGUAGE_DATA_ATTRIBUTE, language);
        }
        return element;
    }
    updateDOM(prevNode, dom) {
        const language = this.__language;
        const prevLanguage = prevNode.__language;
        if (language) {
            if (language !== prevLanguage) {
                dom.setAttribute(LANGUAGE_DATA_ATTRIBUTE, language);
            }
        }
        else if (prevLanguage) {
            dom.removeAttribute(LANGUAGE_DATA_ATTRIBUTE);
        }
        return false;
    }
    static importDOM() {
        return {
            // Typically <pre> is used for code blocks, and <code> for inline code styles
            // but if it's a multi line <code> we'll create a block. Pass through to
            // inline format handled by TextNode otherwise
            code: (node) => {
                const isMultiLine = node.textContent != null && /\r?\n/.test(node.textContent);
                return isMultiLine
                    ? {
                        conversion: convertPreElement,
                        priority: 1,
                    }
                    : null;
            },
            div: (node) => ({
                conversion: convertDivElement,
                priority: 1,
            }),
            pre: (node) => ({
                conversion: convertPreElement,
                priority: 0,
            }),
            table: (node) => {
                const table = node;
                // domNode is a <table> since we matched it by nodeName
                if (isGitHubCodeTable(table)) {
                    return {
                        conversion: convertTableElement,
                        priority: 4,
                    };
                }
                return null;
            },
            td: (node) => {
                // element is a <td> since we matched it by nodeName
                const td = node;
                const table = td.closest('table');
                if (isGitHubCodeCell(td)) {
                    return {
                        conversion: convertTableCellElement,
                        priority: 4,
                    };
                }
                if (table && isGitHubCodeTable(table)) {
                    // Return a no-op if it's a table cell in a code table, but not a code line.
                    // Otherwise it'll fall back to the T
                    return {
                        conversion: convertCodeNoop,
                        priority: 4,
                    };
                }
                return null;
            },
            tr: (node) => {
                // element is a <tr> since we matched it by nodeName
                const tr = node;
                const table = tr.closest('table');
                if (table && isGitHubCodeTable(table)) {
                    return {
                        conversion: convertCodeNoop,
                        priority: 4,
                    };
                }
                return null;
            },
        };
    }
    static importJSON(serializedNode) {
        const node = $createJupyterCodeNode(serializedNode.language, serializedNode.codeNodeUuid);
        node.setFormat(serializedNode.format);
        node.setIndent(serializedNode.indent);
        node.setDirection(serializedNode.direction);
        return node;
    }
    exportJSON() {
        return {
            ...super.exportJSON(),
            type: 'jupyter-code',
            language: this.getLanguage(),
            codeNodeUuid: this.getCodeNodeUuid(),
            version: 1,
        };
    }
    // Mutation
    insertNewAfter(selection) {
        const children = this.getChildren();
        const childrenLength = children.length;
        if (childrenLength >= 2 &&
            children[childrenLength - 1].getTextContent() === '\n' &&
            children[childrenLength - 2].getTextContent() === '\n' &&
            selection.isCollapsed() &&
            selection.anchor.key === this.__key &&
            selection.anchor.offset === childrenLength) {
            children[childrenLength - 1].remove();
            children[childrenLength - 2].remove();
            const newElement = (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$createParagraphNode)();
            this.insertAfter(newElement);
            return newElement;
        }
        // If the selection is within the codeblock, find all leading tabs and
        // spaces of the current line. Create a new line that has all those
        // tabs and spaces, such that leading indentation is preserved.
        const anchor = selection.anchor.getNode();
        const firstNode = (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_16__.getFirstJupyterCodeHighlightNodeOfLine)(anchor);
        if (firstNode != null) {
            let leadingWhitespace = 0;
            const firstNodeText = firstNode.getTextContent();
            while (leadingWhitespace < firstNodeText.length &&
                /[\t ]/.test(firstNodeText[leadingWhitespace])) {
                leadingWhitespace += 1;
            }
            if (leadingWhitespace > 0) {
                const whitespace = firstNodeText.substring(0, leadingWhitespace);
                const indentedChild = (0,_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_16__.$createJupyterCodeHighlightNode)(whitespace);
                anchor.insertAfter(indentedChild);
                selection.insertNodes([(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$createLineBreakNode)()]);
                indentedChild.select();
                return indentedChild;
            }
        }
        return null;
    }
    canInsertTab() {
        const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$getSelection)();
        if (!(0,lexical__WEBPACK_IMPORTED_MODULE_0__.$isRangeSelection)(selection) || !selection.isCollapsed()) {
            return false;
        }
        return true;
    }
    canIndent() {
        return false;
    }
    collapseAtStart() {
        const paragraph = (0,lexical__WEBPACK_IMPORTED_MODULE_0__.$createParagraphNode)();
        const children = this.getChildren();
        children.forEach((child) => paragraph.append(child));
        this.replace(paragraph);
        return true;
    }
    setLanguage(language) {
        const writable = this.getWritable();
        writable.__language = mapToPrismLanguage(language);
    }
    getLanguage() {
        return this.getLatest().__language;
    }
}
function $createJupyterCodeNode(language, codeNodeUuid) {
    return new JupyterCodeNode(language, codeNodeUuid);
}
function $isJupyterCodeNode(node) {
    return node instanceof JupyterCodeNode;
}
function convertPreElement(domNode) {
    return { node: $createJupyterCodeNode("python") };
}
function convertDivElement(domNode) {
    // domNode is a <div> since we matched it by nodeName
    const div = domNode;
    return {
        after: (childLexicalNodes) => {
            const domParent = domNode.parentNode;
            if (domParent != null && domNode !== domParent.lastChild) {
                childLexicalNodes.push((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$createLineBreakNode)());
            }
            return childLexicalNodes;
        },
        node: isCodeElement(div) ? $createJupyterCodeNode("python") : null,
    };
}
function convertTableElement() {
    return { node: $createJupyterCodeNode("python") };
}
function convertCodeNoop() {
    return { node: null };
}
function convertTableCellElement(domNode) {
    // domNode is a <td> since we matched it by nodeName
    const cell = domNode;
    return {
        after: (childLexicalNodes) => {
            if (cell.parentNode && cell.parentNode.nextSibling) {
                // Append newline between code lines
                childLexicalNodes.push((0,lexical__WEBPACK_IMPORTED_MODULE_0__.$createLineBreakNode)());
            }
            return childLexicalNodes;
        },
        node: null,
    };
}
function isCodeElement(div) {
    return div.style.fontFamily.match('monospace') !== null;
}
function isGitHubCodeCell(cell) {
    return cell.classList.contains('js-file-line');
}
function isGitHubCodeTable(table) {
    return table.classList.contains('js-file-line-container');
}


/***/ }),

/***/ "./lib/nodes/JupyterOutputNode.js":
/*!****************************************!*\
  !*** ./lib/nodes/JupyterOutputNode.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createJupyterOutputNode": () => (/* binding */ $createJupyterOutputNode),
/* harmony export */   "$isJupyterOutputNode": () => (/* binding */ $isJupyterOutputNode),
/* harmony export */   "JupyterOutputNode": () => (/* binding */ JupyterOutputNode)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/coreutils */ "webpack/sharing/consume/default/@lumino/coreutils");
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../plugins/JupyterPlugin */ "./lib/plugins/JupyterPlugin.js");
/* harmony import */ var _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @datalayer/jupyter-react */ "webpack/sharing/consume/default/@datalayer/jupyter-react/@datalayer/jupyter-react");
/* harmony import */ var _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _components_JupyterOutputComponent__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../components/JupyterOutputComponent */ "./lib/components/JupyterOutputComponent.js");






class JupyterOutputNode extends lexical__WEBPACK_IMPORTED_MODULE_1__.DecoratorNode {
    __code;
    __outputs;
    __outputAdapter;
    __codeNodeUuid;
    __outputNodeUuid;
    __executeTrigger;
    /** @override */
    static getType() {
        return "jupyter-output";
    }
    /** @override */
    static clone(node) {
        return new JupyterOutputNode(node.getCode(), node.__outputAdapter, node.__outputs, node.__autoRun, node.__codeNodeUuid, node.__outputNodeUuid, node.__key);
    }
    /** @override */
    static importJSON(serializedNode) {
        return $createJupyterOutputNode(serializedNode.source, new _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_3__.OutputAdapter(undefined, []), serializedNode.outputs, false, serializedNode.codeNodeUuid, serializedNode.outputNodeUuid);
    }
    /** @override */
    constructor(source, outputAdapter, outputs, autoRun, codeNodeUuid, outputNodeUuid, key) {
        super(key);
        this.__codeNodeUuid = codeNodeUuid || _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__.UUID.uuid4();
        this.__outputNodeUuid = outputNodeUuid || _lumino_coreutils__WEBPACK_IMPORTED_MODULE_2__.UUID.uuid4();
        this.__code = source;
        this.__outputs = outputs;
        this.__outputAdapter = outputAdapter;
        this.__executeTrigger = 0;
        this.__autoRun = autoRun;
        _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_4__.OUTPUT_UUID_TO_CODE_UUID.set(this.__outputNodeUuid, codeNodeUuid);
        _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_4__.CODE_UUID_TO_OUTPUT_KEY.set(this.__codeNodeUuid, this.__key);
        _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_4__.CODE_UUID_TO_OUTPUT_UUID.set(this.__codeNodeUuid, this.__outputNodeUuid);
        _plugins_JupyterPlugin__WEBPACK_IMPORTED_MODULE_4__.OUTPUT_UUID_TO_OUTPUT_KEY.set(this.__outputNodeUuid, this.__key);
    }
    setCode(code) {
        const self = this.getWritable();
        self.__code = code;
    }
    getCode() {
        const self = this.getLatest();
        return self.__code;
    }
    setCodeNodeUuid(codeNodeUuid) {
        const self = this.getWritable();
        self.__codeNodeUuid = codeNodeUuid;
    }
    getCodeNodeUuid() {
        const self = this.getLatest();
        return self.__codeNodeUuid;
    }
    setOutputNodeUuid(outputNodeUuid) {
        const self = this.getWritable();
        self.__outputNodeUuid = outputNodeUuid;
    }
    getOutputNodeUuid() {
        const self = this.getLatest();
        return self.__outputNodeUuid;
    }
    setExecuteTrigger(executeTrigger) {
        const self = this.getWritable();
        self.__executeTrigger = executeTrigger;
    }
    getExecuteTrigger() {
        const self = this.getLatest();
        return self.__executeTrigger;
    }
    setAutoRun(autoRun) {
        const self = this.getWritable();
        self.__autoRun = autoRun;
    }
    getAutoRun() {
        const self = this.getLatest();
        return self.__autoRun;
    }
    setOutputs(outputs) {
        const self = this.getWritable();
        self.__outputs = outputs;
    }
    getOutputs() {
        const self = this.getLatest();
        return self.__outputs;
    }
    /** @override */
    createDOM() {
        return document.createElement('span');
    }
    /** @override */
    updateDOM() {
        return false;
    }
    /** @override */
    isTopLevel() {
        return true;
    }
    /** @override */
    isIsolated() {
        return false;
    }
    /** @override */
    decorate(_editor, _config) {
        return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_components_JupyterOutputComponent__WEBPACK_IMPORTED_MODULE_5__["default"], { code: this.getCode(), outputs: this.__outputs, outputAdapter: this.__outputAdapter, codeNodeUuid: this.__codeNodeUuid, outputNodeUuid: this.__outputNodeUuid, executeTrigger: this.getExecuteTrigger(), autoRun: this.__autoRun });
    }
    /** @override */
    exportJSON() {
        return {
            type: "jupyter-output",
            source: this.getCode(),
            outputs: this.__outputAdapter.outputArea.model.toJSON(),
            codeNodeUuid: this.getCodeNodeUuid(),
            outputNodeUuid: this.getOutputNodeUuid(),
            version: 1,
        };
    }
    /** @override */
    remove(_preserveEmptyParent) {
        // Do not delete JupyterOutputNode.
    }
    removeForce() {
        super.remove(false);
    }
    executeCode(code) {
        this.setCode(code);
        this.__outputAdapter.execute(code);
        //    this.setExecuteTrigger(this.getExecuteTrigger() + 1);
    }
}
function $createJupyterOutputNode(code, outputAdapter, outputs, autoRun, codeNodeUuid, outputNodeUuid) {
    return new JupyterOutputNode(code, outputAdapter, outputs, autoRun, codeNodeUuid, outputNodeUuid);
}
function $isJupyterOutputNode(node) {
    return node instanceof JupyterOutputNode;
}


/***/ }),

/***/ "./lib/nodes/YouTubeNode.js":
/*!**********************************!*\
  !*** ./lib/nodes/YouTubeNode.js ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "$createYouTubeNode": () => (/* binding */ $createYouTubeNode),
/* harmony export */   "$isYouTubeNode": () => (/* binding */ $isYouTubeNode),
/* harmony export */   "YouTubeNode": () => (/* binding */ YouTubeNode)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalBlockWithAlignableContents__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalBlockWithAlignableContents */ "../../node_modules/@lexical/react/LexicalBlockWithAlignableContents.js");
/* harmony import */ var _lexical_react_LexicalBlockWithAlignableContents__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalBlockWithAlignableContents__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_react_LexicalDecoratorBlockNode__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/react/LexicalDecoratorBlockNode */ "../../node_modules/@lexical/react/LexicalDecoratorBlockNode.js");
/* harmony import */ var _lexical_react_LexicalDecoratorBlockNode__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalDecoratorBlockNode__WEBPACK_IMPORTED_MODULE_2__);



function YouTubeComponent({ className, format, nodeKey, videoID, }) {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalBlockWithAlignableContents__WEBPACK_IMPORTED_MODULE_1__.BlockWithAlignableContents, { className: className, format: format, nodeKey: nodeKey, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("iframe", { width: "560", height: "315", src: `https://www.youtube.com/embed/${videoID}`, frameBorder: "0", allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture", allowFullScreen: true, title: "YouTube video" }) }));
}
class YouTubeNode extends _lexical_react_LexicalDecoratorBlockNode__WEBPACK_IMPORTED_MODULE_2__.DecoratorBlockNode {
    __id;
    static getType() {
        return 'youtube';
    }
    static clone(node) {
        return new YouTubeNode(node.__id, node.__format, node.__key);
    }
    static importJSON(serializedNode) {
        const node = $createYouTubeNode(serializedNode.videoID);
        node.setFormat(serializedNode.format);
        return node;
    }
    exportJSON() {
        return {
            ...super.exportJSON(),
            type: 'youtube',
            version: 1,
            videoID: this.__id,
        };
    }
    constructor(id, format, key) {
        super(format, key);
        this.__id = id;
    }
    updateDOM() {
        return false;
    }
    getId() {
        return this.__id;
    }
    decorate(_editor, config) {
        const embedBlockTheme = config.theme.embedBlock || {};
        const className = {
            base: embedBlockTheme.base || '',
            focus: embedBlockTheme.focus || '',
        };
        return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(YouTubeComponent, { className: className, format: this.__format, nodeKey: this.getKey(), videoID: this.__id }));
    }
    isTopLevel() {
        return true;
    }
}
function $createYouTubeNode(videoID) {
    return new YouTubeNode(videoID);
}
function $isYouTubeNode(node) {
    return node instanceof YouTubeNode;
}


/***/ }),

/***/ "./lib/plugins/AutoEmbedPlugin.js":
/*!****************************************!*\
  !*** ./lib/plugins/AutoEmbedPlugin.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "AutoEmbedDialog": () => (/* binding */ AutoEmbedDialog),
/* harmony export */   "AutoEmbedPlugin": () => (/* binding */ AutoEmbedPlugin),
/* harmony export */   "EmbedConfigs": () => (/* binding */ EmbedConfigs),
/* harmony export */   "YoutubeEmbedConfig": () => (/* binding */ YoutubeEmbedConfig),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/react/LexicalAutoEmbedPlugin */ "../../node_modules/@lexical/react/LexicalAutoEmbedPlugin.js");
/* harmony import */ var _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _hooks_useModal__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./../hooks/useModal */ "./lib/hooks/useModal.js");
/* harmony import */ var _ui_Button__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./../ui/Button */ "./lib/ui/Button.js");
/* harmony import */ var _YouTubePlugin__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./YouTubePlugin */ "./lib/plugins/YouTubePlugin.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */






const YoutubeEmbedConfig = {
    contentName: 'Youtube Video',
    exampleUrl: 'https://www.youtube.com/watch?v=jNQXAC9IVRw',
    // Icon for display.
    icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon youtube" }),
    insertNode: (editor, result) => {
        editor.dispatchCommand(_YouTubePlugin__WEBPACK_IMPORTED_MODULE_4__.INSERT_YOUTUBE_COMMAND, result.id);
    },
    keywords: ['youtube', 'video'],
    // Determine if a given URL is a match and return url data.
    parseUrl: (url) => {
        const match = /^.*(youtu\.be\/|v\/|u\/\w\/|embed\/|watch\?v=|&v=)([^#&?]*).*/.exec(url);
        const id = match ? (match?.[2].length === 11 ? match[2] : null) : null;
        if (id != null) {
            return {
                id,
                url,
            };
        }
        return null;
    },
    type: 'youtube-video',
};
const EmbedConfigs = [
    YoutubeEmbedConfig,
];
function AutoEmbedMenuItem({ index, isSelected, onClick, onMouseEnter, option, }) {
    let className = 'item';
    if (isSelected) {
        className += ' selected';
    }
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("li", { tabIndex: -1, className: className, role: "option", "aria-selected": isSelected, id: 'typeahead-item-' + index, onMouseEnter: onMouseEnter, onClick: onClick, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "text", children: option.title }) }));
}
function AutoEmbedMenu({ options, selectedItemIndex, onOptionClick, onOptionMouseEnter, }) {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("ul", { children: options.map((option, i) => ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(AutoEmbedMenuItem, { index: i, isSelected: selectedItemIndex === i, onClick: () => onOptionClick(option, i), onMouseEnter: () => onOptionMouseEnter(i), option: option }))) }));
}
function AutoEmbedDialog({ embedConfig, onClose, }) {
    const [text, setText] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3__.useLexicalComposerContext)();
    const urlMatch = _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2__.URL_MATCHER.exec(text);
    const embedResult = text != null && urlMatch != null ? embedConfig.parseUrl(text) : null;
    const onClick = () => {
        if (embedResult != null) {
            embedConfig.insertNode(editor, embedResult);
            onClose();
        }
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { style: { width: '600px' }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "Input__wrapper", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("input", { type: "text", className: "Input__input", placeholder: embedConfig.exampleUrl, value: text, "data-test-id": `${embedConfig.type}-embed-modal-url`, onChange: (e) => {
                        setText(e.target.value);
                    } }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "ToolbarPlugin__dialogActions", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_5__["default"], { disabled: !embedResult, onClick: onClick, "data-test-id": `${embedConfig.type}-embed-modal-submit-btn`, children: "Embed" }) })] }));
}
const AutoEmbedPlugin = () => {
    const [modal, showModal] = (0,_hooks_useModal__WEBPACK_IMPORTED_MODULE_6__["default"])();
    const openEmbedModal = (embedConfig) => {
        showModal(`Embed ${embedConfig.contentName}`, (onClose) => ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(AutoEmbedDialog, { embedConfig: embedConfig, onClose: onClose })));
    };
    const getMenuOptions = (activeEmbedConfig, embedFn, dismissFn) => {
        return [
            new _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2__.AutoEmbedOption('Dismiss', {
                onSelect: dismissFn,
            }),
            new _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2__.AutoEmbedOption(`Embed ${activeEmbedConfig.contentName}`, {
                onSelect: embedFn,
            }),
        ];
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [modal, (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_2__.LexicalAutoEmbedPlugin, { embedConfigs: EmbedConfigs, onOpenEmbedModalForConfig: openEmbedModal, getMenuOptions: getMenuOptions, menuComponent: AutoEmbedMenu })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (AutoEmbedPlugin);


/***/ }),

/***/ "./lib/plugins/AutoLinkPlugin.js":
/*!***************************************!*\
  !*** ./lib/plugins/AutoLinkPlugin.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "AutoLinkPlugin": () => (/* binding */ AutoLinkPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalAutoLinkPlugin__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalAutoLinkPlugin */ "../../node_modules/@lexical/react/LexicalAutoLinkPlugin.js");
/* harmony import */ var _lexical_react_LexicalAutoLinkPlugin__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalAutoLinkPlugin__WEBPACK_IMPORTED_MODULE_1__);


const URL_MATCHER = /((https?:\/\/(www\.)?)|(www\.))[-a-zA-Z0-9@:%._+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_+.~#?&//=]*)/;
const EMAIL_MATCHER = /(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))/;
const MATCHERS = [
    (text) => {
        const match = URL_MATCHER.exec(text);
        return (match && {
            index: match.index,
            length: match[0].length,
            text: match[0],
            url: match[0]
        });
    },
    (text) => {
        const match = EMAIL_MATCHER.exec(text);
        return (match && {
            index: match.index,
            length: match[0].length,
            text: match[0],
            url: `mailto:${match[0]}`
        });
    }
];
const AutoLinkPlugin = () => {
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalAutoLinkPlugin__WEBPACK_IMPORTED_MODULE_1__.AutoLinkPlugin, { matchers: MATCHERS });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (AutoLinkPlugin);


/***/ }),

/***/ "./lib/plugins/CodeActionMenuPlugin.js":
/*!*********************************************!*\
  !*** ./lib/plugins/CodeActionMenuPlugin.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CodeActionMenuPlugin": () => (/* binding */ CodeActionMenuPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../nodes/JupyterCodeHighlightNode */ "./lib/nodes/JupyterCodeHighlightNode.js");
/* harmony import */ var _ui_CopyButton__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../ui/CopyButton */ "./lib/ui/CopyButton.js");
/* harmony import */ var _utils_debouncer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/debouncer */ "./lib/utils/debouncer.js");








// import {canBePrettier, PrettierButton} from '../ui/PrettierButton';


const CODE_PADDING = 0;
function CodeActionMenuContainer({ anchorElem, }) {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_4__.useLexicalComposerContext)();
    const [lang, setLang] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
    const [isShown, setShown] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const [shouldListenMouseMove, setShouldListenMouseMove] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const [position, setPosition] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)({
        right: '0',
        top: '0',
    });
    const codeSetRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(new Set());
    const codeDOMNodeRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    function getCodeDOMNode() {
        return codeDOMNodeRef.current;
    }
    const debouncedOnMouseMove = (0,_utils_debouncer__WEBPACK_IMPORTED_MODULE_5__.useDebounce)((event) => {
        const { codeDOMNode, isOutside } = getMouseInfo(event);
        if (isOutside) {
            setShown(false);
            return;
        }
        if (!codeDOMNode) {
            return;
        }
        codeDOMNodeRef.current = codeDOMNode;
        let codeNode = null;
        let _lang = '';
        editor.update(() => {
            const maybeCodeNode = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getNearestNodeFromDOMNode)(codeDOMNode);
            if ((0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_6__.$isJupyterCodeNode)(maybeCodeNode)) {
                codeNode = maybeCodeNode;
                _lang = codeNode.getLanguage() || '';
            }
        });
        if (codeNode) {
            const { y: editorElemY, right: editorElemRight } = anchorElem.getBoundingClientRect();
            const { y, right } = codeDOMNode.getBoundingClientRect();
            setLang(_lang);
            setShown(true);
            setPosition({
                right: `${editorElemRight - right + CODE_PADDING}px`,
                top: `${y - editorElemY + 10}px`,
            });
        }
    }, 50, 1000);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (!shouldListenMouseMove) {
            return;
        }
        document.addEventListener('mousemove', debouncedOnMouseMove);
        return () => {
            setShown(false);
            debouncedOnMouseMove.cancel();
            document.removeEventListener('mousemove', debouncedOnMouseMove);
        };
    }, [shouldListenMouseMove, debouncedOnMouseMove]);
    editor.registerMutationListener(_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_6__.JupyterCodeNode, (mutations) => {
        editor.getEditorState().read(() => {
            for (const [key, type] of mutations) {
                switch (type) {
                    case 'created':
                        codeSetRef.current.add(key);
                        setShouldListenMouseMove(codeSetRef.current.size > 0);
                        break;
                    case 'destroyed':
                        codeSetRef.current.delete(key);
                        setShouldListenMouseMove(codeSetRef.current.size > 0);
                        break;
                    default:
                        break;
                }
            }
        });
    });
    //  const normalizedLang = normalizeCodeLang(lang);
    const codeFriendlyName = (0,_nodes_JupyterCodeHighlightNode__WEBPACK_IMPORTED_MODULE_7__.getLanguageFriendlyName)(lang);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: isShown ? ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "code-action-menu-container", style: { ...position }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "code-highlight-language", children: codeFriendlyName }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_CopyButton__WEBPACK_IMPORTED_MODULE_8__.CopyButton, { editor: editor, getCodeDOMNode: getCodeDOMNode })] })) : null }));
}
function getMouseInfo(event) {
    const target = event.target;
    if (target && target instanceof HTMLElement) {
        const codeDOMNode = target.closest('code.PlaygroundEditorTheme__code');
        const isOutside = !(codeDOMNode ||
            target.closest('div.code-action-menu-container'));
        return { codeDOMNode, isOutside };
    }
    else {
        return { codeDOMNode: null, isOutside: true };
    }
}
const CodeActionMenuPlugin = ({ anchorElem = document.body, }) => {
    return (0,react_dom__WEBPACK_IMPORTED_MODULE_2__.createPortal)((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(CodeActionMenuContainer, { anchorElem: anchorElem }), anchorElem);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CodeActionMenuPlugin);


/***/ }),

/***/ "./lib/plugins/ComponentPickerMenuPlugin.js":
/*!**************************************************!*\
  !*** ./lib/plugins/ComponentPickerMenuPlugin.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ComponentPickerMenuPlugin": () => (/* binding */ ComponentPickerMenuPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @lexical/list */ "../../node_modules/@lexical/list/LexicalList.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_lexical_list__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @lexical/react/LexicalHorizontalRuleNode */ "../../node_modules/@lexical/react/LexicalHorizontalRuleNode.js");
/* harmony import */ var _lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _lexical_react_LexicalTypeaheadMenuPlugin__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @lexical/react/LexicalTypeaheadMenuPlugin */ "../../node_modules/@lexical/react/LexicalTypeaheadMenuPlugin.js");
/* harmony import */ var _lexical_react_LexicalTypeaheadMenuPlugin__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalTypeaheadMenuPlugin__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @lexical/rich-text */ "../../node_modules/@lexical/rich-text/LexicalRichText.js");
/* harmony import */ var _lexical_rich_text__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_lexical_rich_text__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _lexical_selection__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @lexical/selection */ "../../node_modules/@lexical/selection/LexicalSelection.js");
/* harmony import */ var _lexical_selection__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_lexical_selection__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _lexical_table__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @lexical/table */ "../../node_modules/@lexical/table/LexicalTable.js");
/* harmony import */ var _lexical_table__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_lexical_table__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @lexical/react/LexicalAutoEmbedPlugin */ "../../node_modules/@lexical/react/LexicalAutoEmbedPlugin.js");
/* harmony import */ var _lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _JupyterPlugin__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./JupyterPlugin */ "./lib/plugins/JupyterPlugin.js");
/* harmony import */ var _hooks_useModal__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./../hooks/useModal */ "./lib/hooks/useModal.js");
/* harmony import */ var _images_yellow_flower_small_jpg__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../images/yellow-flower-small.jpg */ "./lib/images/yellow-flower-small.jpg");
/* harmony import */ var _ImagesPlugin__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./ImagesPlugin */ "./lib/plugins/ImagesPlugin.js");
/* harmony import */ var _components_InsertEquationDialog__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./../components/InsertEquationDialog */ "./lib/components/InsertEquationDialog.js");
/* harmony import */ var _components_InsertImageDialog__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./../components/InsertImageDialog */ "./lib/components/InsertImageDialog.js");
/* harmony import */ var _AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./AutoEmbedPlugin */ "./lib/plugins/AutoEmbedPlugin.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */


















class ComponentPickerOption extends _lexical_react_LexicalTypeaheadMenuPlugin__WEBPACK_IMPORTED_MODULE_7__.TypeaheadOption {
    // What shows up in the editor
    title;
    // Icon for display
    icon;
    // For extra searching.
    keywords;
    // TBD
    keyboardShortcut;
    // What happens when you select this option?
    onSelect;
    constructor(title, options) {
        super(title);
        this.title = title;
        this.keywords = options.keywords || [];
        this.icon = options.icon;
        this.keyboardShortcut = options.keyboardShortcut;
        this.onSelect = options.onSelect.bind(this);
    }
}
function ComponentPickerMenuItem({ index, isSelected, onClick, onMouseEnter, option, }) {
    let className = 'item';
    if (isSelected) {
        className += ' selected';
    }
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("li", { tabIndex: -1, className: className, ref: option.setRefElement, role: "option", "aria-selected": isSelected, id: 'typeahead-item-' + index, onMouseEnter: onMouseEnter, onClick: onClick, children: [option.icon, (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "text", children: option.title })] }, option.key));
}
const ComponentPickerMenuPlugin = () => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_5__.useLexicalComposerContext)();
    const [modal, showModal] = (0,_hooks_useModal__WEBPACK_IMPORTED_MODULE_12__["default"])();
    const [queryString, setQueryString] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
    const checkForTriggerMatch = (0,_lexical_react_LexicalTypeaheadMenuPlugin__WEBPACK_IMPORTED_MODULE_7__.useBasicTypeaheadTriggerMatch)('/', {
        minLength: 0,
    });
    const getDynamicOptions = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
        const options = [];
        if (queryString == null) {
            return options;
        }
        const fullTableRegex = new RegExp(/([1-9]|10)x([1-9]|10)$/);
        const partialTableRegex = new RegExp(/([1-9]|10)x?$/);
        const fullTableMatch = fullTableRegex.exec(queryString);
        const partialTableMatch = partialTableRegex.exec(queryString);
        if (fullTableMatch) {
            const [rows, columns] = fullTableMatch[0]
                .split('x')
                .map((n) => parseInt(n, 10));
            options.push(new ComponentPickerOption(`${rows}x${columns} Table`, {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon table" }),
                keywords: ['table'],
                onSelect: () => 
                // @ts-ignore Correct types, but since they're dynamic TS doesn't like it.
                editor.dispatchCommand(_lexical_table__WEBPACK_IMPORTED_MODULE_10__.INSERT_TABLE_COMMAND, { columns, rows }),
            }));
        }
        else if (partialTableMatch) {
            const rows = parseInt(partialTableMatch[0], 10);
            options.push(...Array.from({ length: 5 }, (_, i) => i + 1).map((columns) => new ComponentPickerOption(`${rows}x${columns} Table`, {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon table" }),
                keywords: ['table'],
                onSelect: () => 
                // @ts-ignore Correct types, but since they're dynamic TS doesn't like it.
                editor.dispatchCommand(_lexical_table__WEBPACK_IMPORTED_MODULE_10__.INSERT_TABLE_COMMAND, { columns, rows }),
            })));
        }
        return options;
    }, [editor, queryString]);
    const options = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
        const baseOptions = [
            new ComponentPickerOption('Jupyter Cell', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon code" }),
                keywords: ['javascript', 'python', 'js', 'codeblock', 'jupyter'],
                onSelect: () => {
                    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getSelection)();
                    const code = selection?.getTextContent() || "";
                    editor.dispatchCommand(_JupyterPlugin__WEBPACK_IMPORTED_MODULE_13__.INSERT_JUPYTER_CELL_COMMAND, { code, outputs: code ? [] : _JupyterPlugin__WEBPACK_IMPORTED_MODULE_13__.DEFAULT_INITIAL_OUTPUTS });
                }
            }),
            new ComponentPickerOption('Paragraph', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon paragraph" }),
                keywords: ['normal', 'paragraph', 'p', 'text'],
                onSelect: () => editor.update(() => {
                    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getSelection)();
                    if ((0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isRangeSelection)(selection)) {
                        (0,_lexical_selection__WEBPACK_IMPORTED_MODULE_9__.$wrapNodes)(selection, () => (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$createParagraphNode)());
                    }
                }),
            }),
            ...Array.from({ length: 3 }, (_, i) => i + 1).map((n) => new ComponentPickerOption(`Heading ${n}`, {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: `icon h${n}` }),
                keywords: ['heading', 'header', `h${n}`],
                onSelect: () => editor.update(() => {
                    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getSelection)();
                    if ((0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isRangeSelection)(selection)) {
                        (0,_lexical_selection__WEBPACK_IMPORTED_MODULE_9__.$wrapNodes)(selection, () => 
                        // @ts-ignore Correct types, but since they're dynamic TS doesn't like it.
                        (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_8__.$createHeadingNode)(`h${n}`));
                    }
                }),
            })),
            new ComponentPickerOption('Numbered List', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon number" }),
                keywords: ['numbered list', 'ordered list', 'ol'],
                onSelect: () => editor.dispatchCommand(_lexical_list__WEBPACK_IMPORTED_MODULE_4__.INSERT_ORDERED_LIST_COMMAND, undefined),
            }),
            new ComponentPickerOption('Bulleted List', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon bullet" }),
                keywords: ['bulleted list', 'unordered list', 'ul'],
                onSelect: () => editor.dispatchCommand(_lexical_list__WEBPACK_IMPORTED_MODULE_4__.INSERT_UNORDERED_LIST_COMMAND, undefined),
            }),
            new ComponentPickerOption('Check List', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon check" }),
                keywords: ['check list', 'todo list'],
                onSelect: () => editor.dispatchCommand(_lexical_list__WEBPACK_IMPORTED_MODULE_4__.INSERT_CHECK_LIST_COMMAND, undefined),
            }),
            new ComponentPickerOption('Quote', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon quote" }),
                keywords: ['block quote'],
                onSelect: () => editor.update(() => {
                    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_3__.$getSelection)();
                    if ((0,lexical__WEBPACK_IMPORTED_MODULE_3__.$isRangeSelection)(selection)) {
                        (0,_lexical_selection__WEBPACK_IMPORTED_MODULE_9__.$wrapNodes)(selection, () => (0,_lexical_rich_text__WEBPACK_IMPORTED_MODULE_8__.$createQuoteNode)());
                    }
                }),
            }),
            new ComponentPickerOption('Divider', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon horizontal-rule" }),
                keywords: ['horizontal rule', 'divider', 'hr'],
                onSelect: () => editor.dispatchCommand(_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_6__.INSERT_HORIZONTAL_RULE_COMMAND, undefined),
            }),
            ..._AutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_14__.EmbedConfigs.map((embedConfig) => new ComponentPickerOption(`Embed ${embedConfig.contentName}`, {
                icon: embedConfig.icon,
                keywords: [...embedConfig.keywords, 'embed'],
                onSelect: () => editor.dispatchCommand(_lexical_react_LexicalAutoEmbedPlugin__WEBPACK_IMPORTED_MODULE_11__.INSERT_EMBED_COMMAND, embedConfig.type),
            })),
            new ComponentPickerOption('Equation', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon equation" }),
                keywords: ['equation', 'latex', 'math'],
                onSelect: () => showModal('Insert Equation', (onClose) => ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_components_InsertEquationDialog__WEBPACK_IMPORTED_MODULE_15__.InsertEquationDialog, { activeEditor: editor, onClose: onClose }))),
            }),
            new ComponentPickerOption('GIF', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon gif" }),
                keywords: ['gif', 'animate', 'image', 'file'],
                onSelect: () => editor.dispatchCommand(_ImagesPlugin__WEBPACK_IMPORTED_MODULE_16__.INSERT_IMAGE_COMMAND, {
                    altText: 'Cat typing on a laptop',
                    src: _images_yellow_flower_small_jpg__WEBPACK_IMPORTED_MODULE_17__,
                }),
            }),
            new ComponentPickerOption('Image', {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "icon image" }),
                keywords: ['image', 'photo', 'picture', 'file'],
                onSelect: () => showModal('Insert Image', (onClose) => ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_components_InsertImageDialog__WEBPACK_IMPORTED_MODULE_18__.InsertImageDialog, { activeEditor: editor, onClose: onClose }))),
            }),
            ...['left', 'center', 'right', 'justify'].map((alignment) => new ComponentPickerOption(`Align ${alignment}`, {
                icon: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: `icon ${alignment}-align` }),
                keywords: ['align', 'justify', alignment],
                onSelect: () => 
                // @ts-ignore Correct types, but since they're dynamic TS doesn't like it.
                editor.dispatchCommand(lexical__WEBPACK_IMPORTED_MODULE_3__.FORMAT_ELEMENT_COMMAND, alignment),
            })),
        ];
        const dynamicOptions = getDynamicOptions();
        return queryString
            ? [
                ...dynamicOptions,
                ...baseOptions.filter((option) => {
                    const queryRegex = new RegExp(queryString, 'gi');
                    return queryRegex.exec(option.title) || option.keywords != null
                        ? option.keywords.some((keyword) => {
                            queryRegex.lastIndex = 0;
                            return queryRegex.exec(keyword);
                        })
                        : false;
                }),
            ]
            : baseOptions;
    }, [editor, getDynamicOptions, queryString, showModal]);
    const onSelectOption = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((selectedOption, nodeToRemove, closeMenu, matchingString) => {
        editor.update(() => {
            if (nodeToRemove) {
                nodeToRemove.remove();
            }
            selectedOption.onSelect(matchingString);
            closeMenu();
        });
    }, [editor]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [modal, (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalTypeaheadMenuPlugin__WEBPACK_IMPORTED_MODULE_7__.LexicalTypeaheadMenuPlugin, { onQueryChange: setQueryString, onSelectOption: onSelectOption, triggerFn: checkForTriggerMatch, options: options, menuRenderFn: (anchorElement, { selectedIndex, selectOptionAndCleanUp, setHighlightedIndex }) => anchorElement && options.length
                    ? react_dom__WEBPACK_IMPORTED_MODULE_2__.createPortal((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("ul", { children: options.map((option, i) => ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(ComponentPickerMenuItem, { index: i, isSelected: selectedIndex === i, onClick: () => {
                                setHighlightedIndex(i);
                                selectOptionAndCleanUp(option);
                            }, onMouseEnter: () => {
                                setHighlightedIndex(i);
                            }, option: option }, option.key))) }), anchorElement)
                    : null })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ComponentPickerMenuPlugin);


/***/ }),

/***/ "./lib/plugins/EquationsPlugin.js":
/*!****************************************!*\
  !*** ./lib/plugins/EquationsPlugin.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EquationsPlugin": () => (/* binding */ EquationsPlugin),
/* harmony export */   "INSERT_EQUATION_COMMAND": () => (/* binding */ INSERT_EQUATION_COMMAND),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../nodes/EquationNode */ "./lib/nodes/EquationNode.js");
/* harmony import */ var katex_dist_katex_css__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! katex/dist/katex.css */ "../../node_modules/katex/dist/katex.css");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */





const INSERT_EQUATION_COMMAND = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.createCommand)();
const EquationsPlugin = () => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        if (!editor.hasNodes([_nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__.EquationNode])) {
            throw new Error('EquationsPlugins: EquationsNode not registered on editor');
        }
        return editor.registerCommand(INSERT_EQUATION_COMMAND, (payload) => {
            const { equation, inline } = payload;
            const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getSelection)();
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_1__.$isRangeSelection)(selection)) {
                const equationNode = (0,_nodes_EquationNode__WEBPACK_IMPORTED_MODULE_4__.$createEquationNode)(equation, inline);
                selection.insertNodes([equationNode]);
            }
            return true;
        }, lexical__WEBPACK_IMPORTED_MODULE_1__.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (EquationsPlugin);


/***/ }),

/***/ "./lib/plugins/HorizontalRulePlugin.js":
/*!*********************************************!*\
  !*** ./lib/plugins/HorizontalRulePlugin.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HorizontalRulePlugin": () => (/* binding */ HorizontalRulePlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalHorizontalRuleNode */ "../../node_modules/@lexical/react/LexicalHorizontalRuleNode.js");
/* harmony import */ var _lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */




const HorizontalRulePlugin = () => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
        return editor.registerCommand(_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_1__.INSERT_HORIZONTAL_RULE_COMMAND, (type) => {
            const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$getSelection)();
            if (!(0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isRangeSelection)(selection)) {
                return false;
            }
            const focusNode = selection.focus.getNode();
            if (focusNode !== null) {
                const horizontalRuleNode = (0,_lexical_react_LexicalHorizontalRuleNode__WEBPACK_IMPORTED_MODULE_1__.$createHorizontalRuleNode)();
                selection.insertParagraph();
                selection.focus
                    .getNode()
                    .getTopLevelElementOrThrow()
                    .insertBefore(horizontalRuleNode);
            }
            return true;
        }, lexical__WEBPACK_IMPORTED_MODULE_2__.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HorizontalRulePlugin);


/***/ }),

/***/ "./lib/plugins/ImagesPlugin.js":
/*!*************************************!*\
  !*** ./lib/plugins/ImagesPlugin.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "INSERT_IMAGE_COMMAND": () => (/* binding */ INSERT_IMAGE_COMMAND),
/* harmony export */   "ImagesPlugin": () => (/* binding */ ImagesPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _utils_selection__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/selection */ "./lib/utils/selection.js");
/* harmony import */ var _nodes_ImageNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../nodes/ImageNode */ "./lib/nodes/ImageNode.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */






const INSERT_IMAGE_COMMAND = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.createCommand)();
const ImagesPlugin = () => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
        if (!editor.hasNodes([_nodes_ImageNode__WEBPACK_IMPORTED_MODULE_4__.ImageNode])) {
            throw new Error('ImagesPlugin: ImageNode not registered on editor');
        }
        return (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_1__.mergeRegister)(editor.registerCommand(INSERT_IMAGE_COMMAND, (payload) => {
            const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$getSelection)();
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isRangeSelection)(selection)) {
                if ((0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isRootNode)(selection.anchor.getNode())) {
                    selection.insertParagraph();
                }
                const imageNode = (0,_nodes_ImageNode__WEBPACK_IMPORTED_MODULE_4__.$createImageNode)(payload);
                selection.insertNodes([imageNode]);
            }
            return true;
        }, lexical__WEBPACK_IMPORTED_MODULE_2__.COMMAND_PRIORITY_EDITOR), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_2__.DRAGSTART_COMMAND, (event) => {
            return onDragStart(event);
        }, lexical__WEBPACK_IMPORTED_MODULE_2__.COMMAND_PRIORITY_HIGH), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_2__.DRAGOVER_COMMAND, (event) => {
            return onDragover(event);
        }, lexical__WEBPACK_IMPORTED_MODULE_2__.COMMAND_PRIORITY_LOW), editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_2__.DROP_COMMAND, (event) => {
            return onDrop(event, editor);
        }, lexical__WEBPACK_IMPORTED_MODULE_2__.COMMAND_PRIORITY_HIGH));
    }, [editor]);
    return null;
};
const TRANSPARENT_IMAGE = 'data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7';
const img = document.createElement('img');
img.src = TRANSPARENT_IMAGE;
function onDragStart(event) {
    const node = getImageNodeInSelection();
    if (!node) {
        return false;
    }
    const dataTransfer = event.dataTransfer;
    if (!dataTransfer) {
        return false;
    }
    dataTransfer.setData('text/plain', '_');
    dataTransfer.setDragImage(img, 0, 0);
    dataTransfer.setData('application/x-lexical-drag', JSON.stringify({
        data: {
            altText: node.__altText,
            caption: node.__caption,
            height: node.__height,
            key: node.getKey(),
            maxWidth: node.__maxWidth,
            showCaption: node.__showCaption,
            src: node.__src,
            width: node.__width,
        },
        type: 'image',
    }));
    return true;
}
function onDragover(event) {
    const node = getImageNodeInSelection();
    if (!node) {
        return false;
    }
    if (!canDropImage(event)) {
        event.preventDefault();
    }
    return true;
}
function onDrop(event, editor) {
    const node = getImageNodeInSelection();
    if (!node) {
        return false;
    }
    const data = getDragImageData(event);
    if (!data) {
        return false;
    }
    event.preventDefault();
    if (canDropImage(event)) {
        const range = getDragSelection(event);
        node.remove();
        const rangeSelection = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$createRangeSelection)();
        if (range !== null && range !== undefined) {
            rangeSelection.applyDOMRange(range);
        }
        (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$setSelection)(rangeSelection);
        editor.dispatchCommand(INSERT_IMAGE_COMMAND, data);
    }
    return true;
}
function getImageNodeInSelection() {
    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$getSelection)();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_2__.$isNodeSelection)(selection)) {
        return null;
    }
    const nodes = selection.getNodes();
    const node = nodes[0];
    return (0,_nodes_ImageNode__WEBPACK_IMPORTED_MODULE_4__.$isImageNode)(node) ? node : null;
}
function getDragImageData(event) {
    const dragData = event.dataTransfer?.getData('application/x-lexical-drag');
    if (!dragData) {
        return null;
    }
    const { type, data } = JSON.parse(dragData);
    if (type !== 'image') {
        return null;
    }
    return data;
}
function canDropImage(event) {
    const target = event.target;
    return !!(target &&
        target instanceof HTMLElement &&
        !target.closest('code, span.editor-image') &&
        target.parentElement &&
        target.parentElement.closest('div.ContentEditable__root'));
}
function getDragSelection(event) {
    let range;
    const domSelection = (0,_utils_selection__WEBPACK_IMPORTED_MODULE_5__.getSelection)();
    if (document.caretRangeFromPoint) {
        range = document.caretRangeFromPoint(event.clientX, event.clientY);
    }
    else if (event.rangeParent && domSelection !== null) {
        domSelection.collapse(event.rangeParent, event.rangeOffset || 0);
        range = domSelection.getRangeAt(0);
    }
    else {
        throw Error(`Cannot get the selection when dragging`);
    }
    return range;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ImagesPlugin);


/***/ }),

/***/ "./lib/plugins/JupyterPlugin.js":
/*!**************************************!*\
  !*** ./lib/plugins/JupyterPlugin.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CODE_UUID_TO_CODE_KEY": () => (/* binding */ CODE_UUID_TO_CODE_KEY),
/* harmony export */   "CODE_UUID_TO_OUTPUT_KEY": () => (/* binding */ CODE_UUID_TO_OUTPUT_KEY),
/* harmony export */   "CODE_UUID_TO_OUTPUT_UUID": () => (/* binding */ CODE_UUID_TO_OUTPUT_UUID),
/* harmony export */   "DEFAULT_INITIAL_OUTPUTS": () => (/* binding */ DEFAULT_INITIAL_OUTPUTS),
/* harmony export */   "INSERT_JUPYTER_CELL_COMMAND": () => (/* binding */ INSERT_JUPYTER_CELL_COMMAND),
/* harmony export */   "JupyterPlugin": () => (/* binding */ JupyterPlugin),
/* harmony export */   "OUTPUT_UUID_TO_CODE_UUID": () => (/* binding */ OUTPUT_UUID_TO_CODE_UUID),
/* harmony export */   "OUTPUT_UUID_TO_OUTPUT_KEY": () => (/* binding */ OUTPUT_UUID_TO_OUTPUT_KEY),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lexical_selection__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lexical/selection */ "../../node_modules/@lexical/selection/LexicalSelection.js");
/* harmony import */ var _lexical_selection__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lexical_selection__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @datalayer/jupyter-react */ "webpack/sharing/consume/default/@datalayer/jupyter-react/@datalayer/jupyter-react");
/* harmony import */ var _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @lumino/coreutils */ "webpack/sharing/consume/default/@lumino/coreutils");
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_lumino_coreutils__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _nodes_JupyterCodeHighlighter__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../nodes/JupyterCodeHighlighter */ "./lib/nodes/JupyterCodeHighlighter.js");
/* harmony import */ var _nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../nodes/JupyterOutputNode */ "./lib/nodes/JupyterOutputNode.js");














const CODE_UUID_TO_OUTPUT_KEY = new Map();
const CODE_UUID_TO_CODE_KEY = new Map();
const CODE_UUID_TO_OUTPUT_UUID = new Map();
const OUTPUT_UUID_TO_CODE_UUID = new Map();
const OUTPUT_UUID_TO_OUTPUT_KEY = new Map();
const DEFAULT_INITIAL_OUTPUTS = [
    {
        "output_type": "execute_result",
        "data": {
            "text/html": [
                "<p>Type code in the cell and Shift+Enter to execute.</p>"
            ]
        },
        "execution_count": 0,
        "metadata": {},
    }
];
const INSERT_JUPYTER_CELL_COMMAND = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.createCommand)();
const JupyterPlugin = () => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_2__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        return (0,_nodes_JupyterCodeHighlighter__WEBPACK_IMPORTED_MODULE_7__.registerCodeHighlighting)(editor);
    }, [editor]);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        if (!editor.hasNodes([_nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_8__.JupyterOutputNode])) {
            throw new Error("JupyterPlugin: JupyterOutputNode not registered on editor");
        }
    }, [editor]);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        return editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_1__.INSERT_LINE_BREAK_COMMAND, (event) => {
            const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getSelection)();
            const node = selection?.getNodes()[0];
            if (node?.__parent) {
                const parentNode = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getNodeByKey)(node?.__parent);
                if ((0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_9__.$isJupyterCodeNode)(parentNode)) {
                    const code = parentNode.getTextContent();
                    const codeNodeUuid = parentNode.getCodeNodeUuid();
                    const jupyterOutputNodeKey = CODE_UUID_TO_OUTPUT_KEY.get(codeNodeUuid);
                    if (jupyterOutputNodeKey) {
                        const jupyterOutputNode = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getNodeByKey)(jupyterOutputNodeKey);
                        if (jupyterOutputNode) {
                            jupyterOutputNode.executeCode(code);
                            return true;
                        }
                    }
                    const jupyterOutputNode = (0,_nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_8__.$createJupyterOutputNode)(code, new _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_5__.OutputAdapter(undefined, []), [], true, codeNodeUuid, _lumino_coreutils__WEBPACK_IMPORTED_MODULE_6__.UUID.uuid4());
                    (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_4__.$insertNodeToNearestRoot)(jupyterOutputNode);
                    const nodeSelection = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$createNodeSelection)();
                    nodeSelection.add(parentNode.__key);
                    (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$setSelection)(nodeSelection);
                    return true;
                }
            }
            return false;
        }, lexical__WEBPACK_IMPORTED_MODULE_1__.COMMAND_PRIORITY_HIGH);
    }, [editor]);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        return editor.registerMutationListener(_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_9__.JupyterCodeNode, (mutatedNodes) => {
            for (let [nodeKey, mutation] of mutatedNodes) {
                if (mutation === "destroyed") {
                    editor.update(() => {
                        //              let codeNodeUuid: string | undefined;
                        let outputNodeUuid;
                        // TODO Do not use forEach...
                        CODE_UUID_TO_CODE_KEY.forEach((codeKey, codeUuid) => {
                            if (codeKey === nodeKey) {
                                //                  codeNodeUuid = codeUuid;
                                outputNodeUuid = CODE_UUID_TO_OUTPUT_UUID.get(codeUuid);
                            }
                        });
                        if (outputNodeUuid) {
                            const outputNodeKey = OUTPUT_UUID_TO_OUTPUT_KEY.get(outputNodeUuid);
                            if (outputNodeKey) {
                                const outputNode = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getNodeByKey)(outputNodeKey);
                                if (outputNode) {
                                    outputNode.markDirty();
                                    outputNode.removeForce();
                                }
                            }
                            //                CODE_UUID_TO_OUTPUT_UUID.delete(codeNodeUuid);
                            //                CODE_UUID_TO_OUTPUT_KEY.delete(codeNodeUuid);
                            //                CODE_UUID_TO_CODE_KEY.delete(codeNodeUuid);
                        }
                        if (outputNodeUuid) {
                            //                OUTPUT_UUID_TO_CODE_UUID.delete(outputNodeUuid);
                        }
                    });
                }
            }
        });
    }, [editor]);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        return editor.registerCommand(INSERT_JUPYTER_CELL_COMMAND, (props) => {
            const { code, outputs, loading } = props;
            const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getSelection)();
            if ((0,lexical__WEBPACK_IMPORTED_MODULE_1__.$isRangeSelection)(selection)) {
                selection.removeText();
                const jupyterCodeNode = (0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_9__.$createJupyterCodeNode)("python");
                /*
                if (selection.isCollapsed()) {
                  const paragraphNode = $createParagraphNode();
                  const textNode = $createTextNode(code || "");
                  paragraphNode.append(textNode);
                  selection.insertNodes([paragraphNode]);
                  $wrapNodes(selection, () => codeNode);
                } else {
                  const textContent = selection.getTextContent();
                  selection.insertNodes([codeNode]);
                  selection.insertRawText(textContent);
                }
                */
                if (selection.isCollapsed()) {
                    const anchorNode = selection.anchor.getNode();
                    if (anchorNode && (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$isElementNode)(anchorNode)) {
                        const nodes = anchorNode.getChildren();
                        nodes.map((node) => {
                            if ((0,lexical__WEBPACK_IMPORTED_MODULE_1__.$isLineBreakNode)(node)) {
                                node.remove();
                            }
                        });
                    }
                    selection.insertRawText(code);
                    (0,_lexical_selection__WEBPACK_IMPORTED_MODULE_3__.$wrapNodes)(selection, () => jupyterCodeNode);
                }
                else {
                    selection.insertNodes([jupyterCodeNode]);
                }
                const outputAdapter = new _datalayer_jupyter_react__WEBPACK_IMPORTED_MODULE_5__.OutputAdapter(undefined, outputs);
                const jupyterOutputNode = (0,_nodes_JupyterOutputNode__WEBPACK_IMPORTED_MODULE_8__.$createJupyterOutputNode)(code, outputAdapter, outputs || [], false, jupyterCodeNode.getCodeNodeUuid(), _lumino_coreutils__WEBPACK_IMPORTED_MODULE_6__.UUID.uuid4());
                outputAdapter.outputArea.model.changed.connect((outputModel, args) => {
                    editor.update(() => {
                        jupyterOutputNode.setOutputs(outputModel.toJSON());
                    });
                });
                (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_4__.$insertNodeToNearestRoot)(jupyterOutputNode);
                if (!loading) {
                    jupyterCodeNode.selectEnd();
                    //          selection.insertRawText(code);
                }
            }
            return true;
        }, lexical__WEBPACK_IMPORTED_MODULE_1__.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (JupyterPlugin);


/***/ }),

/***/ "./lib/plugins/ListMaxIndentLevelPlugin.js":
/*!*************************************************!*\
  !*** ./lib/plugins/ListMaxIndentLevelPlugin.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ListMaxIndentLevelPlugin": () => (/* binding */ ListMaxIndentLevelPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/list */ "../../node_modules/@lexical/list/LexicalList.js");
/* harmony import */ var _lexical_list__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_list__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3__);




function getElementNodesInSelection(selection) {
    const nodesInSelection = selection.getNodes();
    if (nodesInSelection.length === 0) {
        return new Set([
            selection.anchor.getNode().getParentOrThrow(),
            selection.focus.getNode().getParentOrThrow()
        ]);
    }
    return new Set(nodesInSelection.map((n) => ((0,lexical__WEBPACK_IMPORTED_MODULE_1__.$isElementNode)(n) ? n : n.getParentOrThrow())));
}
function isIndentPermitted(maxDepth) {
    const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_1__.$getSelection)();
    if (!(0,lexical__WEBPACK_IMPORTED_MODULE_1__.$isRangeSelection)(selection)) {
        return false;
    }
    const elementNodesInSelection = getElementNodesInSelection(selection);
    let totalDepth = 0;
    for (const elementNode of elementNodesInSelection) {
        if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_2__.$isListNode)(elementNode)) {
            totalDepth = Math.max((0,_lexical_list__WEBPACK_IMPORTED_MODULE_2__.$getListDepth)(elementNode) + 1, totalDepth);
        }
        else if ((0,_lexical_list__WEBPACK_IMPORTED_MODULE_2__.$isListItemNode)(elementNode)) {
            const parent = elementNode.getParent();
            if (!(0,_lexical_list__WEBPACK_IMPORTED_MODULE_2__.$isListNode)(parent)) {
                throw new Error("ListMaxIndentLevelPlugin: A ListItemNode must have a ListNode for a parent.");
            }
            totalDepth = Math.max((0,_lexical_list__WEBPACK_IMPORTED_MODULE_2__.$getListDepth)(parent) + 1, totalDepth);
        }
    }
    return totalDepth <= maxDepth;
}
const ListMaxIndentLevelPlugin = ({ maxDepth }) => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_3__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        return editor.registerCommand(lexical__WEBPACK_IMPORTED_MODULE_1__.INDENT_CONTENT_COMMAND, () => !isIndentPermitted(maxDepth ?? 7), lexical__WEBPACK_IMPORTED_MODULE_1__.COMMAND_PRIORITY_HIGH);
    }, [editor, maxDepth]);
    return null;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ListMaxIndentLevelPlugin);


/***/ }),

/***/ "./lib/plugins/MardownPlugin.js":
/*!**************************************!*\
  !*** ./lib/plugins/MardownPlugin.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MarkdownPlugin": () => (/* binding */ MarkdownPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalMarkdownShortcutPlugin__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalMarkdownShortcutPlugin */ "../../node_modules/@lexical/react/LexicalMarkdownShortcutPlugin.js");
/* harmony import */ var _lexical_react_LexicalMarkdownShortcutPlugin__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalMarkdownShortcutPlugin__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _convert_transformers_MarkdownTransformers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../convert/transformers/MarkdownTransformers */ "./lib/convert/transformers/MarkdownTransformers.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */


const MarkdownPlugin = () => {
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalMarkdownShortcutPlugin__WEBPACK_IMPORTED_MODULE_1__.MarkdownShortcutPlugin, { transformers: _convert_transformers_MarkdownTransformers__WEBPACK_IMPORTED_MODULE_2__.PLAYGROUND_TRANSFORMERS });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MarkdownPlugin);


/***/ }),

/***/ "./lib/plugins/NbformatContentPlugin.js":
/*!**********************************************!*\
  !*** ./lib/plugins/NbformatContentPlugin.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "NbformatContentPlugin": () => (/* binding */ NbformatContentPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _convert_NbFormatToLexical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../convert/NbFormatToLexical */ "./lib/convert/NbFormatToLexical.js");



const NbformatContentPlugin = (props) => {
    const { notebook } = props;
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
        if (notebook) {
            (0,_convert_NbFormatToLexical__WEBPACK_IMPORTED_MODULE_2__.nbformatToLexical)(notebook, editor);
        }
    }, [editor, notebook]);
    return null;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (NbformatContentPlugin);


/***/ }),

/***/ "./lib/plugins/TableOfContentsPlugin.js":
/*!**********************************************!*\
  !*** ./lib/plugins/TableOfContentsPlugin.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TableOfContentsPlugin": () => (/* binding */ TableOfContentsPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lexical_react_LexicalTableOfContents_EXPERIMENTAL__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lexical/react/LexicalTableOfContents__EXPERIMENTAL */ "../../node_modules/@lexical/react/LexicalTableOfContents__EXPERIMENTAL.js");
/* harmony import */ var _lexical_react_LexicalTableOfContents_EXPERIMENTAL__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalTableOfContents_EXPERIMENTAL__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);





function indent(tagName) {
    if (tagName === 'h2') {
        return 'heading2';
    }
    else if (tagName === 'h3') {
        return 'heading3';
    }
}
function TableOfContentsList({ tableOfContents, }) {
    const [selectedKey, setSelectedKey] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)('');
    const selectedIndex = (0,react__WEBPACK_IMPORTED_MODULE_3__.useRef)(0);
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_1__.useLexicalComposerContext)();
    function scrollToNode(key, currIndex) {
        editor.getEditorState().read(() => {
            const domElement = editor.getElementByKey(key);
            if (domElement !== null) {
                domElement.scrollIntoView();
                setSelectedKey(key);
                selectedIndex.current = currIndex;
            }
        });
    }
    function isHeadingAtTheTopOfThePage(element) {
        const elementYPosition = element?.getClientRects()[0].y;
        return elementYPosition >= 0.26 && elementYPosition <= 9;
    }
    function isHeadingAboveViewport(element) {
        const elementYPosition = element?.getClientRects()[0].y;
        return elementYPosition <= 0;
    }
    function isHeadingBelowTheTopOfThePage(element) {
        const elementYPosition = element?.getClientRects()[0].y;
        return elementYPosition > 9;
    }
    (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
        function scrollCallback() {
            if (tableOfContents.length !== 0 &&
                selectedIndex.current < tableOfContents.length - 1) {
                let currentHeading = editor.getElementByKey(tableOfContents[selectedIndex.current][0]);
                if (currentHeading !== null) {
                    if (isHeadingBelowTheTopOfThePage(currentHeading)) {
                        //On natural scroll, user is scrolling up
                        while (currentHeading !== null &&
                            isHeadingBelowTheTopOfThePage(currentHeading) &&
                            selectedIndex.current > 0) {
                            const prevHeading = editor.getElementByKey(tableOfContents[selectedIndex.current - 1][0]);
                            if (prevHeading !== null &&
                                (isHeadingAboveViewport(prevHeading) ||
                                    isHeadingBelowTheTopOfThePage(prevHeading))) {
                                selectedIndex.current--;
                            }
                            currentHeading = prevHeading;
                        }
                        const prevHeadingKey = tableOfContents[selectedIndex.current][0];
                        setSelectedKey(prevHeadingKey);
                    }
                    else if (isHeadingAboveViewport(currentHeading)) {
                        //On natural scroll, user is scrolling down
                        while (currentHeading !== null &&
                            isHeadingAboveViewport(currentHeading) &&
                            selectedIndex.current < tableOfContents.length - 1) {
                            const nextHeading = editor.getElementByKey(tableOfContents[selectedIndex.current + 1][0]);
                            if (nextHeading !== null &&
                                (isHeadingAtTheTopOfThePage(nextHeading) ||
                                    isHeadingAboveViewport(nextHeading))) {
                                selectedIndex.current++;
                            }
                            currentHeading = nextHeading;
                        }
                        const nextHeadingKey = tableOfContents[selectedIndex.current][0];
                        setSelectedKey(nextHeadingKey);
                    }
                }
            }
            else {
                selectedIndex.current = 0;
            }
        }
        let timerId;
        function debounceFunction(func, delay) {
            clearTimeout(timerId);
            timerId = setTimeout(func, delay);
        }
        function onScroll() {
            debounceFunction(scrollCallback, 10);
        }
        document.addEventListener('scroll', onScroll);
        return () => document.removeEventListener('scroll', onScroll);
    }, [tableOfContents, editor]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "table-of-contents", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("ul", { className: "headings", children: tableOfContents.map(([key, text, tag], index) => {
                if (index === 0) {
                    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "normal-heading-wrapper", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "first-heading", onClick: () => scrollToNode(key, index), role: "button", tabIndex: 0, children: ('' + text).length > 20
                                    ? text.substring(0, 20) + '...'
                                    : text }, key), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("br", {})] }));
                }
                else {
                    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: `normal-heading-wrapper ${selectedKey === key ? 'selected-heading-wrapper' : ''}`, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { onClick: () => scrollToNode(key, index), role: "button", className: indent(tag), tabIndex: 0, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("li", { className: `normal-heading ${selectedKey === key ? 'selected-heading' : ''}
                    `, children: ('' + text).length > 27
                                    ? text.substring(0, 27) + '...'
                                    : text }) }, key) }));
                }
            }) }) }));
}
const TableOfContentsPlugin = () => {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)((_lexical_react_LexicalTableOfContents_EXPERIMENTAL__WEBPACK_IMPORTED_MODULE_2___default()), { children: (tableOfContents) => {
            return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(TableOfContentsList, { tableOfContents: tableOfContents });
        } }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (TableOfContentsPlugin);


/***/ }),

/***/ "./lib/plugins/YouTubePlugin.js":
/*!**************************************!*\
  !*** ./lib/plugins/YouTubePlugin.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "INSERT_YOUTUBE_COMMAND": () => (/* binding */ INSERT_YOUTUBE_COMMAND),
/* harmony export */   "YouTubePlugin": () => (/* binding */ YouTubePlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lexical/react/LexicalComposerContext */ "../../node_modules/@lexical/react/LexicalComposerContext.js");
/* harmony import */ var _lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/utils */ "../../node_modules/@lexical/utils/LexicalUtils.js");
/* harmony import */ var _lexical_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../nodes/YouTubeNode */ "./lib/nodes/YouTubeNode.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */





const INSERT_YOUTUBE_COMMAND = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.createCommand)();
const YouTubePlugin = () => {
    const [editor] = (0,_lexical_react_LexicalComposerContext__WEBPACK_IMPORTED_MODULE_0__.useLexicalComposerContext)();
    (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
        if (!editor.hasNodes([_nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_4__.YouTubeNode])) {
            throw new Error('YouTubePlugin: YouTubeNode not registered on editor');
        }
        return editor.registerCommand(INSERT_YOUTUBE_COMMAND, (payload) => {
            const youTubeNode = (0,_nodes_YouTubeNode__WEBPACK_IMPORTED_MODULE_4__.$createYouTubeNode)(payload);
            (0,_lexical_utils__WEBPACK_IMPORTED_MODULE_1__.$insertNodeToNearestRoot)(youTubeNode);
            return true;
        }, lexical__WEBPACK_IMPORTED_MODULE_2__.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (YouTubePlugin);


/***/ }),

/***/ "./lib/ui/Button.js":
/*!**************************!*\
  !*** ./lib/ui/Button.js ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Button": () => (/* binding */ Button),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _utils_join__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/join */ "./lib/utils/join.js");



const Button = ({ 'data-test-id': dataTestId, children, className, onClick, disabled, small, title, }) => {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("button", { disabled: disabled, className: (0,_utils_join__WEBPACK_IMPORTED_MODULE_1__["default"])('Button__root', disabled && 'Button__disabled', small && 'Button__small', className), onClick: onClick, title: title, "aria-label": title, ...(dataTestId && { 'data-test-id': dataTestId }), children: children }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Button);


/***/ }),

/***/ "./lib/ui/ContentEditable.js":
/*!***********************************!*\
  !*** ./lib/ui/ContentEditable.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LexicalContentEditable": () => (/* binding */ LexicalContentEditable),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _lexical_react_LexicalContentEditable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lexical/react/LexicalContentEditable */ "../../node_modules/@lexical/react/LexicalContentEditable.js");
/* harmony import */ var _lexical_react_LexicalContentEditable__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lexical_react_LexicalContentEditable__WEBPACK_IMPORTED_MODULE_1__);

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */


const LexicalContentEditable = ({ className, }) => {
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_lexical_react_LexicalContentEditable__WEBPACK_IMPORTED_MODULE_1__.ContentEditable, { className: className || 'ContentEditable__root' });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (LexicalContentEditable);


/***/ }),

/***/ "./lib/ui/CopyButton.js":
/*!******************************!*\
  !*** ./lib/ui/CopyButton.js ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CopyButton": () => (/* binding */ CopyButton)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! lexical */ "webpack/sharing/consume/default/lexical/lexical");
/* harmony import */ var lexical__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lexical__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../nodes/JupyterCodeNode */ "./lib/nodes/JupyterCodeNode.js");
/* harmony import */ var _utils_debouncer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/debouncer */ "./lib/utils/debouncer.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */




function CopyButton({ editor, getCodeDOMNode }) {
    const [isCopyCompleted, setCopyCompleted] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const removeSuccessIcon = (0,_utils_debouncer__WEBPACK_IMPORTED_MODULE_3__.useDebounce)(() => {
        setCopyCompleted(false);
    }, 1000);
    async function handleClick() {
        const codeDOMNode = getCodeDOMNode();
        if (!codeDOMNode) {
            return;
        }
        let content = '';
        editor.update(() => {
            const codeNode = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$getNearestNodeFromDOMNode)(codeDOMNode);
            if ((0,_nodes_JupyterCodeNode__WEBPACK_IMPORTED_MODULE_4__.$isJupyterCodeNode)(codeNode)) {
                content = codeNode.getTextContent();
            }
            const selection = (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$getSelection)();
            (0,lexical__WEBPACK_IMPORTED_MODULE_2__.$setSelection)(selection);
        });
        try {
            await navigator.clipboard.writeText(content);
            setCopyCompleted(true);
            removeSuccessIcon();
        }
        catch (err) {
            console.error('Failed to copy: ', err);
        }
    }
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("button", { className: "menu-item", onClick: handleClick, "aria-label": "copy", children: isCopyCompleted ? ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "format success" })) : ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "format copy" })) }));
}


/***/ }),

/***/ "./lib/ui/DropDown.js":
/*!****************************!*\
  !*** ./lib/ui/DropDown.js ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DropDown": () => (/* binding */ DropDown),
/* harmony export */   "DropDownItem": () => (/* binding */ DropDownItem),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



const DropDownContext = react__WEBPACK_IMPORTED_MODULE_1__.createContext(null);
function DropDownItem({ children, className, onClick, title, }) {
    const ref = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const dropDownContext = react__WEBPACK_IMPORTED_MODULE_1__.useContext(DropDownContext);
    if (dropDownContext === null) {
        throw new Error('DropDownItem must be used within a DropDown');
    }
    const { registerItem } = dropDownContext;
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (ref && ref.current) {
            registerItem(ref);
        }
    }, [ref, registerItem]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("button", { className: className, onClick: onClick, ref: ref, title: title, children: children }));
}
function DropDownItems({ children, dropDownRef, onClose, }) {
    const [items, setItems] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    const [highlightedItem, setHighlightedItem] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    const registerItem = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((itemRef) => {
        setItems((prev) => (prev ? [...prev, itemRef] : [itemRef]));
    }, [setItems]);
    const handleKeyDown = (event) => {
        if (!items)
            return;
        const key = event.key;
        if (['Escape', 'ArrowUp', 'ArrowDown', 'Tab'].includes(key)) {
            event.preventDefault();
        }
        if (key === 'Escape' || key === 'Tab') {
            onClose();
        }
        else if (key === 'ArrowUp') {
            setHighlightedItem((prev) => {
                if (!prev)
                    return items[0];
                const index = items.indexOf(prev) - 1;
                return items[index === -1 ? items.length - 1 : index];
            });
        }
        else if (key === 'ArrowDown') {
            setHighlightedItem((prev) => {
                if (!prev)
                    return items[0];
                return items[items.indexOf(prev) + 1];
            });
        }
    };
    const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => ({
        registerItem,
    }), [registerItem]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (items && !highlightedItem) {
            setHighlightedItem(items[0]);
        }
        if (highlightedItem && highlightedItem.current) {
            highlightedItem.current.focus();
        }
    }, [items, highlightedItem]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(DropDownContext.Provider, { value: contextValue, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "dropdown", ref: dropDownRef, onKeyDown: handleKeyDown, children: children }) }));
}
const DropDown = ({ buttonLabel, buttonAriaLabel, buttonClassName, buttonIconClassName, children, stopCloseOnClickSelf, }) => {
    const dropDownRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const buttonRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const [showDropDown, setShowDropDown] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const handleClose = () => {
        setShowDropDown(false);
        if (buttonRef && buttonRef.current) {
            buttonRef.current.focus();
        }
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        const button = buttonRef.current;
        const dropDown = dropDownRef.current;
        if (showDropDown && button !== null && dropDown !== null) {
            const { top, left } = button.getBoundingClientRect();
            dropDown.style.top = `${top + 40}px`;
            dropDown.style.left = `${Math.min(left, window.innerWidth - dropDown.offsetWidth - 20)}px`;
        }
    }, [dropDownRef, buttonRef, showDropDown]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        const button = buttonRef.current;
        if (button !== null && showDropDown) {
            const handle = (event) => {
                const target = event.target;
                if (stopCloseOnClickSelf) {
                    if (dropDownRef.current &&
                        dropDownRef.current.contains(target))
                        return;
                }
                if (!button.contains(target)) {
                    setShowDropDown(false);
                }
            };
            document.addEventListener('click', handle);
            return () => {
                document.removeEventListener('click', handle);
            };
        }
    }, [dropDownRef, buttonRef, showDropDown, stopCloseOnClickSelf]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("button", { "aria-label": buttonAriaLabel || buttonLabel, className: buttonClassName, onClick: () => setShowDropDown(!showDropDown), ref: buttonRef, children: [buttonIconClassName && (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: buttonIconClassName }), buttonLabel && ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "text dropdown-button-text", children: buttonLabel })), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("i", { className: "chevron-down" })] }), showDropDown &&
                (0,react_dom__WEBPACK_IMPORTED_MODULE_2__.createPortal)((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(DropDownItems, { dropDownRef: dropDownRef, onClose: handleClose, children: children }), document.body)] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DropDown);


/***/ }),

/***/ "./lib/ui/EquationEditor.js":
/*!**********************************!*\
  !*** ./lib/ui/EquationEditor.js ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ EquationEditor)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

function EquationEditor({ equation, setEquation, inline, inputRef, }) {
    const onChange = (event) => {
        setEquation(event.target.value);
    };
    const props = {
        equation,
        inputRef,
        onChange,
    };
    return inline ? ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(InlineEquationEditor, { ...props, inputRef: inputRef })) : ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(BlockEquationEditor, { ...props, inputRef: inputRef }));
}
function InlineEquationEditor({ equation, onChange, inputRef, }) {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("span", { className: "EquationEditor_inputBackground", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "EquationEditor_dollarSign", children: "$" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("input", { className: "EquationEditor_inlineEditor", value: equation, onChange: onChange, autoFocus: true, ref: inputRef }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "EquationEditor_dollarSign", children: "$" })] }));
}
function BlockEquationEditor({ equation, onChange, inputRef, }) {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "EquationEditor_inputBackground", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "EquationEditor_dollarSign", children: '$$\n' }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("textarea", { className: "EquationEditor_blockEditor", value: equation, onChange: onChange, ref: inputRef }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "EquationEditor_dollarSign", children: '\n$$' })] }));
}


/***/ }),

/***/ "./lib/ui/FileInput.js":
/*!*****************************!*\
  !*** ./lib/ui/FileInput.js ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FileInput": () => (/* binding */ FileInput),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

const FileInput = ({ accept, label, onChange, 'data-test-id': dataTestId, }) => {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "Input__wrapper", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("label", { className: "Input__label", children: label }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("input", { type: "file", accept: accept, className: "Input__input", onChange: (e) => onChange(e.target.files), "data-test-id": dataTestId })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FileInput);


/***/ }),

/***/ "./lib/ui/ImageResizer.js":
/*!********************************!*\
  !*** ./lib/ui/ImageResizer.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ImageResizer": () => (/* binding */ ImageResizer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);


function clamp(value, min, max) {
    return Math.min(Math.max(value, min), max);
}
const Direction = {
    east: 1 << 0,
    north: 1 << 3,
    south: 1 << 1,
    west: 1 << 2,
};
const ImageResizer = ({ onResizeStart, onResizeEnd, buttonRef, imageRef, maxWidth, editor, showCaption, setShowCaption, }) => {
    const controlWrapperRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const userSelect = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)({
        priority: '',
        value: 'default',
    });
    const positioningRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)({
        currentHeight: 0,
        currentWidth: 0,
        direction: 0,
        isResizing: false,
        ratio: 0,
        startHeight: 0,
        startWidth: 0,
        startX: 0,
        startY: 0,
    });
    const editorRootElement = editor.getRootElement();
    // Find max width, accounting for editor padding.
    const maxWidthContainer = maxWidth
        ? maxWidth
        : editorRootElement !== null
            ? editorRootElement.getBoundingClientRect().width - 20
            : 100;
    const maxHeightContainer = editorRootElement !== null
        ? editorRootElement.getBoundingClientRect().height - 20
        : 100;
    const minWidth = 100;
    const minHeight = 100;
    const setStartCursor = (direction) => {
        const ew = direction === Direction.east || direction === Direction.west;
        const ns = direction === Direction.north || direction === Direction.south;
        const nwse = (direction & Direction.north && direction & Direction.west) ||
            (direction & Direction.south && direction & Direction.east);
        const cursorDir = ew ? 'ew' : ns ? 'ns' : nwse ? 'nwse' : 'nesw';
        if (editorRootElement !== null) {
            editorRootElement.style.setProperty('cursor', `${cursorDir}-resize`, 'important');
        }
        if (document.body !== null) {
            document.body.style.setProperty('cursor', `${cursorDir}-resize`, 'important');
            userSelect.current.value = document.body.style.getPropertyValue('-webkit-user-select');
            userSelect.current.priority = document.body.style.getPropertyPriority('-webkit-user-select');
            document.body.style.setProperty('-webkit-user-select', `none`, 'important');
        }
    };
    const setEndCursor = () => {
        if (editorRootElement !== null) {
            editorRootElement.style.setProperty('cursor', 'default');
        }
        if (document.body !== null) {
            document.body.style.setProperty('cursor', 'default');
            document.body.style.setProperty('-webkit-user-select', userSelect.current.value, userSelect.current.priority);
        }
    };
    const handlePointerDown = (event, direction) => {
        const image = imageRef.current;
        const controlWrapper = controlWrapperRef.current;
        if (image !== null && controlWrapper !== null) {
            const { width, height } = image.getBoundingClientRect();
            const positioning = positioningRef.current;
            positioning.startWidth = width;
            positioning.startHeight = height;
            positioning.ratio = width / height;
            positioning.currentWidth = width;
            positioning.currentHeight = height;
            positioning.startX = event.clientX;
            positioning.startY = event.clientY;
            positioning.isResizing = true;
            positioning.direction = direction;
            setStartCursor(direction);
            onResizeStart();
            controlWrapper.classList.add('image-control-wrapper--resizing');
            image.style.height = `${height}px`;
            image.style.width = `${width}px`;
            document.addEventListener('pointermove', handlePointerMove);
            document.addEventListener('pointerup', handlePointerUp);
        }
    };
    const handlePointerMove = (event) => {
        const image = imageRef.current;
        const positioning = positioningRef.current;
        const isHorizontal = positioning.direction & (Direction.east | Direction.west);
        const isVertical = positioning.direction & (Direction.south | Direction.north);
        if (image !== null && positioning.isResizing) {
            // Corner cursor
            if (isHorizontal && isVertical) {
                let diff = Math.floor(positioning.startX - event.clientX);
                diff = positioning.direction & Direction.east ? -diff : diff;
                const width = clamp(positioning.startWidth + diff, minWidth, maxWidthContainer);
                const height = width / positioning.ratio;
                image.style.width = `${width}px`;
                image.style.height = `${height}px`;
                positioning.currentHeight = height;
                positioning.currentWidth = width;
            }
            else if (isVertical) {
                let diff = Math.floor(positioning.startY - event.clientY);
                diff = positioning.direction & Direction.south ? -diff : diff;
                const height = clamp(positioning.startHeight + diff, minHeight, maxHeightContainer);
                image.style.height = `${height}px`;
                positioning.currentHeight = height;
            }
            else {
                let diff = Math.floor(positioning.startX - event.clientX);
                diff = positioning.direction & Direction.east ? -diff : diff;
                const width = clamp(positioning.startWidth + diff, minWidth, maxWidthContainer);
                image.style.width = `${width}px`;
                positioning.currentWidth = width;
            }
        }
    };
    const handlePointerUp = () => {
        const image = imageRef.current;
        const positioning = positioningRef.current;
        const controlWrapper = controlWrapperRef.current;
        if (image !== null && controlWrapper !== null && positioning.isResizing) {
            const width = positioning.currentWidth;
            const height = positioning.currentHeight;
            positioning.startWidth = 0;
            positioning.startHeight = 0;
            positioning.ratio = 0;
            positioning.startX = 0;
            positioning.startY = 0;
            positioning.currentWidth = 0;
            positioning.currentHeight = 0;
            positioning.isResizing = false;
            controlWrapper.classList.remove('image-control-wrapper--resizing');
            setEndCursor();
            onResizeEnd(width, height);
            document.removeEventListener('pointermove', handlePointerMove);
            document.removeEventListener('pointerup', handlePointerUp);
        }
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { ref: controlWrapperRef, children: [!showCaption && ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("button", { className: "image-caption-button", ref: buttonRef, onClick: () => {
                    setShowCaption(!showCaption);
                }, children: "Add Caption" })), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-n", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.north);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-ne", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.north | Direction.east);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-e", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.east);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-se", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.south | Direction.east);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-s", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.south);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-sw", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.south | Direction.west);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-w", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.west);
                } }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "image-resizer image-resizer-nw", onPointerDown: (event) => {
                    handlePointerDown(event, Direction.north | Direction.west);
                } })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ImageResizer);


/***/ }),

/***/ "./lib/ui/KatexEquationAlterer.js":
/*!****************************************!*\
  !*** ./lib/ui/KatexEquationAlterer.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "KatexEquationAlterer": () => (/* binding */ KatexEquationAlterer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _ui_Button__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../ui/Button */ "./lib/ui/Button.js");
/* harmony import */ var _KatexRenderer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./KatexRenderer */ "./lib/ui/KatexRenderer.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */




const KatexEquationAlterer = ({ onConfirm, initialEquation = '', }) => {
    const [equation, setEquation] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(initialEquation);
    const [inline, setInline] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
    const onClick = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
        onConfirm(equation, inline);
    }, [onConfirm, equation, inline]);
    const onCheckboxChange = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
        setInline(!inline);
    }, [setInline, inline]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "KatexEquationAlterer_defaultRow", children: ["Inline", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("input", { type: "checkbox", checked: inline, onChange: onCheckboxChange })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "KatexEquationAlterer_defaultRow", children: "Equation " }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "KatexEquationAlterer_centerRow", children: inline ? ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("input", { onChange: (event) => {
                        setEquation(event.target.value);
                    }, value: equation, className: "KatexEquationAlterer_textArea" })) : ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("textarea", { onChange: (event) => {
                        setEquation(event.target.value);
                    }, value: equation, className: "KatexEquationAlterer_textArea" })) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "KatexEquationAlterer_defaultRow", children: "Visualization " }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "KatexEquationAlterer_centerRow", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_KatexRenderer__WEBPACK_IMPORTED_MODULE_2__["default"], { equation: equation, inline: false, onClick: () => null }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "KatexEquationAlterer_dialogActions", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_ui_Button__WEBPACK_IMPORTED_MODULE_3__["default"], { onClick: onClick, children: "Confirm" }) })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (KatexEquationAlterer);


/***/ }),

/***/ "./lib/ui/KatexRenderer.js":
/*!*********************************!*\
  !*** ./lib/ui/KatexRenderer.js ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ KatexRenderer)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var katex__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! katex */ "webpack/sharing/consume/default/katex/katex");
/* harmony import */ var katex__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(katex__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */


function KatexRenderer({ equation, inline, onClick, }) {
    const katexElementRef = (0,react__WEBPACK_IMPORTED_MODULE_2__.useRef)(null);
    (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => {
        const katexElement = katexElementRef.current;
        if (katexElement !== null) {
            katex__WEBPACK_IMPORTED_MODULE_1___default().render(equation, katexElement, {
                displayMode: !inline,
                errorColor: '#cc0000',
                output: 'html',
                strict: 'warn',
                throwOnError: false,
                trust: false,
            });
        }
    }, [equation, inline]);
    return (
    // We use spacers either side to ensure Android doesn't try and compose from the
    // inner text from Katex. There didn't seem to be any other way of making this work,
    // without having a physical space.
    (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "spacer", children: " " }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { role: "button", tabIndex: -1, onClick: onClick, ref: katexElementRef }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { className: "spacer", children: " " })] }));
}


/***/ }),

/***/ "./lib/ui/Modal.js":
/*!*************************!*\
  !*** ./lib/ui/Modal.js ***!
  \*************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Modal": () => (/* binding */ Modal),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



function PortalImpl({ onClose, children, title, closeOnClickOutside, }) {
    const modalRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (modalRef.current !== null) {
            modalRef.current.focus();
        }
    }, []);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        let modalOverlayElement = null;
        const handler = (event) => {
            if (event.keyCode === 27) {
                onClose();
            }
        };
        const clickOutsideHandler = (event) => {
            const target = event.target;
            if (modalRef.current !== null &&
                !modalRef.current.contains(target) &&
                closeOnClickOutside) {
                onClose();
            }
        };
        if (modalRef.current !== null) {
            modalOverlayElement = modalRef.current?.parentElement;
            if (modalOverlayElement !== null) {
                modalOverlayElement?.addEventListener('click', clickOutsideHandler);
            }
        }
        window.addEventListener('keydown', handler);
        return () => {
            window.removeEventListener('keydown', handler);
            if (modalOverlayElement !== null) {
                modalOverlayElement?.removeEventListener('click', clickOutsideHandler);
            }
        };
    }, [closeOnClickOutside, onClose]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "Modal__overlay", role: "dialog", children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "Modal__modal", tabIndex: -1, ref: modalRef, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("h2", { className: "Modal__title", children: title }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("button", { className: "Modal__closeButton", "aria-label": "Close modal", type: "button", onClick: onClose, children: "X" }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: "Modal__content", children: children })] }) }));
}
const Modal = ({ onClose, children, title, closeOnClickOutside = false, }) => {
    return (0,react_dom__WEBPACK_IMPORTED_MODULE_2__.createPortal)((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(PortalImpl, { onClose: onClose, title: title, closeOnClickOutside: closeOnClickOutside, children: children }), document.body);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Modal);


/***/ }),

/***/ "./lib/ui/Placeholder.js":
/*!*******************************!*\
  !*** ./lib/ui/Placeholder.js ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Placeholder": () => (/* binding */ Placeholder),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");


const Placeholder = ({ children, className, }) => {
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: className || 'Placeholder__root', children: children });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Placeholder);


/***/ }),

/***/ "./lib/ui/TextInput.js":
/*!*****************************!*\
  !*** ./lib/ui/TextInput.js ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TextInput": () => (/* binding */ TextInput),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../node_modules/react/jsx-runtime.js");

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

const TextInput = ({ label, value, onChange, placeholder = '', 'data-test-id': dataTestId, }) => {
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { className: "Input__wrapper", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("label", { className: "Input__label", children: label }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("input", { type: "text", className: "Input__input", placeholder: placeholder, value: value, onChange: (e) => {
                    onChange(e.target.value);
                }, "data-test-id": dataTestId })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (TextInput);


/***/ }),

/***/ "./lib/utils/canUseDOM.js":
/*!********************************!*\
  !*** ./lib/utils/canUseDOM.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CAN_USE_DOM": () => (/* binding */ CAN_USE_DOM)
/* harmony export */ });
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const CAN_USE_DOM = typeof window !== 'undefined' &&
    typeof window.document !== 'undefined' &&
    typeof window.document.createElement !== 'undefined';


/***/ }),

/***/ "./lib/utils/debouncer.js":
/*!********************************!*\
  !*** ./lib/utils/debouncer.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useDebounce": () => (/* binding */ useDebounce)
/* harmony export */ });
/* harmony import */ var lodash_es__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lodash-es */ "webpack/sharing/consume/default/lodash-es/lodash-es");
/* harmony import */ var lodash_es__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash_es__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */


function useDebounce(fn, ms, maxWait) {
    const funcRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    funcRef.current = fn;
    return (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => (0,lodash_es__WEBPACK_IMPORTED_MODULE_0__.debounce)((...args) => {
        if (funcRef.current) {
            funcRef.current(...args);
        }
    }, ms, { maxWait }), [ms, maxWait]);
}


/***/ }),

/***/ "./lib/utils/invariant.js":
/*!********************************!*\
  !*** ./lib/utils/invariant.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ invariant)
/* harmony export */ });
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
// invariant(condition, message) will refine types based on "condition", and
// if "condition" is false will throw an error. This function is special-cased
// in flow itself, so we can't name it anything else.
function invariant(cond, message, ...args) {
    if (cond) {
        return;
    }
    throw new Error('Internal Lexical error: invariant() is meant to be replaced at compile ' +
        'time. There is no runtime version.');
}


/***/ }),

/***/ "./lib/utils/join.js":
/*!***************************!*\
  !*** ./lib/utils/join.js ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "joinClasses": () => (/* binding */ joinClasses)
/* harmony export */ });
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
const joinClasses = (...args) => {
    return args.filter(Boolean).join(' ');
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (joinClasses);


/***/ }),

/***/ "./lib/utils/selection.js":
/*!********************************!*\
  !*** ./lib/utils/selection.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "getSelection": () => (/* binding */ getSelection)
/* harmony export */ });
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
const getSelection = () => window.getSelection();
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (getSelection);


/***/ }),

/***/ "./lib/utils/useLayoutEffect.js":
/*!**************************************!*\
  !*** ./lib/utils/useLayoutEffect.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "useLayoutEffectImpl": () => (/* binding */ useLayoutEffectImpl)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _canUseDOM__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./canUseDOM */ "./lib/utils/canUseDOM.js");
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */


const useLayoutEffectImpl = _canUseDOM__WEBPACK_IMPORTED_MODULE_1__.CAN_USE_DOM
    ? react__WEBPACK_IMPORTED_MODULE_0__.useLayoutEffect
    : react__WEBPACK_IMPORTED_MODULE_0__.useEffect;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useLayoutEffectImpl);


/***/ }),

/***/ "./lib/images/yellow-flower-small.jpg":
/*!********************************************!*\
  !*** ./lib/images/yellow-flower-small.jpg ***!
  \********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__.p + "1687726d27a622e3fa14.jpg";

/***/ })

}]);
//# sourceMappingURL=lib_index_js.c94bf92ead6f1655dfd2.js.map